MASTER: Poor graphics performance on Intel

Bug #252094 reported by bingo on 2008-07-26
860
This bug affects 106 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Won't Fix
High
linux (Ubuntu)
Undecided
Unassigned
Declined for Intrepid by Bryce Harrington
Nominated for Jaunty by nogac
Karmic
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
Wishlist
Unassigned
Declined for Intrepid by Bryce Harrington
Nominated for Jaunty by nogac
Karmic
Wishlist
Unassigned

Bug Description

I experience significant performance loss with ubuntu 8.10 alpha 3 with my Intel DG965WH based system and SVDO/ADD2 video card. Actually, the performance loss started with ubuntu 8.04.1; I upgraded to see if there was any performance gain with the new version. While "glxgears" produced values between 1580 fps and 1496 fps with ubuntu 7.04 and 7.10, respectively, now I can only achieve something like 445 fps with ubuntu 8.10 alpha 3. I get an error message when starting glxgears that "TTM" was not available and classic mode would be used. Similary, the flight simulator "flightgear" achieves frames rates of 1-2 fps only.
My suspicion is that some of the hardware acceleration features of the X3000 system are not being used, and I don't know how to activate them with the new xorg.conf structure and the underlying automatic configuration approach.
I would like to see the graphics performance go back to the values achieved in ubuntu 7.04 and 7.10.
Your help / comment is greatly appreciated.
Bingo

[Update]
Intel upstream has been in a multi-year effort to rearchitect X and the Intel 2D and 3D driver to provide better performance. While this work is underway, people are seeing variations in performance levels from version to version, for a variety of reasons. There are probably multiple unrelated bugs being reported in the comments here.

It is important to note and remember that glxgears is *not* a benchmark tool. It simply measures how fast the driver writes images to the screen, whereas most 3D applications are limited by render speed, not merely blit speed. Instead use a 3D game (flightgear, tremulous, etc.) that has a real rendering workload to make comparisons.

If you're definitely seeing performance problems and are able to narrow it to a specific cause, please do not comment onto this bug report - it's too lengthy and rambling already, and your issue will just be lost in the noise. Instead, make a new report and please be as specific as possible with exact steps to reproduce and as much detail and logs as you can. See http://wiki.ubuntu.com/X/Reporting for tips on making a good X bug report.

A troubleshooting guide, with additional background about performance issues on Intel is available at:

https://wiki.ubuntu.com/X/Troubleshooting/IntelPerformance

bingo (stefandrude) wrote :
Störm Poorun (subs-olan) wrote :

Same problem here, with an intel x3100 card (on a Samsung Q45).
Up to 8.04.1 (Kubuntu) I was able to use KDE4 'desktop effects' easily.
Also, sInce upgrading to 8.10 Alpha 3 (from 8.04.1), desktop effects are not working, enabling them results in a mainly black, garbled screen.

Störm Poorun (subs-olan) wrote :

I have now found a workaround for the issue.

I think it basically is to do with the upgrade from XAA to EXA acceleration.

EXA appears not be working with the Intel GMA 965 (GM) chipset (including the Intel X3100).

Upon editing my xorg.conf file to add references to XAA I now have better performance, and am able to use KDE4 desktop effects.

In particular, under Section Device, I added:

 Option "XaaNoPixmapCache"
 Option "XAANoOffscreenPixmaps" "1"
 Option "DRI" "true"
 Option "AccelMethod" "XAA"

and also

 VideoRam 440320
 Option "XvMCSurfaces" "6"
 Option "May_Need_ForceBIOS" "1"

but not sure if these last three items are necessary.

Störm Poorun (subs-olan) wrote :

Also, remove (or comment-out) any lines in your xorg.conf file referring to EXA, if you have them!

Störm Poorun (subs-olan) wrote :

And one more thing, I'm not sure it's essential, but it may be wise to ensure that you specify the driver as 'intel' in your Device Section.

i.e.
        Section "Device"
 Identifier "Configured Video Device"
 Driver "intel"

Bug confirmed for an Acer TravelMate 6292-602G25MN (Intel GMA X3100 (IGP)).

Changed in xserver-xorg-video-intel:
status: New → Confirmed
bingo (stefandrude) on 2008-07-29
description: updated
bingo (stefandrude) wrote :

Störm,

I have tested your suggestion, but I don't see any improvement in the graphics performance. I restarted the X server with the changes to xorg.conf as you suggested, and glxgears still produces no more than about 420 fps. I can confirm, however, that according to the log output produced, i.e. Xorg.0.log, the acceleration switched back to XAA based acceleration.

Bingo

bingo (stefandrude) wrote :

I just wanted to share that with ubuntu 8.10 alpha 4 there is no improvement. A test with glxgears produces around 440 fps.

Bingo

bingo (stefandrude) wrote :

With the updates as of August 30, 2008 the performance dropped even further. I get a mere 59 frames per second with these updates.

Bingo

Störm Poorun (subs-olan) wrote :

Same here, just 59 frames per second as of today's updates.

On a test machine, a strange flickering can be seen which occurs during the first 10 seconds of opening the GNOME desktop. This wasn't before the latest updates.

59.xxyy frames per second looks like an indication of vsync is being used.

But I also find my X3100 performance too low.

Do you guys with X3100 have problems using Celestia? Here I get bad performance, missing textures and other weird artifacts.

unggnu (unggnu) wrote :

I can confirm the 59.xx frames problem with i915 and i965. Looks pretty much like vsync which wouldn't be so bad.
Btw. textured video seems to be activated per default again but it doesn't seem to so slow but I haven't made so much tests.
I can confirm the flickering too on my laptop with i915 hardware. I965 doesn't seem to be affected.

I'd like to point that, even if this 59.* frame rate is due to vsync, it doesn't behave nice (like if it was vsynced). Tearing is still there.

bingo (stefandrude) wrote :

I just ran a test with ubuntu 8.10 alpha 6. Running from the CD-ROM without installation I get glxgears to produce about 440 fps again.

Bingo

Timo Aaltonen (tjaalton) wrote :

for the record, the message about TTM is purely informational and doesn't change the performance one bit.

Johnny Levai (digistyl3) wrote :

Then what is causing the performance drop?

Alberto (elba) wrote :

I have just marked bug 270563 as a duplicate of this one.

Pablo Marchant (pamarca) wrote :

Last update of intrepid made the ttm messege dissapear for me.

bingo (stefandrude) wrote :

With the final release of ubuntu 8.10 the result of glxgears stays around 440 fps. I can confirm that the message about "TTM" not being available disappeared indeed.

Is there any hope the performance will ever go back up to where it was in ubuntu 7.10?

tapczan (tapczan) wrote :

Hardy 8.04:
$ glxgears
5530 frames in 5.0 seconds = 1105.941 FPS
5740 frames in 5.0 seconds = 1147.867 FPS
5671 frames in 5.0 seconds = 1134.048 FPS

Intrepid 8.10:
$ glxgears
2842 frames in 5.0 seconds = 568.360 FPS
2796 frames in 5.0 seconds = 559.099 FPS
2874 frames in 5.0 seconds = 574.798 FPS

tapczan (tapczan) wrote :

I use Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller:

# dpkg -l xserver-xorg-video-intel|grep ^ii|awk {'print $2" "$3'}
xserver-xorg-video-intel 2:2.4.1-1ubuntu10

When you use 3D desktop effects (KWin, Compiz), does the canvas of glxgears always stay on top? Is the rendering of Google Earth distorted?

tapczan (tapczan) wrote :

Yes, glxgears stay on top (using compiz).

Extented the title of the bug and marked another one as a duplicate of this one.

Botond Szász (boteeka) wrote :

I have an Inspiron 1525 notebook with GM965/GL960 Integrated Graphics Controller. In Hardy it worked flawlessly. I upgraded to Intrepid after it was released and I have my Ubuntu fully updated. Still, I have this problem. If I run glxgears and move the window it leaves garbage on the screen (seems like glxgears renders on top of compiz, which I have enabled). Also OpenGL screensavers doesn't seem to work either, sometimes they start, but something is wrong with them. I did not experienced a total X lock-up until now. Also OpenArena's screen is corrupted and the menu is invisible. Besides this normal desktop operations work OK, and all compiz effects are also OK. I have experienced a total system lock-up during a fullscreen video playback after about one hour of watching, only a hard switch-off/switch-on worked. I emphasize that this does not happened on Hardy. Maybe something in the new intel driver features causes the problem, like the acceleration architecture, not sure, though. In glxgears I get only around 500 fps. I used to get above 1000 fps.

@Marc Nieper-Wißkirchen: Google Earth is unusable, the screen gets all messed up, and the textures on the globe's surface doesn't show up, either.

If you need any other info, please let me know.

Paulo Fidalgo (o-kanniball-o) wrote :

I'm also experience frame drops, while watching some videos on the second monitor, on my laptop.
I confirm, with Hardy, this problem was not noticed.

I'm running the latest OpenSUSE 11.1 beta (SLED 11 beta really) and have to face a cruel choice between very poor window drawing performance with EXA (https://bugzilla.novell.com/show_bug.cgi?id=438266) or having the Xserver crash during resume with Xaa (https://bugzilla.novell.com/show_bug.cgi?id=439214). I have a Lenovo T61 with an Intel 965 GM card that can either suspend properly but have lousy performance (EXA) or good window drawing but not be able to resume without killing X (XAA). Since EXA appears to be the way going forward I would think the best course of action is fixing the Window drawing performance problems of EXA. With EXA enabled it feels like I'm on a slow terminal server and WINE applications in particular take forever to render. Just let me know what information I can provide.

I'm experiencing the same problems on a thinkpad with an Intel Mobile GM965/GL960.
I noticed two things:
1) GL-applications seem to work better (less flickering, less textures missing) when compiz is turned off (tested with glxgears and google earth)
2) There is no hardware acceleration available which explains the low framerates (do a 'glxinfo | grep direct' to check on your machine)

jan@jan-x61:~$ glxinfo | grep direct
direct rendering: No (LIBGL_ALWAYS_INDIRECT set)

LarsIvarIgesund (larsivar) wrote :

@Jan Girlich: I get "direct rendering: Yes", but I still experience low framerates for glxgrears.

I use Kwin, not compiz. After I turned off all effects, I see no more artifacts, however - with them on, I could see quite a bit in addition to the effects being absurdly slow. In particular, when I opened a new window, I just got interference pixels until the proper window showed up.

I also have "direct rendering: Yes" and nevertheless low framerates.

@Jan: How low are your framerates? Even lower than those of the rest of us?

Jan Girlich (vollkorn) wrote :

Without compiz:
jan@jan-x61:~$ glxgears
2798 frames in 5.0 seconds = 559.539 FPS
2671 frames in 5.0 seconds = 533.488 FPS
2760 frames in 5.0 seconds = 550.889 FPS

With compiz:
jan@jan-x61:~$ glxgears
2293 frames in 5.0 seconds = 458.450 FPS
2360 frames in 5.0 seconds = 469.041 FPS
2300 frames in 5.0 seconds = 459.050 FPS

So the framerates are about the same.

That's interesting. My system, which claims to use hardware acceleration (direct rendering: Yes), doesn't seem to be much faster (~600 FPS) than yours, which claims not to use hardware acceleration. So is the 3D acceleration of the GM965 of any use in Intrepid???

MaCXyLo (macxylo) wrote :

i can confirm the bug;
a friend from me try to solve the problem but no solution....

I have a thinkpad r61i
graphiccard: x3100
chipset: gma965

Hope that this problem is fixed at the future -.-

Since Kent asked me about the severity/priority.

Confirmed,

Lenovo Y410
GM965/GL960
lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)

Rocko (rockorequin) wrote :

I don't have an Intel graphics chipset, but I find 3D in Intrepid is considerably slower with an nvidia chipset as well - in Hardy with compiz on, I get close to 5000 fps, but in Intrepid with compiz on I get either 4200 fps with the older 173.14.12 driver or 3000 fps with the new 177.80 driver (40% slower!). With compiz off both Hardy and Intrepid can manage around 5800 fps.

So maybe this bug also has something to do with compiz?

Paulo Fidalgo (o-kanniball-o) wrote :

The problem is not with compiz, i think, because I use KDE, and Kwin effects, not compiz.
I don't know what be the source of the problem, but this is really annoying.

Yes, let's focus on EXA bug.

The novell link needs login. Please provide the info according to http://intellinuxgraphics.org/how_to_report_bug.html.

On my system (intel X3100/ubuntu 8.10) compiz works just fine until I start an opengl application (such as paraview). Then, the icons in the task switcher (alt+tab) are distorted, and also the frame around window previews (the preview you get when the mouse is over the task button) is scrambled, and probably some other things as well. Reloading compiz using the fusion-icon solves this issue. This was not a problem on 8.04. When I figured that it was a opengl/compiz flaw, I wanted to have xsever-xgl since on 8.04 it was pretty good at compiz/opengl at the same time (at the cost of performance loss, especially with fullscreen movies), but it is not in the repo's anymore..

Here is some additional information, I will post logs and configs shortly:

- chipset: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
-- system architecture: x86_64
-- xf86-video-intel/xserver/mesa/drm version: xorg-x11-driver-video-7.4-13.1, xorg-x11-7.4-8.2, xorg-x11-server-7.4-11.1, Mesa-7.2-5.5, libdrm-2.4.0-12.4
-- kernel version: 2.6.27.4-2-default
-- Linux distribution: SUSE Linux Enterprise Desktop 11 beta4 (Same as OpenSUSE 11.1 beta 4)
-- Machine or mobo model: Lenovo Thinkpad T61 (SLED Preload Model)
-- Display connector: Onboard LCD and external VGA

Created an attachment (id=20131)
Output of dmesg

Created an attachment (id=20132)
xorg.conf for using XAA

I just added the XAA support in the Device section, if I remove it I'm back to EXA (default)

Created an attachment (id=20133)
Xorg log using EXA

Created an attachment (id=20134)
Xorg log for using EXA

I just upgraded to 8.10 and noticed everything is slower. I suspect it's the same issue with video driver because apps get redrawn slowly when I switch windows or workspaces. I'm not using Compiz because texture size bug is still not patched and GL_MAX_TEXTURE_SIZE = 2048 which won't work with my 2x 24" monitors.
I'm using gnome.
lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)
glxgears
1448 frames in 5.0 seconds = 289.493 FPS
1607 frames in 5.0 seconds = 321.343 FPS
driver
xserver-xorg-video-intel 2:2.4.1-1ubuntu10

(In reply to comment #0)
> I'm running the latest OpenSUSE 11.1 beta (SLED 11 beta really) and have to
> face a cruel choice between very poor window drawing performance with EXA
> (https://bugzilla.novell.com/show_bug.cgi?id=438266)

Hi Dan,

Thanks for reporting this bug. I can't see anything from the novell.com link above, (just get prompted for a username and password), so could you share some details with me?

Specifically, if I were to attempt reproduce this bug, how would I know if were seeing it or not?

I'm guessing that the x86_64 piece might be relevant, and the kernel version is likely very significant. Here's a review of some of the details, (with the actual component versions from the logs rather than the xorg 7.4 numbers):

Architecture: x86_64
Kernel: 2.6.27.4
libdrm: 2.4.0
X server: 1.5.2
xf86-video-intel: 2.4.97

(All OpenSUSE packages of course.)

I'll see if I can get a system running something close to that soon, (though I'll be out of town for the next week).

-Carl

Hi Carl,
The issue I'm seeing with EXA is that window drawing (2d) performance is very slow to the point where it feels like I'm using a very old system with a vesa driver. Minimizing, maximizing, or dragging windows around is laggy. Not unusable slow, but probably a good 10 times slower than with XAA. I don't have the desktop effects enabled (although I believe AIGLX is turned on). I don't know of a good way to benchmark window drawing performance but I would be happy to provide some hard numbers instead of my subjective "goes slow" statement if there's a better way. There was a Video BIOS update for the T61
(http://www-307.ibm.com/pc/support/site.wss/document.do?lndocid=MIGR-67988)
that I installed to see if it helped but it didn't. From
the release notes:

"(Fix) Intel GM965 Video BIOS was updated to v1668 to fix a blue screen error
issue on the Windows Vista."

Just let me know what additional information I can provide.
Thanks,
Dan

On Fri, 2008-11-07 at 11:12 -0800, Dan Elder wrote:
> The issue I'm seeing with EXA is that window drawing (2d) performance is very
> slow to the point where it feels like I'm using a very old system with a vesa
> driver. Minimizing, maximizing, or dragging windows around is laggy. Not
> unusable slow, but probably a good 10 times slower than with XAA.

Thanks. There's a little more detail in there which is useful.

What we really want to figure out next is what operation is being asked
for here, which gets us to...

> I don't have
> the desktop effects enabled (although I believe AIGLX is turned on).

The real question here is whether or not there's a compositing manager
running. One some distributions, (such as Fedora, I believe), by default
there's no compositing manager running, (just metacity without its
builting compositing support), and then if you turn on "desktop effects"
it runs compiz. That may or may not be the same with OpenSUSE.

But better than just knowing "yes, there's a compositing manager
running" would be to find a benchmark score that actually changes in a
manner that correlates with the behavior you are seeing.

For example, if the slow operation here is straight blitting, (window
copying without blending), then you could run something like:

 x11perf -copypixwin500

or so under both XAA and EXA to see if the scores change in a manner
similar to your bug. When you find an x11perf test case that changes
with XAA and EXA then we've hit the jackpot and debugging gets *much*
easier from there.

I'm suspecting that compositing is actually happening here, not just
copying. In old versions of x11perf there weren't any compositing tests.
If you've got a sufficiently new x11perf then you can do something like:

 x11perf -comppixwin500

I'm not 100% sure that that test is doing something entirely useful, (it
does seem to call the right blending functions but with apparently no
alpha channels).

Anyway, any details you might be able to provide would be great.

-Carl

I think I can provide some more information about the software installation.
openSUSE 11.1 Beta4 comes with

- xorg-server 1.5.2
- xf86-video-intel 2.5.0
- libdrm: commit a59ea02 (Intel-2008-Q3-RC5)
- Mesa 7.2_intel-2008-q3_46921a5 (Intel-2008-Q3-RC5)

Kernel is 2.6.27.4 *without* any GEM patches applied.

(In reply to comment #11)
> I think I can provide some more information about the software installation.
> openSUSE 11.1 Beta4 comes with

Thanks Stefan.

Those are helpful details with respect to versions, etc.

Do you or anyone else here happen to know if OpenSUSE 11.1 Beta4 is using a compositing manager by default? (That is, without enabling "desktop effects".)

-Carl

I've been able to find a few specific tests that are significantly faster under XAA than under EXA. With XAA I have:

 20000 reps @ 0.3915 msec ( 2550.0/sec): 500x500 stippled rectangle (8x8 stipple)

With EXA I have :

   2000 reps @ 4.6828 msec ( 214.0/sec): 500x500 stippled rectangle (8x8 stipple)

There's a lot of places where EXA is faster than XAA as well but I'll upload my full results from each. I had a system crash during the EXA test (unrelated to video) so I don't have full results but hopefully this sheds some light.

Created an attachment (id=20143)
x11perf -all -repeat 2 with EXA enabled

Created an attachment (id=20144)
x11perf -all -repeat 2 with XAA enabled

Carl, I'm not sure if a compositing manager is started by default on openSUSE 11.1 Beta4.

AFAIK Gnome uses compiz if desktop effects have been enabled. In KDE4 the compositing manager is integrated (into kwin?).

There were some discussions to enable desktop effects by default for a whitelist of drivers depending on the graphics chip in use. It might be
enabled for 965GM by default.

Anyway, Dan said in the Novell Bugzilla report and in this one as well that he has desktop effects not enabled.

BTW, I noticed that Composite extension has not been enabled at all through
xorg.conf.

  Section "Extensions"
    Option "Composite" "on"
  EndSection

is missing in Dan's xorg.conf. Have this extension enabled is not the default
of xorg-server 1.5.2.

I have the same problem on Acer Extensa 5220 celeron 550 intel x3100...My glxgears:
2446 frames in 5.0 seconds = 489.039 FPS
2766 frames in 5.0 seconds = 553.042 FPS
2614 frames in 5.0 seconds = 522.751 FPS

I think this problem involves the driver...We must wait for an upgrade..

(In reply to comment #16)
> Anyway, Dan said in the Novell Bugzilla report and in this one as well that he
> has desktop effects not enabled.

When there's a problem without a compositing manager, does running something like xcompmgr -a improve things with EXA? Without a compositing manager, some of the x11perf tests with very low numbers involve read-modify-write cycles to uncached memory...

> BTW, I noticed that Composite extension has not been enabled at all through
> xorg.conf.

It's been enabled by default for a while, 1.4 if not earlier.

(In reply to comment #17)
> > BTW, I noticed that Composite extension has not been enabled at all
> > through xorg.conf.
>
> It's been enabled by default for a while, 1.4 if not earlier.

I'm not sure. I'm seing

  (**) Extension "Composite" is enabled
  [...]
  (II) Initializing built-in extension COMPOSITE

in Xserver's logfile with this option, but only

  (II) Initializing built-in extension COMPOSITE

without it.

(In reply to comment #18)
> (II) Initializing built-in extension COMPOSITE

I'm only getting that as well when it's enabled by default. Check with

xdpyinfo|grep Composite

to be sure.

Michael, you're right. Sorry for the confusion.

Kornel Jahn (cornail) wrote :

I did a little benchmarking regarding the graphics performance in Sidux Ourea (released 22 Sep) and Ubuntu Intrepid, both amd64 version. The results are in the attached tarball, and they are fairly interesting!

The hardware is a Lenovo Thinkpad R61i with an integrated Intel GM965 GPU.

I compared the log-files from both OS-es.
The several Xorg driver and module versions, reported by Xorg.0.log are the same. EXA is used in both cases.
Looking at glxinfo results, the main differences are in Mesa OpenGL Renderer and OpenGL version strings, and GLX extensions.
In neither cases does does xorg.conf contain any special device options, so it is not included in the tarball.

glxgears and OpenArena timedemo "anholt" (http://dri.freedesktop.org/wiki/Benchmarking) showed remarkable differences though. The performance under Sidux (exa!) is approximately that of Gutsy with XAA and early-Hardy!!! (I also noticed the huge performance drop after 8.04.1). The Interpid results are as poor as already mentioned in this thread.

I am not an expert. Can anyone tell the cause of these differences?

Kornel Jahn (cornail) wrote :

I forgot to mention that Compiz was turned off while testing under Ubuntu Intrepid.

Kornel Jahn (cornail) wrote :

Sry for bothering, i was comparing the wrong Xorg.0.log files, the intel_drv.so of Sidux is older (2.3.2) and xorg-server version is 1.4.
I repost the correct results tarball.
At least it can be seen that there is clearly a regression.

the designer (alberto1988m) wrote :

But a downgrade to a previous versione of intel's driver is not possible?

Volker Hoffmann (vhoffmann) wrote :

I have tried downgrading to Intel driver in Intrepid by (forcibly) replacing it with the Hardy package.

If you do this, X will refuse to start because the older driver was compiled against a different version of X and depends on certain ABI calls that have since been removed; consequently X won't start.

I guess one could compile the old driver against the new X and hence backport it if one is really interested.

the designer (alberto1988m) wrote :

So we must wait for a new release of xserver-xorg-video-intel...

Created an attachment (id=20194)
Screenshot of graphics corruption

One other weird issue I have when using EXA but not XAA is that I'll get graphical corruption in my Groupwise client text. This is a java application and I'm currently using the following JRE:

java version "1.6.0"
Java(TM) SE Runtime Environment (build pxa6460sr2-20080818_01(SR2))
IBM J9 VM (build 2.4, J2RE 1.6.0 IBM J9 2.4 Linux amd64-64 jvmxa6460-20080816_22093 (JIT enabled, AOT enabled)
J9VM - 20080816_022093_LHdSMr
JIT - r9_20080721_1330ifx2
GC - 20080724_AA)
JCL - 20080808_02

Scrolling around in the app or clicking anywhere probably forces a screen refresh which clears it up but eventually (without user interaction) it will come back.

I tested xserver-xorg-video-intel-2.5.0~git20081023 a few days ago (with an without libdrm2-2.4.0~git20081014). Still the same problem...

the designer (alberto1988m) wrote :

I just test the 2.5 version...same problem..

LarsIvarIgesund (larsivar) wrote :

This seems to be the same as https://bugs.freedesktop.org/show_bug.cgi?id=18389, but it should be verified and the reports linked together.

Kornel Jahn (cornail) wrote :

Openarena anholt timedemo, 800x600.
Toshiba Satellite L40 notebook, Intel 950 GMA (!) GPU, Windows XP: 82 fps
Lenovo ThinkPad R61i, Intel x3100 GPU, Ubuntu Intrepid: 44 fps
The old Intel 950GMA under XP is nearly twice as fast, as its successor under Ubuntu Intrepid.

antych (antych) wrote :

I looked at my xorg log and there are lines with errors:
(EE) intel(0): Unable to write to SDVOCTRL_E for SDVOB Slave 0x70.
(EE) AIGLX error: drmMap of framebuffer failed (Invalid argument)(EE) AIGLX: reverting to software rendering

Botond Szász (boteeka) wrote :

I don't know if this is a problem or not, but dispite I have GM965/GL960 Integrated Graphics Controller, I found this in the xorg log file:
(II) [drm] loaded kernel module for "i915" driver.

In response to antych:
(II) intel(0): direct rendering: Enabled

All this on Inspiron 1525.

the designer (alberto1988m) wrote :

Look at my glxgears:
alberto@alberto-laptop:~$ glxgears
2614 frames in 5.0 seconds = 522.744 FPS
2548 frames in 5.0 seconds = 509.534 FPS
2613 frames in 5.0 seconds = 522.038 FPS
2549 frames in 5.0 seconds = 509.793 FPS
2704 frames in 5.0 seconds = 540.734 FPS
2514 frames in 5.0 seconds = 502.663 FPS
2701 frames in 5.0 seconds = 540.032 FPS
2546 frames in 5.0 seconds = 509.165 FPS
2718 frames in 5.0 seconds = 543.437 FPS
2547 frames in 5.0 seconds = 509.211 FPS
2711 frames in 5.0 seconds = 542.071 FPS
2546 frames in 5.0 seconds = 509.135 FPS
2712 frames in 5.0 seconds = 542.360 FPS
2549 frames in 5.0 seconds = 509.795 FPS

I note that every 5 seconds there is a little break in the rendering,how is possible?

jesse (jesse) wrote :

Confirmed. I have a Lenovo Y510. This is so frustrating. Flash movies are impossible to fullscreen and video performance in VMware is terrible. Both problems are nonexistant in Hardy.

jesse@y510:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)

jesse@y510:~$ glxinfo | grep direct
direct rendering: Yes

jesse@y510:~$ dpkg -l xserver-xorg-video-intel|grep ^ii|awk {'print $2" "$3'}
xserver-xorg-video-intel 2:2.4.1-1ubuntu10

http://jesse.homedns.org:443/~jesse/Xorg.0.log

The following Ubuntu bug report seems to be the same issue (or at least related to the same hardware):

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/252094

8.10 fully updated, Compiz effects turned off
Same issues with the much older 82852/855GM (rev02)

Stuttering display in glxgears every few seconds
Missing characters in googleearth (a,l and digits)

Lorenco Trichardt (trichalo) wrote :

Same here... ThinkPad T60:
Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

Same problems here!
Video playback is impossible (1 frame every 2 seconds)
Lots of corruptions on the screen with GoogleEarth (Also render stays on top (Since hardy), also corruption running celestia....

Everything got worse on Intrepid.... I also have seen hardware lockups, and X Server hangs....

the designer (alberto1988m) wrote :

Solutions?:(

antych (antych) wrote :

I managed to fix it for myself, at least I see some improvement.
I deleted xorg.conf and than set up dual screen using the resolution tool in preferences. I actually worked very well to my surprise. Now log shows "(II) intel(0): direct rendering: Enabled" and I get 2x fps in glxgears

the designer (alberto1988m) wrote :

how have you set dual screen??

antych (antych) wrote :

@the designer
there's a screen resolution tool in preferences, I used that

Jan Hoffmann (jan-hoffmann) wrote :

This "hack" doesn't work for me.

I'm using an Eee PC 901 with GMA950.

the designer (alberto1988m) wrote :

@antych
I can't set dual screen in resolution tool..there is another way?

LarsIvarIgesund (larsivar) wrote :

The dual screen tip is obviously a red herring, most here probably don't have two screens attached.

Patrice Bouillet (moonsorrow) wrote :

I have the same problem with poor performance here. I just tested the 8.04 and 8.10 live cds (even the 64bit ones) and the result in glxgears is the same. In 8.04 I have over 1000 fps in glxgears, in 8.10 it drops to around 220 fps, sometimes even worse. Everything in compiz is very choppy. I tried the XAA acceleration method, but it's not much of a gain (with EXA, it is so bad that you can't really think of using compiz).

It's really annoying to work with such low fps, so if I can help with any logs, just ask. I looked myself into them and tried to compare them with the ones in here, but couldn't find anything similar.

jesse (jesse) wrote :

I'm really surprised this bug hasn't been squashed and/or made it out in the final release. You'd think with all the Intel integrated graphics notebooks this would be a bigger priority? Is there a way to compile the driver or anything?

Lapoz (lapause) wrote :

Same problems in Intrepid 8.10 Final, on a Clevo M720R.

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)

$ glxgears
1917 frames in 5.0 seconds = 383.325 FPS
1880 frames in 5.0 seconds = 375.964 FPS

$ glxinfo
(...)
direct rendering: No (LIBGL_ALWAYS_INDIRECT set)
server glx vendor string: SGI
server glx version string: 1.2
(...)

glxgears flickers and stays on top of other windows, render in Google Earth is a complete mess.

I have found something strange which could explain comments #30 and #31 :
if I switch to root :
# glxinfo gives me "direct rendering: yes" and glxgears no longer flickers.
# glxgears
2893 frames in 5.0 seconds = 578.459 FPS
2895 frames in 5.0 seconds = 578.897 FPS
and it no longer flickers.

Why this difference ?
However, Google Earth is still messed up.

Whether I am root or not, the 3D canvas of glxgears always stays on top and the frame rates do not differ.

In both cases, glxinfo gives me: direct rendering: Yes.

Jan Girlich (vollkorn) wrote :

To clarify the situation a bit I made the following tests:

With no compiz activated:

$ glxinfo | grep direct
direct rendering: Yes

$ sudo glxinfo | grep direct
direct rendering: Yes

$ glxgears
2844 frames in 5.0 seconds = 568.693 FPS
2986 frames in 5.0 seconds = 597.155 FPS
2900 frames in 5.0 seconds = 579.849 FPS

$ sudo glxgears
2736 frames in 5.0 seconds = 547.065 FPS
3057 frames in 5.0 seconds = 611.340 FPS
3069 frames in 5.0 seconds = 613.760 FPS

With compiz activated:

$ glxinfo | grep direct
direct rendering: Yes

$ sudo glxinfo | grep direct
direct rendering: Yes

$ glxgears
2946 frames in 5.0 seconds = 589.101 FPS
2995 frames in 5.0 seconds = 598.924 FPS
3015 frames in 5.0 seconds = 602.967 FPS

$ sudo glxgears
2930 frames in 5.0 seconds = 585.985 FPS
2676 frames in 5.0 seconds = 535.103 FPS
2656 frames in 5.0 seconds = 531.038 FPS

My conclusions:

1. If your direct rendering as a user is not working according to glxinfo check if it works with compiz disabled. And vice versa.

2. There is no significant difference in performance when run with user previliges or root previliges.

Patrice Bouillet (moonsorrow) wrote :

Tested the 2.5 version of the intel driver, still the same problem. Does anyone know which version of the driver was used in 8.04? Would it be possible to test this version on 8.10, or are the changes in the xserver that extensive that the driver wouldn't work anymore?

Just found this in my dmesg:

[ 13.631252] agpgart-intel 0000:00:00.0: Intel Mobile Intel? GM45 Express Chipset
[ 13.632605] agpgart-intel 0000:00:00.0: detected 32764K stolen memory
[ 13.645494] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000
...
[ 33.809222] [drm] Initialized drm 1.1.0 20060810
[ 33.890755] [drm] Initialized i915 1.6.0 20060119 on minor 0
[ 33.891582] [drm:i915_getparam] *ERROR* Unknown parameter 5

glxinfo:
direct rendering: Yes
OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset 20061102

Any progress for that?

@Patrice 8.04 uses version 2:2.2.1-1ubuntu12, you can see it here:
https://launchpad.net/ubuntu/+source/xserver-xorg-video-intel
Anyway I don't it'll work with intrepid

the designer (alberto1988m) wrote :

This problem isn't of intel driver but of mesa glx 7.2 ..we must wait for this upgrade..

Marcelo Fernandez (fernandezm) wrote :

I'm suffering this problem, but installing the "linux-backports-modules-intrepid-generic" package I get *some* better performance using OpenGL, for example, with the "expo" effect. But I still think that general video performance is poor, and moreover, I'm still getting the same GLX-rendering errors (Google Earth, and other 3D apps).

There were a new release of intel drivers.
http://www.linux-gamers.net/modules/news/article.php?storyid=2502

I've searched to see if there are other distros with the same problem, but
found nothing.

The Designer: How did you know the problem is in Mesa?

paulo I have compiled new driver 2.5.1 but my system loads always the 2.4.2.. why?

I have tested in Intrepid (fully updated at this very moment) the new 2.4.3 Intel driver:

- same issues with the rendering
- the performance has improved in around 50 FPS in glxgears reaching around 1000 FPS (resolution 1400x900).

I also think the issue is in Mesa 7.2. The DRI Intel driver comes with Mesa.
When I turn the KDE 4.1 effects off there is no rendering corruption any more.

It seems there is some graphics memory corruption when several applications use OpenGL simultaneously...

I have tested in Intrepid (fully updated at this very moment) the new 2.4.3 Intel driver:

- same issues with the rendering
- the performance has improved in around 50 FPS in glxgears reaching around 1000 FPS (resolution 1400x900).

I also think the issue is in Mesa 7.2. The DRI Intel driver comes with Mesa.
When I turn the KDE 4.1 effects off there is no rendering corruption any more.

It seems there is some graphics memory corruption when several applications use OpenGL simultaneously...

Any idea when Mesa 7.3 will be out and whether it will help and or will be included in Ubuntu 8.10?

the designer (alberto1988m) wrote :

juan how have you installed the new intel 2.4.3?

Mike Auty (mike-auty) wrote :

Paulo, I think Gentoo (and I would imagine any other distro using a similar set of packages) also has a similar problem, although it's phrased differently:

http://bugs.gentoo.org/237468

I'm certainly experiencing font glyphs missing in Google Earth. Also, although it's not a good performance guide, I'm down to 50 FPS in glxgears, with direct rendering, EXA, composite enabled but no compositing manager running, xorg-1.5.2, intel-2.5.1, libdrm-2.4.1 (allegedly), mesa-7.2 and kernel-2.6.27.

Kornel Jahn (cornail) wrote :

Mike, I can confirm the 50 fps glxgears: just tried openSUSE 11.1 beta5 LiveCD, getting similar results.

Of course glxgears is not a good performance guide but in my case, the relative framerate changes in glxgears are correlated to the relative framerate changes in openarena timedemo when trying different versions of ubuntu with different xorg-server, intel-driver, etc.

50fps on glxgears isn't an indication of vsync enabled (maybe working
incorrectly, since usual refresh rates are more likely to be 60, 75, 85
fps)?

Do you get tearing on this 50fps setup? If not, maybe this is an
evolution... just wondering.

On Fri, Nov 14, 2008 at 11:40 AM, Kornel Jahn <email address hidden> wrote:

> Mike, I can confirm the 50 fps glxgears: just tried openSUSE 11.1 beta5
> LiveCD, getting similar results.
>
> Of course glxgears is not a good performance guide but in my case, the
> relative framerate changes in glxgears are correlated to the relative
> framerate changes in openarena timedemo when trying different versions
> of ubuntu with different xorg-server, intel-driver, etc.
>
> --
> Poor graphics performance and rendering errors on Intel GM965 system,
> Ubuntu 8.10
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Something else I just noticed today is that Cheese no longer works with my webcam. Not sure if it's related, but again this is something that worked fine in Hardy. The driver is in there, but there is no image.

the designer: get the source from here http://lists.freedesktop.org/archives/xorg/2008-November/040243.html

Uncompress it and go to the folder where you uncompressed, and just go through the standard sequence of commands:

#./configure
(You will be informed about the dev packages missing, just install them with adept manager. Just run ./configure till you get no complaints)
# make
# sudo make install

The drivers will be installed in: /usr/local/lib/xorg/modules/drivers
Which in Ubuntu is the wrong place (probably it can be configured with some option in the configure script)

Type:
# grep -i intel_drv /var/log/Xorg.0.log

This command will return the right location of the intel driver in your system.

Just make a backup copy of the intel_drv.so and overwrite it with the new one in /usr/local/lib/xorg/modules/drivers
You need to reboot your system (or at least Xorg) after this.

Anyway still the issue is there when you have the desktop effects enabled and it is slower than Hardy by around a 20%.

Pablo Marchant (pamarca) wrote :

I also have problems with cheese with an Intel GM965. The difference though is that I get an image and can take pitures, but video recording works like crap....

the designer (alberto1988m) wrote :

juan i have followed your guide,but if i write dpkg -l xserver-xorg-video-intel|grep ^ii|awk {'print $2" "$3'},it returns :xserver-xorg-video-intel 2:2.4.1-1ubuntu10 ...
why?however I don't see improves in performance..

jesse (jesse) wrote :

@ Juan

How did you get it to build? I can't seem to get past a libdrm dependency:

checking for DRM... configure: error: Package requirements (libdrm >= 2.4.0) were not met:
Requested 'libdrm >= 2.4.0' but version of libdrm is 2.3.1

Paulo Fidalgo (o-kanniball-o) wrote :

The designer:
You have installed it mannually, so the package version is still around. DPKG only manages packages, not manual installs.
If the problem is with mesa, it would be nice if somebody could test the latest mesa (a checkout from repository).

At the moment I don't have access to my machine :S

the designer (alberto1988m) wrote :

how can I test the latest mesa?

Perhaps this conversation should be moved to a forum, and the link pasted
here? I'm getting a lot of email.

On Fri, Nov 14, 2008 at 11:14 AM, the designer <email address hidden>wrote:

> how can I test the latest mesa?
>
> --
> Poor graphics performance and rendering errors on Intel GM965 system,
> Ubuntu 8.10
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in "xserver-xorg-video-intel" source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xserver-xorg-video-intel
>
> I experience significant performance loss with ubuntu 8.10 alpha 3 with my
> Intel DG965WH based system and SVDO/ADD2 video card. Actually, the
> performance loss started with ubuntu 8.04.1; I upgraded to see if there was
> any performance gain with the new version. While "glxgears" produced values
> between 1580 fps and 1496 fps with ubuntu 7.04 and 7.10, respectively, now I
> can only achieve something like 445 fps with ubuntu 8.10 alpha 3. I get an
> error message when starting glxgears that "TTM" was not available and
> classic mode would be used. Similary, the flight simulator "flightgear"
> achieves frames rates of 1-2 fps only.
> My suspicion is that some of the hardware acceleration features of the
> X3000 system are not being used, and I don't know how to activate them with
> the new xorg.conf structure and the underlying automatic configuration
> approach.
> I would like to see the graphics performance go back to the values achieved
> in ubuntu 7.04 and 7.10.
> Your help / comment is greatly appreciated.
> Bingo
>

Paulo Fidalgo (o-kanniball-o) wrote :

On Friday 14 November 2008 16:14:17 the designer wrote:
> how can I test the latest mesa?
http://dri.freedesktop.org/wiki/Building

but be warmed that you could make some break the integrity of your linux
instalation, because it will overwrite some files.

If you are brave enough, go on ;)

Jesse, I did not got that error.
I cannot see the Checking for DRM when running ./configure

Dan Quade (danquade) wrote :

The new Intel driver has some fixes.
http://lists.freedesktop.org/archives/xorg/2008-November/040243.html
Has somebody tried it?

Kornel Jahn (cornail) wrote :

Juan and the designer have already had several posts about that. No remarkable improvement.

I have also tried installing both the new 2.4.3 and the new 2.5.1 drivers. No change.

Machine details: Dell E6500 with GM45/4500MHD. glxgears gets 1200fps under Hardy (livecd) and 200-300fps under Intrepid (installed).

the designer (alberto1988m) wrote :

when mesa glx will be upgrade??the last upgrade is 20 september..

jesse (jesse) wrote :

There was a new driver upgrade today, doesn't seem to have helped at all.

(In reply to comment #13)
> There's a lot of places where EXA is faster than XAA as well but I'll upload my
> full results from each. I had a system crash during the EXA test (unrelated to
> video) so I don't have full results but hopefully this sheds some light.

Dan,

Thanks for posting the results from this performance testing. There's definitely something interesting to see in the results from the 4 variants of the copy tests (shown below for the 10x10 tests and the 500x500 tests).

For most of the EXA tests the performance is basically unchanged when changing from 10x10 to 500x500. That suggests that there is good GPU acceleration happening. Contrast that with the XAA results where performance generally falls dramatically from 10x10 to 500x500 suggesting that the CPU is getting involved on a per-pixel basis.

The big exception is the pixmap to pixmap test where not only does EXA get dramatically slower from 10x10 to 500x500, but it's also from 2x to 14x slower than XAA for this case. So there's obviously something quite broken there, (perhaps migration for a fallback).

If you've got a recent xf86-video-intel driver (from git) then you can turn on the following option (in the device section of your xorg.conf file):

    Option "FallbackDebug" "true"

and then check your Xorg.#.log file to see if there are fallbacks that correspond to the slow behavior you're seeing.

-Carl

EXA
===
winwin: 10: 1370000
        500: 1330000

pixwin: 10: 1570000
        500: 1550000

winpix: 10: 1420000
        500: 1400000

pixpix: 10: 83700
        500: 1740

XAA
===
winwin: 10: 280000
        500: 1730

pixwin: 10: 206000
        500: 247

winpix: 10: 65100
        500: 52

pixpix: 10: 1210000
        500: 4380

Switched back to 7.10. The performance is back to normal... This is *much* better...
I will wait with upgrading until this bug has been resolved....

I used to have decent performance with Google Earth (GE) on Hardy, but after the upgrade to Intrepid I am having issues with rendering as well. Everything seems fine, but whenever I try to run GE or World Wind Java I get this single error message in /var/log/Xorg.0.log
(EE) intel(0): underrun on pipe B!

Below are additional outputs that I can think of... These are on a Lenovo 3000 v100 laptop.
$ lspci |grep gra
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

$ glxgears -info
GL_RENDERER = Mesa DRI Intel(R) 945GM 20061102 x86/MMX/SSE2
GL_VERSION = 1.4 Mesa 7.2
GL_VENDOR = Tungsten Graphics, Inc
GL_EXTENSIONS = GL_ARB_depth_texture... GL_SUN_multi_draw_arrays
4161 frames in 5.0 seconds = 832.134 FPS
5007 frames in 5.0 seconds = 1001.400 FPS
4988 frames in 5.0 seconds = 997.439 FPS
4944 frames in 5.0 seconds = 988.700 FPS

I notice that even though DRI is enabled my CPU usage goes to 75% on one core when the GLXGears is running. When the window is behind another window rates go up to ~3200 FPS or 16000 frames over 5 sec. I don't recall these behaviors in Hardy.

$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Mesa DRI Intel(R) 945GM 20061102 x86/MMX/SSE2

In HARDY glxinfo would give me a different date for MESA:
direct rendering: Yes
OpenGL renderer string: Mesa DRI Intel(R) 945GM 20061017 x86/MMX/SSE2

May be MESA might have something to do with this?

I used to have flicker problems on Hardy when I run GE with Compiz, so I keep my compiz turned off. Though I tested to see if it was working and I don't seem to have problems with wobbly windows etc. They seem to work OK. Performance difference with/without DRI on Hardy was 6000/4000 frames with GLX gears and that made a huge difference in GE.

Just for the record, afaik GE needs SSE2 as well, and it is supported on the laptop.
$ cat /proc/cpuinfo | grep sse2 -o
sse2
sse2

In general the performance is OK, but seems like something went wrong with the 3D drivers... I hope the "buffer underrun" message in Xorg.log or the date difference in MESA drivers can give someone an idea to fix this.

Jan Hoffmann (jan-hoffmann) wrote :

I tested with glxgears on an Eee PC 901 with GMA 950, INTEL_BATCH was enabled on both systems:
Gutsy Gibbon: 950 FPS
Intrepid Ibex: 500 FPS

I can confirm that the frame rate goes up in Intrepid Ibex (Gutsy Gibbon untested) when glxgears is behind another window or minimized.

Shake (cedarsoft) wrote :

Compaq 6710b:

glxgears on Intrepid:
- about 500

glxgears on Gutsy Gibbon:
- about 1000FPS (with 1 core at about 25%)
with hidden window:
- about 15,000 FPS (with 1 core at about 100%)

this issue might be related:
https://bugs.launchpad.net/ubuntu/+source/sun-java6/+bug/288650

the XAA acceleration workaround fixes that issue

XAA acceleration does not fixes the problem for me... I know glxgears isn't a performance test, but with XAA enabled I only get ~30+ FPS... and I'm still having the rendering problems (with Compiz or Metacity, it doesn't matter).

To give you an example, I uploaded this screencast to youtube:

http://www.youtube.com/watch?v=7cWW-12gxdY

This is my video card:
marcelo@marcelo-laptop:~$ lspci -vnn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 03)

Regards,
Marcelo

ybg (jallen521) wrote :

I have this issue on my Dell Inspiron 1525 as well. I have a few other graphical issues w/ this Intel card as well. Marcelo above me had a good idea about the screencast. I'm adding mine, and it shows a similar experience.

http://www.youtube.com/watch?v=UT8x_PGRolU

Here is my lspci:

me@laptop:/var/log$ lspci -vn |grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)

The other issue I have is that when I boot the machine from cold, or restart it, X will NOT load. If flashes a black screen, and then garbage, and then black, and then black. I see the hard drive light blinking so I know its actually loading in the background. I can press ctrl-alt-backspace, and then ctrl-alt-delete to get the machine restarted. I have to choose "Recovery Mode" in Grub, then choose the "Resume" option. Doing it this way, X will load fine, but performance is terrible.. but it's all I got!

I can reproduce this every time I boot from cold, or restart the computer.

ybg wrote:
> I can press
> ctrl-alt-backspace, and then ctrl-alt-delete to get the machine
> restarted. I have to choose "Recovery Mode" in Grub, then choose the
> "Resume" option. Doing it this way, X will load fine, but performance
> is terrible.. but it's all I got!

This more sounds like you are not using the Intel driver. When you have
booted in recovery mode, can you please check your X.org log and see
which driver you use?

Thats what I was thinking but am not sure. I've attached my Xorg.0.log.

Either way, as you can see in the screencast, I have the same issues as a lot of other people.

ybg is using the intel driver:

(II) LoadModule: "intel"

(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
 compiled for 1.5.2, module version = 2.4.1
 Module class: X.Org Video Driver
 ABI class: X.Org Video Driver, version 4.1
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
 i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
 E7221 (i915), 915GM, 945G, 945GM, 945GME, 965G, G35, 965Q, 946GZ,
 965GM, 965GME/GLE, G33, Q35, Q33,
 Mobile Intel® GM45 Express Chipset,
 Intel Integrated Graphics Device, G45/G43, Q45/Q43

Thanks. I was pretty sure I was using the Intel driver since i was able to turn compiz on.

Is there a way to get a screen capture of the boot process other than recording w/ my camera?

ybg (jallen521) wrote :

I grabbed a vid w/ my camera and uploaded it. It should be available shortly.

The video shows exactly what happens when I try to start Ubuntu using the normal Kernel. The screen flashes all crazy, and then just sits there. I have to boot using "Recovery Mode" to get into a working X.

http://www.youtube.com/watch?v=U0fHvWsWKtQ

Michal Charvát (dog.big) wrote :

I have too this issue with x3100 on my laptop toshiba l40-14D. I used ubuntu 8.10 and have low poor perfomance in glxgears (about 350). They may be bug with using acceleration of graphic card. In ubuntu 8.04 it is OK (glxgears about 800).

(In reply to comment #24)
> For most of the EXA tests the performance is basically unchanged when changing
> from 10x10 to 500x500. That suggests that there is good GPU acceleration
> happening. Contrast that with the XAA results where performance generally falls
> dramatically from 10x10 to 500x500 suggesting that the CPU is getting involved
> on a per-pixel basis.

I got some details wrong above.

We do expect substantial slowdown between the 10x10 and 500x500 tests. And in fact, the original numbers reported here are basically physically impossible. The expected results are about 1000 operations per second for the 500x500 case (based on available memory bandwidth) and about 125000 to 250000 operations per second for the 10x10 case (limited this time by the maximum rate of command submission).

So something went wrong in testing that you saw such impossibly large numbers.

> The big exception is the pixmap to pixmap test where not only does EXA get
> dramatically slower from 10x10 to 500x500, but it's also from 2x to 14x slower
> than XAA for this case. So there's obviously something quite broken there,
> (perhaps migration for a fallback).

It still looks like there is a problem in this case. I'm still looking to see
if I can replicate this.

-Carl

Recent Intel driver and the latest xorg (not yet released) and 2.6.28 kernel has new memory management GEM which address slow performance for intel graphics. It is not bug in ubuntu 8.04 and 8.10.

7.xx ubuntu is fast because there were intel driver with TTM memory management which was droped by intel (in flavour of GEM).

You have to wait for ubuntu 9.xx (I hope there will be new intel driver) or you have to compile xorg/kernel/intel by your self which is not an option for usual users. Or go back to 7.xx ubuntu.

I've 400 fps in ubuntu 8.04 and 1150fps in ubuntu 8.04 with new xorg/kernel/intel driver. There are still major 2D performance issues when compositing and others have reported slow 2D - https://bugs.freedesktop.org/show_bug.cgi?id=18572

@Festr:

What about the rendering errors? Does this mean that the memory management is faulty at the moment? Will this be corrected with GEM, Linux 2.6.28 and the latest Xorg and Intel drivers?

Hi Festr,

Thanks for the input. But I am not sure what I am suffering is due to memory management, since everything was working fine for me (configuration posted above, lenovo 3000 v100) with hardy (8.04)...
Things started going wrong with the 3D acceleration only after Intrepid update.

Also I wanted to test xf86-video-intel 2.5 from git. However I am having a problem with "libdrm.la" when I try to "make". It seems like libdrm.la was removed from libdrm package after version 2.3.0-1. Does anyone know how to work around that problem?

the designer (alberto1988m) wrote :

i have a problem with my x3100 in kubuntu 8.10..If I do glxgears,this is the output:
alberto@alberto-laptop:~$ glxgears
2550 frames in 5.0 seconds = 509.941 FPS
2482 frames in 5.0 seconds = 496.389 FPS
2671 frames in 5.0 seconds = 534.080 FPS
2329 frames in 5.0 seconds = 465.751 FPS
2616 frames in 5.0 seconds = 523.129 FPS

As you can see, I have a block every 5 seconds in both the video screen in the counting of the FPS.
This morning I have tried the live cd of ubuntu and the performance is the same but I do not have these blocks video.
This is my xorg:
Section "Device"
 Identifier "Configured Video Device"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
EndSection

How can I resolve this problem?

Jan Hoffmann (jan-hoffmann) wrote :

It ist normal that glxgears displays the FPS every 5 seconds.

nogac (nogacsoid) wrote :

There are GEM-enabled packages for ubuntu here:
http://people.ubuntu.com/~bryce/Testing/Gem/

The problem is that they are a little old (12 aug) so there is no intel video 2.5.

the designer (alberto1988m) wrote :

@jan
I have video block,that is when i watch a film i see graphic blocks..

ybg (jallen521) wrote :

I have the same xorg.conf as "the designer" does.

Section "Device"
       Identifier "Configured Video Device"
EndSection

Section "Monitor"
       Identifier "Configured Monitor"
EndSection

Section "Screen"
       Identifier "Default Screen"
       Monitor "Configured Monitor"
       Device "Configured Video Device"
EndSection

Basically blank. I know Ubuntu changed how X works in 8.10 w/ no config file, but I don't fully understand it yet. I'm so used to the old way, and at this point, I think I may prefer it. Can anyone explain it? Could it be part of the issue?

the designer (alberto1988m) wrote :

My problem of little video refresh is caused by kde4,because now I use gnome and glxgears gives always 560 Fps.Bad problem!

Festr (festr2) wrote :

glxgears does not depends on window manager. Maybe in gnome you dont use composite (3d desktop).

the designer (alberto1988m) wrote :

in gnome I use composite and it works good.

JoseLVG (josvazg) wrote :

If the performance drop is due to the TTM/GEM migration then It seems that there is NO solution to this for Intrepid as far as I could read on the net.

(If someone has more information, please let us all know)

The GEM bits are going to the 2.6.28 kernel NOW, and they will be stable when that kernel version become the stale one.

What I don't understand is...
WHY do they decided to drop TTM BEFORE GEM was working?

[Usually, you don't break things like this before having a decent replacement. ]

Festr (festr2) wrote :

What I know is that TTM in intel was never in stable branch and it was unsupported and experimental.

Sergiy Zuban (s-zuban) wrote :

the XAA acceleration workaround just partially fixes that issue on dell inspirion 1525.

With XAA:

+ no rendering glitches when starting new program (firefox, thunderbird, etc)
* OpenGL rendering still has problems (when moving glxgears window), but they were on Hardy as well
- rendering issues still remains in Google Earth
- Google Earth works for 10-20 seconds and than system is completely freezes (have to reboot)
- no video output in mplayer (if X11/Xv video driver chosen)
- web cam not working (have no idea how this could be related)

With EXA:

- rendering glitches when starting new program (firefox, thunderbird, etc)
+ Google Earth do not freezes, but have rendering issues (blinking)
+ video output in mplayer (if X11/Xv video driver chosen) allows to see correct output when rotating compiz's cube (in Hardy it was not working)

Performance is the same in both accel modes ~ 500fps in glxgears. On Hardy was ~ 1100fps.

JoseLVG (josvazg) wrote :

The funny thing about this bug is that, at the end of the day, you are better off using closed-source drivers from the 'evil' guys at NVidia that with the open sourced intel ones.

Sergiy Zuban (s-zuban) wrote :

I did decision to buy laptop with Intel card since I thought it's most supported by linux. Definitely it was wrong decision.

can we stick to discussion to the bug itself please.
--
Baptiste Mille-Mathias
Les gens heureux ne sont pas pressés

Has anybody been able to test a GEM based intel driver? (I guess upgrading to a 2.6.28 kernel)
If so, how good is its performance?
Does it solve all the problems described here?

Biji (biji) wrote :

has 2.6.28 released yet??

Kernel 2.6.28 is not stable yet in kernel.org:
http://www.kernel.org/

And I guess that Ubuntu 8.10 wiill only come with 2.6.27 kernels packages.
To test GEM I presume that one should compile some 2.6.28 on his/her own and
try it out. This is quite time consuming, specially guessing the correct
config settings for the kernel compilation. (Or is it there a tool to port
the ubuntu (or array.org for eees) kernel's config to version 2.6.28?)

Then you can download and install the latest unstable GEM drivers from intel
driver website:
http://intellinuxgraphics.org/download.html

Jose

2008/11/26 Biji <email address hidden>

> has 2.6.28 released yet??
>
> --
> Poor graphics performance and rendering errors on Intel GM965 system,
> Ubuntu 8.10
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Download full text (4.0 KiB)

I've done some testing with OpenSUSE 11.1 Beta5 (the KDE4 LiveCD) and identified some performance issues. I haven't done comparisons with XAA yet, but instead compared performance against my standard development build. This currently consists of:

Linux 2.6.28-rc4 (from git://git.kernel.org/pub/scm/linux/kernel/git/anholt/drm-intel for-review branch)
X server 1.5.99.1 (recent master)
xf86-video-intel 2.4.97 (recent master)

For testing I took x11perf with a selected set of tests (eliminating all of the uninteresting core rendering tests such as stippled fills, wide lines, ellipses, and arcs). I ran these tests against my "master" builds and then the same tests on the same hardware after booting the OpenSUSE live CD.

Finally, I manually scanned the results looking for cases where the performance differed by 2x or more. Below is a sorted list of the differences, showing the "master" performance followed by the OpenSUSE performance for each test. Also, for each test the relative performance is quantified (where "slowdown" means that the OpenSUSE performance is slower than the "master" performance---note that in two cases there is actually a speedup instead).

The next step would be to do profiling of some of the slowest tests, or perhaps to switch out one or more components to see what's contributing to the performance difference. Any contribution to those efforts from anyone would be most appreciated---as would any verification of these test results, or similar testing with XAA.

The copywinwin test is likely the most fundamental. And it perhaps is at the root of several of the other slowdowns.

Here's an x11perf command line that can be used to quickly obtain results for just these tests that seem interesting:

x11perf -repeat 2 \
  -aatrap1 -aatrap10 -aatrap2x1 -aatrap2x10 \
  -aa10text -aa24text -rgb10text -rgb24text \
  -scroll10 -scroll100 \
  -copywinwin10 -copywinwin100 \
  -copypixwin10 -copypixwin100 \
  -putimage10 -putimage100 \
  -shmput10 -shmput100 \
  -getimage100 -getimage500 \
  -compwinwin10 -compwinwin100 \
  -comppixwin10 -comppixwin100

And here are the results I obtained:

-aatrap2x1: 316000.0/sec
                 70900.0/sec 44.5x slowdown

-putimage10: 126000.0/sec
                  6280.0/sec 20.1x slowdown

-copywinwin10: 137000.0/sec
                  7570.0/sec 18.1x slowdown

-compwinwin10: 125000.0/sec
                  7520.0/sec 16.6x slowdown

-comppixwin10: 124000.0/sec
                  8360.0/sec 14.8x slowdown

-copypixwin10: 125000.0/sec
                 10000.0/sec 12.5x slowdown

-scroll10: 139000.0/sec
                 11500.0/sec 12.1x slowdown

-shmput10: 112000.0/sec
                 10700.0/sec 10.5x slowdown

-getimage100: 1350.0/sec
                  6240.0/sec 4.6x speedup (!)

-putimage100: 9420.0/sec
                  2260.0/sec 4.2x slowdown

-aatrap1: 325000.0/sec
                 79700.0/sec 4.1x slowdown

-aa24text: 57700.0/sec
                 14600.0/sec 4.0x slowdown

-shmput100: 14900.0/sec
                  4270.0/sec 3.5x slowdown

-aatrap10: 89800.0/sec
                 25400.0/sec 3.5...

Read more...

I've upgraded my system to the development branch jaunty.
Here's the version:

kernel: 2.6.28-1-ub-generic
libdrm2: 2.4.1-0ubuntu6
libdrm-intel1: 2.4.1-0ubuntu6
mesa: 7.2-1ubuntu2
xserver-xorg-video-intel: 2.5.1-1ubuntu1

I'm using a 965 chipset, and the performance is still poor.

1537 frames in 5.0 seconds = 307.273 FPS
1785 frames in 5.0 seconds = 356.942 FPS
1827 frames in 5.0 seconds = 365.262 FPS
1763 frames in 5.0 seconds = 352.510 FPS

Cássio Freitas (ksfreitas) wrote :

I have a poor 3D performance and problems with rendering when using Compiz:

GLGears with Compiz and render problems:
1680 frames in 5.0 seconds = 335.990 FPS
1704 frames in 5.0 seconds = 340.622 FPS
1699 frames in 5.0 seconds = 339.754 FPS
1705 frames in 5.0 seconds = 340.839 FPS
1681 frames in 5.0 seconds = 336.142 FPS

GLGears without Compiz do not have render problems, but the performance still poor.

JoseLVG (josvazg) wrote :

This is great!

Pre-Hardy (TTM?) 1500FPS

Ibex 500FPS (-1000FPS)

Jaunty 350FPS (-150FPS)

Great progression!!!

Richard Guo (rfguo) wrote :

Just adding that TTM was never used as a memory manager pre-hardy. Other than that, we are in the middle of migrating the intel driver to the GEM stack. However, it seems that non-GEM performance has taken a *huge* hit. 2.5.1 in jaunty has poor glxgears (350 fps) and poor openarena (1-3fps) scores. There is definitely a performance regression somewhere in here.

Makes me wonder if enabling GEM will only make the performance go back to 7.04 or 7.10 days.

This bug seems to affect also intel 945 chipset. On a aspire one I had a drop from around 1000fps in hardy to 300-400 in Intrepid. Adding the tunning below to /etc/rc.local allowed to get some fps back, up to 630 on average. But on a netbook, every lost fps can be seen to affect overall performance.
This is what I added to /etc/rc.local, after a forum tip:

echo "disable=7" >/proc/mtrr
echo "disable=6" >/proc/mtrr
echo "disable=5" >/proc/mtrr
echo "disable=4" > /proc/mtrr
echo "base=0x40000000 size=0x10000000 type=write-combining" > /proc/mtrr

Filian (pynolo) wrote :

I have the very same problem with another intel chipset, so I don't think I should start another bug on launchpad.

sudo lshw -C display
  *-display:0 UNCLAIMED
       description: VGA compatible controller
       product: Mobile 4 Series Chipset Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 07
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm bus_master cap_list
       configuration: latency=0

Compiz is working but with a poor performance. glxgears is about 750fps and it leaves a ghost image as I move its window.
Hedgewar graphics (2D!) are completely broken, Tremolous makes the system hang after the welcome screen.
Google Earth draws random colour textures and then the system hangs.

I'm very disapponted with intel... I hope there will be soon a fix for this.
Tell me if you need more info.

pierrestz (coolos) wrote :

I think the performance regression of intel driver is due to the lost of the 'INTEL_BATCH' variable.

This variable can be set in Hardy to get a huge performance boost in 3D (can be seen in glxgears, but also openarena, compizeffects...)
for example in Hardy, compare the output of :
glxgears
and
INTEL_BATCH=1 glxgears
i have +100% fps on i915 (1024*600 16bpp) : result 1480fps

This variable is not set by default on a Hardy install, but it is set when i launch compiz from a console.

The problem : this variable is no more used in intel driver (deprecated) so Intrepid can't benefit fom it. From what i understand (being far from an expert ;) ) we have to wait for GEM/TTM to get the same performance in the future...

If someone can recompile the intel driver sources used in Hardy, to make it work under intrepid, maybe we can get better results ?

see my previous bug on this subject : https://bugs.launchpad.net/bugs/284082

Paulo Fidalgo (o-kanniball-o) wrote :

I've tried Fedora 10, and I don't have this bug.
Here is the list of the packages:
https://admin.fedoraproject.org/pkgdb/collections/id/19

I will try to get and compile newer versions of libdrm, xorg, and if needed the kernel, as soon as I can, but right now I'm too busy.

JoseLVG (josvazg) wrote :

To Paolo Fidalgo:

Can you confirm your FPS and whether in Fedora 10 you have the rendering problems (or not) shown in this video:

http://www.youtube.com/watch?v=UT8x_PGRolU

I also tested in a Fedora 10 live-usb. FPS is around 1100, much higher than
in Ubuntu jaunty ( 350 FPS ).

2008/12/2 JoseLVG <email address hidden>

> To Paolo Fidalgo:
>
> Can you confirm your FPS and whether in Fedora 10 you have the rendering
> problems (or not) shown in this video:
>
> http://www.youtube.com/watch?v=UT8x_PGRolU
>
> --
> Poor graphics performance and rendering errors on Intel GM965 system,
> Ubuntu 8.10
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Quote:
"If someone can recompile the intel driver sources used in Hardy, to make it work under intrepid, maybe we can get better results ?"

I think on a other way. why we are not trying to use the vesa-mode?

MaCXyLo (macxylo) wrote :

i try the vesa-mode: it works much better like the unstable intel-driver.
 the frames are lower but the window's are not longer ugly and confused.

i load the xorg.conf.failsafe in the x11 folder.

Paulo wrote:> I've tried Fedora 10, and I don't have this bug.

Confirmed; glxgears on Fedora 10 liveusb gives 1250-1300.
(Intrepid: 300-350 fps.)
Machine details: Dell E6500 with GM45/4500MHD.

ybg (jallen521) wrote :

Quote:

"i try the vesa-mode: it works much better like the unstable intel-driver.
 the frames are lower but the window's are not longer ugly and confused.

i load the xorg.conf.failsafe in the x11 folder. "

This is interesting. How exactly do you force it to use the vesa driver ranther than the Intel driver since the xorg.conf file is no longer used in Intrepid? Back in day I would just change the ¨Driver¨ section to ¨vesa¨, but since this new Xorg doesn´t use the config file I´m not sure.

I do not have a xorg.conf.failsafe file in the x11 folder.

Thanks for the Fedora 10 FPS info.

I'll start to research eeedora 10 (as I am a eee 901 user) and the ubuntu
guys don't seem to care a lot a bout this bug.

portis (portis24) wrote :

A new version of intel driver is just into the repo, (only for jaunty, I
think)

xserver-xorg-video-intel (2:2.5.1-1ubuntu2) jaunty; urgency=low

 * Drop 128_stolen_memory_counting_g4x.patch (already upstream)
 * Refresh and re-enable 111_textured_video_option.patch

I will test it, no big hope.

2008/12/2 JoseLVG <email address hidden>

> Thanks for the Fedora 10 FPS info.
>
> I'll start to research eeedora 10 (as I am a eee 901 user) and the ubuntu
> guys don't seem to care a lot a bout this bug.
>
> --
> Poor graphics performance and rendering errors on Intel GM965 system,
> Ubuntu 8.10
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Most likely it's because Fedora backported GEM and TTM to their kernel for their ATI and Intel drivers.

Richard Guo (rfguo) wrote :

Sorry, I meant GEM and KMS. Also, it's disappointing that GEM only restores performance (measured by glxgears) to their original values before. I had hoped for ~50% increase in perf to match Intel's Windows driver. Maybe the new hardware just isn't optimized yet.

Mingming Ren (portis25) wrote :

I'm using the 2.6.28 kernel in jaunty repo and 2.5.1 driver, still have the problem.
I think GEM should already be in the 2.6.28 kernel.

MaCXyLo (macxylo) wrote :

Quote:

Section "Device"
        Identifier "Configured Video Device"
        Driver "vesa"
EndSection

Section "Monitor"
        Identifier "Configured Monitor"
EndSection

Section "Screen"
        Identifier "Default Screen"
        Monitor "Configured Monitor"
        Device "Configured Video Device"
EndSection

My vesa-config.

JoseLVG (josvazg) wrote :

Correct me if I am wrong but...

Can you do GoogleEarth, Compiz, glxgears, or any 3D in general with the VESA mode?
I think you can't, so giving up 3D acceleration because of a crapy driver is not the solution (not for me at least)
I prefer to have compiz more or less working and low glxgears FPS while I investigate why Fedora 10 hasn't got this problems.

I downloaded Fedora 10 yesterday and plan to test the live CD soon on my eee 901 (via a Unetbootin made USB), then I'll publish here my impressions.

I have installed Fedora, reporting this for comparison purposes (I intend to reinstall Ubuntu when this bug is fixed!)

1) Performance in 3d games is far better -- 50fps in bzflag with all options turned on, as opposed to 15-20 at lower quality settings in Intrepid.

But!

2) Some users report hanging X on startup (https://bugzilla.redhat.com/show_bug.cgi?id=469292). I have experienced X crashes occasionally, locking video/kbd/mouse though ssh access is still available, usually when running bzflag but also on power resume (which, btw, works fine for me on Ubuntu.)

3) Many users (esp. 64-bit users) are still reporting slowness. https://bugzilla.redhat.com/show_bug.cgi?id=469690

Machine details: Dell Latitude E6500 with GM45/4500MHD.

Festr (festr2) wrote :

It is interesting that all people here are reporting all the same again and again altough everything was said.

Fedora 10 is based on unstable GEM patches and intel driver (and probably master branches of mesa/xorg) . GEM is too new and it takes some time that intel stabilize it and do all optimizations.

Ubuntu 8.x will probably never have official accelerated driver because it depends on new Kernel and new xorg/mesa (my opinion). There is NO way to configure/turn on things to make it faster until you recompile new kernel/xorg/mesa and intel driver for yourself.

The situation is a little bit frustrating but thats the reality. Wait for new official stable kernel/intel/mesa/xorg.

If anyone has some new information, post it. Complaining and repeating all the same does not makes things faster. Thats my opinion :)

JoseLVG (josvazg) wrote :

Great disappointment with Fedora 10 live:

- FPS of glxgears are just about the same or worse than in Ubuntu 8.10 (around 350)
- Couldn't test googleearth because and permission error.
- Rendering errors when compiz is On.

JoseLVG (josvazg) wrote :

Great disappointment with Fedora 10 live:

- FPS of glxgears are just about the same or worse than in Ubuntu 8.10 (around 350)
- Couldn't test googleearth because and permission error.
- Rendering errors when compiz is On.

All this on a eee 901 (VGA Intel 945)

(In reply to comment #26)
> I've done some testing with OpenSUSE 11.1 Beta5 (the KDE4 LiveCD) and
> identified some performance issues.

As described in comment #26, the performance problems appear to exist in OpenSUSE 11.1 Beta5 but not in the xf86-video-intel code which is currently a release candidate for the upcoming 2.6 release.

So whatever the bug is, it appears to be fixed in the current code.

Please feel free to reopen the bug if you do find that the performance problems persist even with the latest versions of the driver.

Thanks,

-Carl

Using kernel 2.6.28rc6 and new drivers mesa 7.3 from xorg edgers of jaunty (https://launchpad.net/~xorg-edgers/+archive) glxgears reports around 1100 FPS. (intrepid just 600)

1)I compiled kernel using kernelcheck utility (http://kcheck.sourceforge.net/)
2) Add xorg edgers repository

deb http://ppa.launchpad.net/xorg-edgers/ubuntu jaunty main
deb-src http://ppa.launchpad.net/xorg-edgers/ubuntu jaunty main

JoseLVG (josvazg) wrote :

Did you test it over a jaunty or ibex?
If you did it on an jaunty, can it be tested on ibex?
(I mean, you are recompliling the kernel anyway, can't the 2.6.28rc6 be compiled on Ibex?)

ART (alfredo-teyseyre) wrote :

I'm using ubuntu intrepid 8.10. Only the xorg drivers are from a jaunty repository. The kernel was compiled in 8.10 using kernelcheck utility.(It is easy. The tool downloads sources and generates deb files)

MPC (mcrasso-gmail) wrote :

1029.463 fps !!! Thanks ART!!!

This is great, to get the ~1k fps again with intel 965GM and Ubuntu Intrepid:

1. I installed kernel 2.6.28rc6.
2. I added the following line to /etc/apt/sources.list:

deb http://ppa.launchpad.net/xorg-edgers/ubuntu intrepid main

3. Update some packages (e.g. xorg-video-intel).
4. Then I changed the previous line to use jaunty packages as:

deb http://ppa.launchpad.net/xorg-edgers/ubuntu jaunty main

5. I updated some packages again (e.g. mesa, libdrm and othe packages).
6. Finally, I rebooted using the new kernel.
7. 1029.463 fps !!!

A note about UXA:
I have tried with UXA and got the same fps, however I could not see video files. Therefore, I am using EXA, actually I deleted the /etc/X11/xorg.conf and X server enables EXA by default.

I've tested your resolution in a Jaunty 9.04, with kernel
2.6.28-2-ub-generic in Jaunty repo (It's based on 2.6.28rc6, so I don't
think necessary to compile a 2.6.28rc6 myself)

After install mesa and drm-snapshot in the xorg-edgers repo, I got a higher
FPS, ~900. But after reboot, I cann't get into X. I got these errors:

Backtrace:
0: /usr/X11R6/bin/X(xorg_backtrace+0x26) [0x4ee1a6]
1: /usr/X11R6/bin/X(xf86SigHandler+0x41) [0x4814e1]
2: /lib/libc.so.6 [0x7f1d271bd030]
3: /usr/lib/xorg/modules/drivers//intel_drv.so(IntelEmitInvarientState+0x96)
[0x
7f1d25bd0d76]
4: /usr/lib/xorg/modules/drivers//intel_drv.so [0x7f1d25bd11b7]
5: /usr/lib/xorg/modules/drivers//intel_drv.so [0x7f1d25bd29fa]
6: /usr/X11R6/bin/X(AddScreen+0x1c9) [0x432df9]
7: /usr/X11R6/bin/X(InitOutput+0x241) [0x469b91]
8: /usr/X11R6/bin/X(main+0x286) [0x433596]
9: /lib/libc.so.6(__libc_start_main+0xe6) [0x7f1d271a8586]
10: /usr/X11R6/bin/X [0x432b49]
Saw signal 11. Server aborting.

I think maybe it's due to the incompatibility between Xserver and the
driver. The xserver in xorg-edgers repo is older than mine (1.5.3 VS.
1.5.4). I'll wait for an official resolution.

2008/12/5 ART <email address hidden>

> I'm using ubuntu intrepid 8.10. Only the xorg drivers are from a jaunty
> repository. The kernel was compiled in 8.10 using kernelcheck
> utility.(It is easy. The tool downloads sources and generates deb files)
>
> --
> Poor graphics performance and rendering errors on Intel GM965 system,
> Ubuntu 8.10
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Great news!

One thing. I am not using an Ubuntu stock kernel but Array.org provided one for and eee 901.

Does kcheck build a kernel from the configuration of the kernel you have (like array.org in my case)?
or does it do it from well-known distro kernel templates?
(Anyway I am giving it a try for sure!)

Biji (biji) wrote :

wow... doubled performance..
but i'm afraid to try.. i'm using intrepid 64bit any tips guys?

MPC's method works for me. I am currently running 64-bit Intrepid with a custom kernel ( 2.6.28-rc7 ). I only wish that I had found out about this method before spending hours of frustration compiling and testing things trying to find something that worked atleast halfway decently. Besides the kernel, I just installed all of the upgrades from xorg-edgers for intrepid and then I changed to jaunty and installed all of the upgrades from their. I didn't get doubled performance (atleast not according to glxgears, but that may be due to slower cpu) but performance did go from 400 to about 700 - and I can now play 3d games (nothing would run before).

ART (alfredo-teyseyre) wrote :

JoseLVG: I suppose that kernelcheck use well-known distro kernel templates.

Biji: xorg edgers provides also 64 bit packages.

Instead of building the kernel it is possible to install kernel from jaunty and also works.

I also managed to fix the performance (from 600fps to 1000fps with a GM45) as well as frequent crashes (consistently with etracer for instance). This is on an intrepid amd64 system.

1. install a 2.6.28 kernel (I got the current one from jaunty).
2. from the xorg-edgers ppa, install the mesa an required packages, and xserver-xorg-video-intel 2:2.4.97.0+git20081129
3. restart X (before restarting it works, but with warning that GEM is not used, and no performance improvement)

I didn't need to compile a custom kernel or kernel modules.

I got the error with X not restarting (same as portis above) when I was using xserver-xorg-video-intel 2.5.1 from jaunty. Using the 2.4.97 version from xorg-edgers fixed that.

JoseLVG (josvazg) wrote :

How do you install the 2.6.28 series kernel on ibex?
Is there a repository or just download a vanilla kernel from kernel.org?

Tormod Volden (tormodvolden) wrote :

Please let us not make this bug report into a discussion forum. I have opened a thread here http://www.phoronix.com/forums/showthread.php?t=14235 where I answer some of the above questions.

Hans (hfairchi) wrote :

And like wise, there are a short thread at http://www.aspireoneuser.com/forum/viewtopic.php?f=28&t=5886

Regards,

Hans

the designer (alberto1988m) wrote :

I have installed linux kernel 2.28.2 but I have serious problems with depencies and wireless driver..I can't load ndiswrapper modules..But i have noted an increment of performance in glxgears,about 700fps.Only problem is wireless.

Festr (festr2) wrote :

I've GM945 GPU

1)

Hardy heron
kernel 2.6.28rc4,
xorg/mesa/intel current master branches
xorg.conf: exa, tiling=on
glxgears ~1100FPS

tiling=off
glxgears ~800

changing exa to uxa
glxgears = 400

in all cases scrolling when compositing is damn slow (unusable)

2)

Fedora 10 live

glxgears = 800fps
scrolling when compositing is very smooth (not as smooth as pure 2d, but near comparable)

the question is, why scrolling when compositing is damn slow and fedora is damn fast :) i'll try to compile fedora xorg/mesa/intel/kernel on hardy

I am in the same situation as many above: Dell Vostro 1310 with GM965 running Intrepid Ibex. It's a Core 2 Duo with 4GB of ram. The graphic performance is clearly incoherent to the hardware capabilities.

On Hardy, the performance was good, no slow scrolling issues and a (at least) 2 times higher FPS rate in many apps (including glxgears).

I see almost no improvement using all the Options in xorg.conf described here or in (many) other places. Glxgears always give me something around 250 to 400 fps which I consider to be very low. I have attached xorg.conf.

How does this situations work? Are we waiting for a fix from Intel or from the community? Is there a time schedule so we know how much more to wait? Are there beta fixes we can try? Where? Either way, will there be a new automatic update to Ibex that will fix this? Or is this something that will only be fixed in the next release of Ubuntu?

Thanks,
Effenberg

Sergiy Zuban (s-zuban) wrote :

Effenberg, please re-read last several comments - it's possible to get ~ the same performance as it was in Hardy by upgrading kernel to 2.6.28-2 version from jaunty repository, MESA related packages and xserver-xorg-video-intel 2.4.97 version (it's important) from xorg-edgers.

In my case it help me to increase FPS from 550 to 1100 + google earth works much better (even comparing with Hardy), but some rendering glitches still remain.

(In reply to comment #27)
> (In reply to comment #26)
> > I've done some testing with OpenSUSE 11.1 Beta5 (the KDE4 LiveCD) and
> > identified some performance issues.
> As described in comment #26, the performance problems appear to exist in
> OpenSUSE 11.1 Beta5 but not in the xf86-video-intel code which is currently a
> release candidate for the upcoming 2.6 release.
> So whatever the bug is, it appears to be fixed in the current code.
> Please feel free to reopen the bug if you do find that the performance problems
> persist even with the latest versions of the driver.
> Thanks,
> -Carl

Carl, do you think if we can point out which patch (or patches) that fixed the performance regression issue? Even some clues of how to find them, or our graphics driver in Novell's SLED11 has big problems in performance, especially for those hardware that can work very well on SLED10.

(In reply to comment #28)

> Carl, do you think if we can point out which patch (or patches) that fixed the
> performance regression issue?

If I knew, I would be glad to share them. But sadly, I don't.

> Even some clues of how to find them,

First, identify which component (or combination of components) is causing the problem. The latest stuff that's working well is the for-review branch of anholt's kernel tree, the master branch of the xf86-video-intel driver and the master branch of the xserver repository. If a single component can be identified as the culprit, then it should be a simple matter of doing a bisect to find the specific commit(s) of interest.

But I can't guarantee that there's some simple commit that can be backported. The issue could depend on large infrastructural changes in the kernel that may not be feasible to put into whatever release is of interest here.

> or our
> graphics driver in Novell's SLED11 has big problems in performance, especially
> for those hardware that can work very well on SLED10.

That's really an issue for Novell to address. We've identified that our latest code does not have this problem. Again, when our code is having problems, then we will be happy to put time into fixing them.

Thanks,

-Carl

Since the bug is still exists in Q3RC5 release and Carl will help Novell fix this bug. I reopen this bug for track.

Dan, I think you have gotten SLED11-Beta6, please have a try for this.
Just now, I have running on x86_64 of SLED11-beta6 with the command Carl provided. Here are the result.
Seems better than Carl'testing(Carl uses SLED11-Beta4).
Composite manager is enabled, and Desktop Effect is disabled.
I will test EXA, ExaNoCompisite, XAA for this testing to check if there are much performance regression.

EXA results
----
aatrap1x1
1600000 trep @ 0.0070 msec (143000.0/sec): Fill 1x1 aa trap

aatrap10x10
 600000 trep @ 0.0145 msec ( 69200.0/sec): Fill 10x10 aa trap

aatrap2x1
1800000 trep @ 0.0063 msec (160000.0/sec): Fill 2x1 aa trap

aatrap2x10
 800000 trep @ 0.0157 msec ( 63700.0/sec): Fill 2x10 aa trap

aa10text
 480000 trep @ 0.0299 msec ( 33500.0/sec): Char in 80-char aa line (Charter 10)

aa24text
 320000 trep @ 0.0333 msec ( 30000.0/sec): Char in 30-char aa line (Charter 24)

rgb10text
 480000 trep @ 0.0302 msec ( 33100.0/sec): Char in 80-char rgb line (Charter 10)

rgb24text
 320000 trep @ 0.0364 msec ( 27500.0/sec): Char in 30-char rgb line (Charter 24)

scroll10
4000000 trep @ 0.0044 msec (225000.0/sec): Scroll 10x10 pixels

Scroll100
 400000 trep @ 0.0302 msec ( 33200.0/sec): Scroll 100x100 pixels

copywinwin10
3200000 trep @ 0.0038 msec (263000.0/sec): Copy 10x10 from window to window

copywinwin100
 400000 trep @ 0.0310 msec ( 32200.0/sec): Copy 100x100 from window to window

copypixwin10
2400000 trep @ 0.0042 msec (236000.0/sec): Copy 10x10 from pixmap to window

copypixwin100
 320000 trep @ 0.0321 msec ( 31200.0/sec): Copy 100x100 from pixmap to window

PutImage10
3200000 trep @ 0.0034 msec (295000.0/sec): PutImage 10x10 square

PutImage100
 240000 trep @ 0.0545 msec ( 18300.0/sec): PutImage 100x100 square

ShmPutImage10
3200000 trep @ 0.0040 msec (249000.0/sec): ShmPutImage 10x10 square

ShmPutImage100
 400000 trep @ 0.0313 msec ( 31900.0/sec): ShmPutImage 100x100 square

GetImage100
  24000 trep @ 0.5291 msec ( 1890.0/sec): GetImage 100x100 square

GetImage500
    800 trep @ 12.6716 msec ( 78.9/sec): GetImage 500x500 square

compwinwin10
3200000 trep @ 0.0041 msec (243000.0/sec): Composite 10x10 from window to window

compwinwin100
 320000 trep @ 0.0325 msec ( 30800.0/sec): Composite 100x100 from window to window

comppixwin10
2400000 trep @ 0.0045 msec (222000.0/sec): Composite 10x10 from pixmap to window

comppixwin100
 320000 trep @ 0.0342 msec ( 29300.0/sec): Composite 100x100 from pixmap to window

----

SLE11-Beta6

Test data of x11perf on T61 with XAA, EXA, EXANoComposite
                             EXA EXANoComposite XAA
aatrap1x1 143000.0 54500.0:-61% 92700.0:-35%
GetImage100x100 1890.0 1890.0 1850.0:-2%
aatrap2x1 160000.0 49800.0:-68% 91900.0:-42%
ShmPutImage100x100 31900.0 31600.0 27400.0:-14%
aatrap2x10 27500.0 35200.0:28% 83600.0:204%
ShmPutImage10x10 249000.0 247000.0 455000.0:82%
Scroll10x10 225000.0 219000.0:-2% 263000.0:16%
Scroll100x100 31200.0 31000.0 28300.0:-9%
aatrap10x10 69200.0 44500.0:-35% 67400.0:-2%
PutImage100x100 18300.0 18100.0:-1% 16600.0:-9%
GetImage500x500 29300.0 29400.0 27500.0:-6%
PutImage10x10 295000.0 283000.0:-4% 378000.0:28%

Based on the results, we have found EXA has excellent performance. Please take a try on SLE11-Beta6 to see if there are some improvement on graphics performance.

Thanks
I don't do any change on graphics drivers. Just disable Desktop Effect, Composite Manager is enabled based on xdpyinfo output.

I also have poor graphics performance ( only around 600 FPS with glxgears ) ...

I've tried the version 2.6.28-rc7 of the Linux Kernel ( using KernelCheck ), then I've updated the xorg server and the drivers from the xorg-edgers repository, I've rebooted the PC and ... the touchpad and the keyboard ( qwerty mode and some keys don't work as expected ) don't work, so I've reinstalled Ubuntu Intrepid Ibex .

I know it's a little off-topic, but does someone here know how to keep the touchpad and the keyboard working after updating the xorg packages ?

CPU : Intel Pentium Dual-core processor T2330 1.60Ghz, 533 Mhz FSB, 1MB L2 cache .
GPU : Intel Graphics Media Accelerator X3100 ( Intel 965GM ) .
RAM : 2 GB DDR2 .
Touchpad : Synaptics .

Biji (biji) wrote :

I've compile 2.6.8-rc7 and.. still no improvement.. somebody tell me because i915 module won't compile on 2.6.8 kernel? i'm not sure why

bouazza (sbouazza) wrote :

Biji, you must also install the xserver-xorg-core, xserver-xorg-input-synaptics ( downgrade it ), xserver-xorg-input-evdev ( upgrade it ), xserver-xorg-video-intel and the libdrm2/mesa related packages, because the kernel alone will not change anything .

If it isn't too much trouble, could anyone please post the commands to perform this steps? I also tried and got no results, probably also done things wrong.

Thanks,
Effenberg

bouazza (sbouazza) wrote :

Without GEM : 400~500 FPS .

With GEM activated :

4480 frames in 5.0 seconds = 895.932 FPS
4488 frames in 5.0 seconds = 897.557 FPS
4489 frames in 5.0 seconds = 897.731 FPS

+ No X crashes

:'-)

The packages are unstable ( I have some incompatibility issues but no crashes ^^ ), but hey ! The official ones were unstable too, so it makes no difference ;)

I think that we can have even 950 or 1000 FPS with the official GEM releases .

@Effenberg0x0 : Well, install KernelCheck ( kcheck.sourceforge.net ), select de Pre-development patch or something like that ( the version 2.6.28-rc7 of course ), and build the thing .

Then follow the instructions on : https://launchpad.net/~xorg-edgers/+archive ( always use the Jaunty repository, even if you have a Hardy ou Intrepid distro ) .

( You'll have to set your keyboard layout yourself if you see something like "[...]You have to reconfigure HAL or set AllowEmptyInput to false[...]" in the Xorg.0.log file ) .

Hans (hfairchi) wrote :

I believe some users have reported frame rates in the 1300 to 1500 fps range on Hardy. I forget where I read that. So, 950-1000 fps should be readily achievable.

That said, this discussion should really not be taking place in a bug report. Tormod has been kind enough to set up a forum topic on his forum for this discussion, I'd make a motion that we all wander over there (link below) for this.

Regards,

Hans

Please let us not make this bug report into a discussion forum. I have opened a thread here
http://www.phoronix.com/forums/showthread.php?t=14235
where I answer some of the above questions.

Hans (hfairchi) wrote :

Whoops. I"m sorry, it wasn't Tormond's forum. It was Phoronix's. I apologize for any inconvenience.

Hans

JoseLVG (josvazg) wrote :

I followed MPCs instructions on a eee 901 with an intel 945.

It was a complete disaster, it did not fix a thing. FPS seemed slightly higher (600-700 instead of 500-600), but there were the same rendering errors when moving the glxgears window around.

I lost array.org's wired and wireless network and lost the keyboard settings so I couldn't even check if a was running the proper intel driver and drm versions. GoogleEarth seemed a bit smother but all text were totaly lost so it was still unusable.

I totally discorage other eee users to try this if unsure. I guess we have to wait for Ubuntu's or array.orgs fixes.

bouazza (sbouazza) wrote :

It looks like you've never rebuild a personal kernel, all the modules must be rebuilt too ( like the Wifi driver, hotkeys driver etc... ) .

For the keyboard problem, I too have this issue but I've solved it by redefining my keyboard layout, and Tormond says it will be fixed in the 1.6 beta version of xorg-xserver-core .

About your FPS, that's very strange, I jumped from around 400 to 900 without any problems, which means a little more than doubled performance ! But you've got only 100FPS more, et that's very strange, perhaps you're using the wrong acceleration method ?

Please post your xorg.conf and your /var/log/Xorg.0.log .

not blocking 18858 (2.6 Q4 release), since the upstream code doesn't have problem.

i hope when this issue fixed will be accepted to intrepid proposed.. because 9.04 is still long time to wait..
thanks

Paulo Fidalgo (o-kanniball-o) wrote :

There is an upstream bug report, but for opensuse here:
http://bugs.freedesktop.org/show_bug.cgi?id=18389

Michal Charvát (dog.big) wrote :

Hello,
Can you anybody please post how to to download and new new kernel. I am amateur user. I need step-by-steep guide what write to console etc.
Sorry for my bad English.

Wesley Velroij (velroy1) wrote :

Having here the same problem in KDE4.2 , i have enabled desktop effects and when i run glxgears i only get 100 fps max, its really making a bad reputation for kde4.2, because the performance of the intel gma x3100 isnt fully used.

Hope this will get fixed.

Bryce Harrington (bryce) wrote :

[This is an automatic notice.]

We'd like to forward your bug upstream, however upstream requires
that you first test it against their newer driver code.

To save you the effort of building the driver from source, we've built
packages for the driver and its new dependencies.

So you have a couple options:

 1. Download and test .debs for intrepid, from:
     https://edge.launchpad.net/~intel-gfx-testing/+archive

 -or-

 2. Download and test the Jaunty alpha-2 (or newer) Live CD,
     (which includes a beta of the new xserver 1.6 as well).
     See http://cdimage.ubuntu.com/releases/9.04/ for ISOs

Thanks ahead of time! You can simply reply to this email to report your
findings.

P.S., if you wish to forward your bug upstream yourself, please follow
these directions to do so:
  http://intellinuxgraphics.org/how_to_report_bug.html

Changed in xserver-xorg-video-intel:
status: Confirmed → Incomplete
Biji (biji) wrote :

I've downgrade all x-edgers to this repos:
     https://edge.launchpad.net/~intel-gfx-testing/+archive
but no improvement.. does mesa need gem support too? i'm using mesa 7.2-1ubuntu2

Bryce Harrington (bryce) wrote :

Biji, thanks for testing it. For 3D performance, upgrading mesa would make sense. You may find it easiest to burn an alpha-2 cd and check that, since it has all the newest X bits. But I'm marking this as triaged for now.

Changed in xserver-xorg-video-intel:
importance: Undecided → Medium
status: Incomplete → Triaged
areskz (areskz) wrote :

Have tested .debs from https://edge.launchpad.net/~intel-gfx-testing/+archive
Result: glxgears shows a fps fall off (from ~500 to ~100)

Now downloading jaunty alpha for testing.

Guido Conaldi (guido-conaldi) wrote :

Just tested both the ppa and Jaunty Alpha 2 live on a Dell xps m1330 with intel x3100:

 - no differences with the ppa packages. Still
direct rendering: No (LIBGL_ALWAYS_INDIRECT set)
~550 frames in glxgears and a very slow compiz place effect

- Jaunty
direct rendering: Yes
~100 frames in glxgears, buy place seems to be much faster and smoother

Guido Conaldi (guido-conaldi) wrote :

Sorry, in the previous post I meant compiz scale effect

Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed

If it's at all useful, I can also confirm that the debs from the edge testing repository have done nothing good, and actually have roughly halved my glxgears performance; it's now down from 350fps with the release drivers to 150fps. And, with any other redraws going on, such as Amarok's play window, glxgears performance is reduced a pitiful 30fps.

Kamus (kamus) wrote :

Same problem here ubuntu intrepid : (

Biji (biji) wrote :

have tried jaunty alpha 2...
glxgears fps drop to 100-200 but i notice changed... overlapped window with 3D window don't get drawn over it.. this is cool

There are some interesting benchmarks available at http://www.phoronix.com/scan.php?page=article&item=intel_graphics_q408&num=1 on the latest Intel video performance. This seems to mirror what I've been seeing where some benchmarks are significantly faster while others are significantly slower. Performance issues notwithstanding, does anyone else see the graphics corruption issues with java apps? It only seems to occur in certain applications but even 2d simple java apps like Lux (http://sillysoft.net/lux/) are unusable with EXA enabled.

I have tested my system with Jaunty alpha-2 and the results are not very encouraging. The performance indication provided by glxgears dropped even further and is now in the 200 fps range, about half of what it was with ubuntu 8.10 final and way below what it was with ubuntu 7.04.

For the sake of clarity, I am using an Intel DG965WH board with the G965 chipset, which includes the X3000 graphics subsystem. Refering back to my initial bug report, I did run tests with FlightGear 1.9 under Windows recently. It can achieve frame rates around 25-30 fps. This indicates to me that the hardware setup in general is quite capable of executing the task at hand.I am not very familiar with your terminology of "moving a bug upstream", please let me know in more detail what action you expect me to take. Thanks.

Bingo
_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today it's FREE!
http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/

I have a netbook with an Intel Mobile 945GME Express video chipset, on which I run Kubuntu Intrepid. It's newish, like most netbooks, so I don't have data on its video performance in Feisty.

I'm running package version 2:2.4.1-1ubuntu10.1 of xserver-xorg-video-intel, INTEL_BATCH set to 1, and glxinfo reports direct rendering: Yes. With the repository 2.6.27.x kernel and modules, I get upwards of 580 fps in glxgears. After having compiled my own 2.6.28 release kernel, I get max 530. With xorg and intel packages from xorg-edgers ppas, I get max 80.

Is this user error, or has there been a considerable regression? Perhaps related to GEM being merged into the kernel? HAL takes care of configuration so my xorg.conf is basically empty. If UXA is default in the drivers from xorg-edgers, I guess that's why I used when I tried it. It's certainly EXA with Intrepid's.

(In reply to comment #33)
> Performance issues notwithstanding, does anyone else see the graphics
> corruption issues with java apps? It only seems to occur in certain
> applications but even 2d simple java apps like Lux (http://sillysoft.net/lux/)
> are unusable with EXA enabled.

I do witness those java applications issues as well on the Novell GroupWise client. I will try http://sillysoft.net/lux/ as well.

I also experience poor i915 performance, I'm running latest jaunty packages with no help to the issue.
Performance is poor everywhere, glxgears, mplayer, flash and compiz all show poor performance,
mplayer and flash to the level that I can't comfortably watch videos.

libdrm-intel1 is installed.

I'll attach Xorg.0.log.

lspci reports:
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Cont
roller (rev 03)
 Subsystem: Hewlett-Packard Company Device 30aa
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at e8400000 (32-bit, non-prefetchable) [size=512K]
 Region 1: I/O ports at 6000 [size=8]
 Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
 Region 3: Memory at e8480000 (32-bit, non-prefetchable) [size=256K]
 Capabilities: <access denied>
 Kernel modules: intelfb

00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Control
ler (rev 03)
 Subsystem: Hewlett-Packard Company Device 30aa
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Region 0: Memory at e8500000 (32-bit, non-prefetchable) [size=512K]
 Capabilities: <access denied>

Thanks.

(In reply to comment #33)
> Performance issues notwithstanding, does anyone else see the graphics
> corruption issues with java apps? It only seems to occur in certain
> applications but even 2d simple java apps like Lux (http://sillysoft.net/lux/)
> are unusable with EXA enabled.

Hi Dan,

While I do genuinely appreciate you reporting new issues, can you please do so in a new bug report? If we discuss multiple issues under a single bug report then actions like "closing bug as fixed" quickly become meaningless.

Thanks,

-Carl

Sorry for that, I certainly understand wanting to keep bug reports as focused as possible and the graphics corruption isn't a performance issue. I've opened bug # 19352 to track the display corruption of java apps.

I posted something similar here (maybe they should merged?)

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/309838

In short, I experienced a severe performance drop after moving to jaunty alpha 2 from intrepid - since hardware acceleration is now no longer working (using a 965GM.).

relevant parts from xorg log:

(WW) intel(0): libpciaccess reported 0 rom size, guessing 64kB
(WW) intel(0): Register 0x61200 (PP_STATUS) changed from 0xc0000008 to 0xd000000a
(WW) intel(0): PP_STATUS before: on, ready, sequencing idle
(WW) intel(0): PP_STATUS after: on, ready, sequencing on
(WW) intel(0): ESR is 0x00000001
(WW) intel(0): PRB0_CTL (0x0001f001) indicates ring buffer enabled
(WW) intel(0): Existing errors found in hardware state.
(WW) intel(0): Option "UseFBDev" is not used
(WW) intel(0): ESR is 0x00000001
(WW) intel(0): PRB0_CTL (0x0001f001) indicates ring buffer enabled
(WW) intel(0): Existing errors found in hardware state.

(EE) intel(0): underrun on pipe B!
(EE) intel(0): underrun on pipe B!
(EE) intel(0): underrun on pipe B!

OK. found out it's a layer problem with Visual effects. To get the games (OpenArena, Star Trek, Star Wars, Quake3, Unrealtournament) to run, you first need to turn visual effects off (NONE). >SYSTEM>PREFERENCES>APPEARANCE>>>> Visual Effects Tab >>>> Select NONE. Normal worked sometimes. It's a work around for now until they update or fix the drivers. END.

nbubis (nbubis) wrote :

jaypmcwillams - many people here have reported the problem even when compiz was disabled. . are you sure you were having the same problem?

areskz (areskz) wrote :

jaypmcwilliams, I don't know whether it helped really or not, but all I know is that performance improved. Now it is able to work in this slow as hell kde4

Wesley Velroij (velroy1) wrote :

When will this be fixed?

Marek Aaron Sapota (maarons) wrote :

For this to work you need either older versions (xorg-7.3, xserver-1.4) or newer versions (xorg-7.5, xserver-1.6, linux-2.6.28). Hardy doesn't have older versions, newer versions of xorg and xserver are not released yet and they wouldn't get into hardy anyway (maybe through backports), they will get into jaunty probably (if I remember right it is scheduled after new xorg and gnome releases) but for now I wouldn't hope that anything will change soon. It was at least careless to include xorg-7.4 and xserver-1.5 in hardy when this intel issue is a widely known one.

Marek Aaron Sapota (maarons) wrote :

Sorry, I've mistaken ubuntu versions, it was about interpid, not hardy.

Wesley Velroij (velroy1) wrote :

When will this be fixed?

kni (kni) wrote :

Please, mark this bug as "Critical" since it affect the latest and upcoming releases of Ubuntu (Intrepid and Jaunty).

Hi, Carl
For the performance in Q3 release, do you have some idea about that? Where we can start to investigate what the problem is?

(In reply to comment #37)
> Hi, Carl
> For the performance in Q3 release, do you have some idea about that? Where we
> can start to investigate what the problem is?

I'm not sure what problem you're referring to here.

In general, for any issue, you should be able to follow the steps I described in comment #29.

So what's the issue of interest here? And where do you stand with respect to the steps I suggested in comment #29?

-Carl

(In reply to comment #38)
> (In reply to comment #37)
> > Hi, Carl
> > For the performance in Q3 release, do you have some idea about that? Where we
> > can start to investigate what the problem is?
>
> I'm not sure what problem you're referring to here.
The performance of Q3 release is not good.
>
> In general, for any issue, you should be able to follow the steps I described
> in comment #29.
>
> So what's the issue of interest here? And where do you stand with respect to
> the steps I suggested in comment #29?
Just as you said, kernel have been made a big change. I ever tried to backport the kernel (GEM), however it is not acceptable by Novel, because it has touched other modules except drm, agp more deeply.

Now we can only check on 2d, 3d for verification.

>
> -Carl
>

On a dell latitude E6400 with ubuntu intrepid 8.10 I also get a very very poor performance, woth for 3D and 2D graphics. glxgears performance is 200 fps. The server is xserver-xorg-video-intel 2:2.4.1-1ubuntu10. The output of lspci |grep VGA is:

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

I have tried the various suggestions above but none significantly improve the performance.

I consider this is a critical bug. Does anybody know whether developers are working on it? It would be very convenient in the meanwhile to be able to install older xserver packages in ubuntu 8.10 without this problem. Is this possible?

ucdsombooks (ucdsombooks) wrote :

Same configurations (Ubuntu 8.10 on Dell Latitude E6400, Mobile Intel 4 Series Express Chipset Family) as goico stated and the same performance issue.

Changed in xserver-xorg-video-intel:
status: Triaged → Confirmed

Well... I'm not sure if I'm writing this in the correct place (hope I am), but I'm able to see this bug on Ubuntu Jaunty Beta 2 (almost beta 3 actually) with following package versions:

libglu1-mesa 7.2+git20081209.a0d5c3cf-0ubuntu4
xserver-xorg-core 2:1.5.99.3-0ubuntu4
xserver-xorg-video-intel 2:2.5.1-1ubuntu7

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

stetzen@stetzen-laptop:~$ uname -a
Linux stetzen-laptop 2.6.28-4-generic #9-Ubuntu SMP Tue Jan 6 19:34:01 UTC 2009 i686 GNU/Linux

I'm attaching Xorg.0.log, hope It'll help you somehow.

Created an attachment (id=21804)
Xorg.0.log for Ubuntu Jaunty with 2.6.28 kernel xserver 1.6 beta and intel driver 2.5

Same problem here - just upgraded from 8.04 to 8.10 on a Thinkpad X60t:

lspci|grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

Christopher Denter (dennda) wrote :

This seems to be a serious issue affecting many different Intel chips.

I have the very same issue on Intrepid with all the latest patches on a DELL XPS M1330 with Intel X3100 graphics card.

I hope it can be fixed sanely as soon as possible.

Marek Aaron Sapota (maarons) wrote :

This is intel driver issue and it affects all intel video chips.

Michal Charvát (dog.big) wrote :

Will this be fixed? I must wait and use Vi$ta for playing games (grr).

Bryce Harrington (bryce) wrote :
Download full text (5.1 KiB)

Good god this bug has gotten far too long in the tooth. 213 comments!

I'll get into some good news and bad news regarding performance, but first some administrivia rantiness.

Okay, here's the deal. This bug report is turning into a mess of different performance-related bugs, and actually isn't useful in getting this problem -- everyone's problems are all intertwined together. Some people are seeing issues with -intel, but others are clearly having problems on the 3D side with mesa. Sadly some specific (perhaps solvable?) issues are getting lost in the noise and as such aren't going to get investigated, at least not here.

The problem is that the title describes a generic symptom, and everyone with a performance-related issue has piled on. This is a good lesson why it's important to file bugs with precise, specific titles. The poor original reporter is probably lost under a pile of replies! :-)

Honestly, I think the best thing to do here is to close this bug report and have people file separate bug reports. But from past experience I know we'll eventually end up with another generic titled "performance is bad" bug report with a gazillion comments and no clear path to a solution.

So... I may as well leave this one open and leave some explanations of how to file a proper performance bug report. Those who take the time to find and read this comment will learn how to file a NEW bug about their issue and include sufficient detail and precision to enable us to easily investigate it and report it upstream (or fix it in Ubuntu if there's a way for us to do that).

Okay, with that out of the way, let me get into the performance stuff. First let's dispense with the bad news: It is extremely unlikely performance problems are going to get fixed in Intrepid.

There's several reasons for this. First is that the issues are structural. A lot of pieces in X are in a multi-year process of being rearchitected to bring both a number of new features and to lay a foundation for much better performance. Unfortunately these changes can be pretty sizable, and inevitably bring some regression bugs - a risk not worth taking in a stable release.

Second, a lot of time the performance fixes require a pretty hefty amount of study and testing. Some of you may recall we had some pretty severe performance regressions in Hardy during development. It took a pretty focused amount of effort to dig in and figure out how to flip on and off various internal features to tune things up. Often a change that fixed one set of cards would cause problems on another set; so it took a lot of testing (including a lot of welcomed involvement from the community) to strike the right balance. The time investment for doing this tuning work is hard to understate.

Third, and sort of getting back to my original points, even if the above two problems didn't exist, the issues are not reported with sufficient specificity and detail to be able to begin investigation. But this is something you all can help with, and I'll explain how in a follow up.

Enough bad news, now for the good news. Looking forward, things are definitely getting better. In playing around with Jaunty Timo a...

Read more...

Bryce Harrington (bryce) wrote :

[Setting as In Progress and Wishlist as per my previous post]

Changed in xserver-xorg-video-intel:
importance: Medium → Wishlist
status: Confirmed → In Progress
Bryce Harrington (bryce) on 2009-01-09
description: updated

How to Report an Intel Performance Problem

First, make a new bug. The easiest way, which will pull in a lot of useful logs and config files, is:

  ubuntu-bug -p xserver-xorg-video-intel

Second, select a very precise title for the bug. If you use a generic title like "performance sucks" it will just attract others with unrelated performance issues to comment on and hijack your bug, which just wastes everyone's time, most especially your own!

Next, provide very specific steps to reproduce the issue. Reproduce the problem yourself several times (including after a fresh reboot) so you're certain it's just not some random quirk. When a developer or tester is able to easily reproduce your issue, it makes it immensely easier for them to figure out how to fix it, and to be certain that your issue is gone.

For performance bugs, a few other bits of data can be useful, including `glxinfo` and `xdpyinfo` output, and a video or photo (particularly if the perf issue is accompanied by graphics corruption or glitches.) See http://intellinuxgraphics.org/how_to_report_bug.html as the official guide on what to include.

Finally, vary your setup and see how many different ways you can or can't reproduce it. Try it with compiz on vs. off, or on a different version of Ubuntu, or a different distro with the same xserver/driver version, or on another computer also running Ubuntu but with different Intel graphics chips. Or try out some xorg.conf driver parameters listed in `man intel` to see how they influence things.

If you follow these guidelines, you'll stand a much better chance of getting your performance issue looked at. Be aware, though, that with performance issues Intel is mainly concerned with what is in their git tree; they may ask you to build and test their latest code, and if the issue doesn't exist there they'll consider the problem solved.

Bryce—

My apologies for adding to an already long bug, but I do have a comment regarding your last post. I'm hoping that you can help me decide where to start with new, more specific bug reports, but also I want to provide some perspective about why this is harder than it seems.

The behaviour reported with glxgears's low fps is not exclusive to glxgears; it just happens to be the best way I (and presumably many others) know of getting a reasonable framerate number that's consistent relative to other systems running the same hardware. Granted, it is not a good exhaustive test of video performance, but as a "do we have a problem here" benchmark, it seems to do a good job illustrating the dramatic difference between different software versions (especially since other 3D benchmarks seem to be basically unusable at this point, at least on my system).

This performance problem is not exclusive to glxgears reporting lower than expected framerates; it also occurs when playing a video with mplayer, or using a visualiser in amarok, or displaying pages in Firefox with lots of animation, or running a 2D or 3D DirectX application in wine, or.. well, basically anything to do with writing to the screen. Trying to run more than one application that updates the screen at regular intervals grinds things to a halt very very quickly. (For example, I can only watch videos in mplayer if Amarok has all of its windows closed. Even if Amarok's windows are in the background, or minimised, or if Amarok is paused and not doing anything, playback in mplayer will still be jerky until the windows are closed completely.)

It's challenging to split out the problem into different components in part because it is so pervasive throughout the system, which is why I think that we've ended up with this huge monolithic "performance is bad" bug. 2D performance is slow, 3D performance is slow... everything is just extremely, extremely slow, and anyone with an Intel video chipset is severely affected by this problem.

I would like to do whatever I can to form reasonable, reduced, and reproducible bug reports. I am just at a bit of a loss as to where to start because there's no specific place where I can go "this works OK, but this doesn't". Nothing works. It's all slow. Throw a stone and you'll hit something that isn't performing as it should. So, if you can tell me what you think would work well as a test report that can be sent upstream easily, let me know and I'll write it. I just personally feel a little overwhelmed with the amount of brokenness to try to start picking apart all the different issues and choosing the best one to report (and if I tried to report them all, I'd probably be here until next year).

Regards,

Wesley Velroij (velroy1) wrote :
Download full text (14.7 KiB)

{
wesley@Grimmjow:~$ glxinfo
name of display: :0.0
display: :0 screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer,
    GLX_OML_swap_method, GLX_SGI_swap_control, GLX_SGIS_multisample,
    GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory,
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control,
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control,
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync,
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX version: 1.2
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_OML_swap_method,
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
OpenGL vendor string: Mesa Project
OpenGL renderer string: Software Rasterizer
OpenGL version string: 2.1 Mesa 7.2
OpenGL shading language version string: 1.10
OpenGL extensions:
    GL_ARB_depth_texture, GL_ARB_draw_buffers, GL_ARB_fragment_program,
    GL_ARB_fragment_program_shadow, GL_ARB_fragment_shader,
    GL_ARB_half_float_pixel, GL_ARB_imaging, GL_ARB_multisample,
    GL_ARB_multitexture, GL_ARB_occlusion_query, GL_ARB_pixel_buffer_object,
    GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_shader_objects,
    GL_ARB_shading_language_100, GL_ARB_shadow, GL_ARB_shadow_ambient,
    GL_ARB_texture_border_clamp, GL_ARB_texture_compression,
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add,
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar,
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat,
    GL_ARB_texture_non_power_of_two, GL_ARB_texture_rectangle,
    GL_ARB_transpose_matrix...

jspudz (jspudz) wrote :

I agree with Snover. This issue is more then just "some" people experiencing problems.....its everyone with an intel card. Like he said throw a stone and you will hit it.

What exactly do you need, if not glxgears then tell us what. There are plenty of people with intel cards that are willing to provide the input you need including me but at this point we need to know what.

The thing we all need to get at this point is its broke for all intel cards. Dont get mad because everyone with an intel card is reporting here because its broke. It's not their fault a release broke intel support. I see no point in starting multiple threads on this, as it will just turn out to be multiple threads saying the same thing this one is.

I also agree, but there is nothing we can do, this bug report is just a
place to complain.

Some time ago (probably a year ago), someone or a group of people at intel
driver development, decided that they will throw away legacy driver code
(that was performing without so much user complaints as the current
releases) while they rewrote it. They thought is was a good idea. They were
too much confident they would fix it quickly enough before everybody
noticed... but they were wrong.

They should have done as you allways do this things, that is:

   1. You maintain the old stuff while you write the new driver.
   2. When the new driver is stable (and currently IT ISN'T!) then you
   change the defaults to point to the new driver and leave the old one as a
   fallback.
   3. Later, when the old stuff is no longer mainstream or obsolete and the
   new stuff is rock-solid, then, and only then, you get rid of the old stuff
   and leave the new code alone.

I know it is painful (as a developer I really know it is) and it may sound
old-fashion, but it is more practical in the end.

But they decided to take the risk, and as Murphy law states, "what could go
wrong went wrong". We may have drivers performing decently again in 2011 or
so, (by the time Google Chrome Linux will be delivered) in the meantime we
can just complain or... if you know graphics development, retro-backport the
old TTM code (or whatever it was called) in new kernel and distro
releases... it will probably take less time to do than fixing current GEM
drivers.

2009/1/12 jspudz <email address hidden>

> I agree with Snover. This issue is more then just "some" people
> experiencing problems.....its everyone with an intel card. Like he said
> throw a stone and you will hit it.
>
> What exactly do you need, if not glxgears then tell us what. There are
> plenty of people with intel cards that are willing to provide the input
> you need including me but at this point we need to know what.
>
> The thing we all need to get at this point is its broke for all intel
> cards. Dont get mad because everyone with an intel card is reporting
> here because its broke. It's not their fault a release broke intel
> support. I see no point in starting multiple threads on this, as it
> will just turn out to be multiple threads saying the same thing this one
> is.
>
> --
> [i965, etc.] Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hans (hfairchi) wrote :

Bryce wasn't getting mad. His point is that a bug report's usefulness
increases the more succinctly it can be written. Personally, I suspect
that the engineers at Intel and X.org, and Ubuntu are aware of the
current state of things.

Considering the prevalence of Intel graphics hardware, it could hardly
be otherwise.

I also think Snover's reply was very on point. Like I said though, I
don't think it's going to be any surprise to any of the engineers
involved.

My plan is to wait until things kind of start working, (which I figure
will be around the release of the 9.04 beta (I will keep checking the
Alpha releases though), and file bug reports on what is still missing at
that time.

Hans

jspudz wrote:
> I agree with Snover. This issue is more then just "some" people
> experiencing problems.....its everyone with an intel card. Like he said
> throw a stone and you will hit it.
>
> What exactly do you need, if not glxgears then tell us what. There are
> plenty of people with intel cards that are willing to provide the input
> you need including me but at this point we need to know what.
>
> The thing we all need to get at this point is its broke for all intel
> cards. Dont get mad because everyone with an intel card is reporting
> here because its broke. It's not their fault a release broke intel
> support. I see no point in starting multiple threads on this, as it
> will just turn out to be multiple threads saying the same thing this one
> is.
>

1856 frames in 5.0 seconds = 370.735 FPS

that is horrible... try to guess... intel card :/

Festr (festr2) wrote :

stop complaining and read the whole thread oh my god!

Roman Shevtsov (smshua) wrote :

2009-1-15:xf86-video-intel 2.6.0 released (from the intellinuxgraphics.org)

So, waiting for intrepid build to test what's fixed in it!

Luciano Ziegler (emaildoluc) wrote :

I just installed the intel driver avaible on the backports repositories and now looks everything is better. Before the update I got 370 FPS on glxgears and now I'm getting something aroung 700FPS

I'm adding a me too message here. I'm on openSUSE 11.1 on thinkpad x61s with GM965 and EXA is very slow. I'll attach lspci -nn output and video capture of window/workspace switching and stuff on EXA and XAA.

Created an attachment (id=22029)
lspci -nn output on tp x61s

Can't attach videos here directly due to size limitations.

Video with EXA: http://htj.dyndns.org/export/exa.avi
Video with XAA: http://htj.dyndns.org/export/xaa.avi

The videos are captured with a cheap webcam so the quality isn't stellar but is sufficient to demonstrate the performance regression with EXA. Feeling slow or fast sure is subjective but the difference is large enough and that level of slowness would be quite annoying for most people.

Thanks.

Just a small note from "yet another user" -- Dell E6500, for me EXA is way faster than XAA, according to:
        x11perf -copypixwin500
In EXA I get ~1920 (frames?) per sec, when for XAA 200-300. However, from user POV I can only say, what is already been said -- (KDE3.5.10) moving windows, window-switching, scrolling, watching movies is very slow.

Wow!

Luciano: That is backports for Jaunty 9.04or just plain Ibex 8.10?
(I guess you need a 2.6.28 kernel anyway)

What it your chipset?
I wonder if my eee 901 with Intel GME 945 will benefit from this improvement
also.

Still 700FPS is less than half the 1500FPS this driver achieved in the "good
old TTM days", so I wonder how it is GEM an improvement or if there are
still many performance gains to come.

Luciano Ziegler (emaildoluc) wrote :

It's the Plain Ibex 8.10 Kernel 2.6.27, My graphic card is a Intel Corporation Mobile GM965/GL960. I just set up the backports and the new driver was available.

________________________________
From: JoseLVG <email address hidden>
To: <email address hidden>
Sent: Friday, January 16, 2009 1:51:44 AM
Subject: Re: [Bug 252094] Re: [i965, etc.] Poor graphics performance on Intel

Wow!

Luciano: That is backports for Jaunty 9.04or just plain Ibex 8.10?
(I guess you need a 2.6.28 kernel anyway)

What it your chipset?
I wonder if my eee 901 with Intel GME 945 will benefit from this improvement
also.

Still 700FPS is less than half the 1500FPS this driver achieved in the "good
old TTM days", so I wonder how it is GEM an improvement or if there are
still many performance gains to come.

--
[i965, etc.] Poor graphics performance on Intel
https://bugs.launchpad.net/bugs/252094
You received this bug notification because you are a direct subscriber
of the bug.

It's the Plain Ibex 8.10 Kernel 2.6.27, My graphic card is a Intel Corporation Mobile GM965/GL960. I just set up the backports and the new driver was available.

VERY interesting. I am going to try this on my laptop tonight. What
is the procedure to fail back if the new driver has issues? Just
remove the backports repo, and reinstall original
xserver-xorg-video-intel from the main repo?

Jason

On Fri, Jan 16, 2009 at 2:30 PM, Luciano Ziegler
<email address hidden> wrote:
> It's the Plain Ibex 8.10 Kernel 2.6.27, My graphic card is a Intel
> Corporation Mobile GM965/GL960. I just set up the backports and the new
> driver was available.
>
> --
> [i965, etc.] Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.org xf86-video-intel: Confirmed
> Status in "xserver-xorg-video-intel" source package in Ubuntu: In Progress
>
> Bug description:
> I experience significant performance loss with ubuntu 8.10 alpha 3 with my Intel DG965WH based system and SVDO/ADD2 video card. Actually, the performance loss started with ubuntu 8.04.1; I upgraded to see if there was any performance gain with the new version. While "glxgears" produced values between 1580 fps and 1496 fps with ubuntu 7.04 and 7.10, respectively, now I can only achieve something like 445 fps with ubuntu 8.10 alpha 3. I get an error message when starting glxgears that "TTM" was not available and classic mode would be used. Similary, the flight simulator "flightgear" achieves frames rates of 1-2 fps only.
> My suspicion is that some of the hardware acceleration features of the X3000 system are not being used, and I don't know how to activate them with the new xorg.conf structure and the underlying automatic configuration approach.
> I would like to see the graphics performance go back to the values achieved in ubuntu 7.04 and 7.10.
> Your help / comment is greatly appreciated.
> Bingo
>
> [Update]
> Intel upstream has been in a multi-year effort to rearchitect X and the Intel 2D and 3D driver to provide better performance. While this work is underway, people are seeing variations in performance levels from version to version, for a variety of reasons. There are probably multiple unrelated bugs being reported to this bug report.
>
> It is important to note and remember that glxgears is *not* a benchmark tool. It simply measures how fast the driver writes images to the screen, whereas most 3D applications are limited by render speed, not merely blit speed. Instead use a 3D game (flightgear, tremulous, etc.) that has a real rendering workload to make comparisons.
>
> If you're definitely seeing performance problems, please do not comment onto this bug report - it's too lengthy and rambling already, and your issue will just be lost in the noise. Instead, make a new report and please be as specific as possible with exact steps to reproduce and as much detail and logs as you can. See http://wiki.ubuntu.com/X/Reporting for tips on making a good X bug report.
>

Well, this bug report shouldnt become a support forum but...

If you disable the backports, the installed package will still be a higher version, so updating shouldnt change it. I guess you have to disable the backports, uninstall the package, update your package list, and then reinstall the package, wich should show the version in the main repository...

[Guess it works this way, not completely sure!]

Ivan Stetsenko (stetzen) wrote :

 Pablo Marchant wrote 16 minutes ago: (permalink)

Well, this bug report shouldnt become a support forum but...

If you disable the backports, the installed package will still be a higher version, so updating shouldnt change it. I guess you have to disable the backports, uninstall the package, update your package list, and then reinstall the package, wich should show the version in the main repository...

[Guess it works this way, not completely sure!]

There is an easier way to downgrade the package. Just use apt-get install <package>=<packageversion>

The 'correct' way to downgrade a single package and its dependencies is "aptitude install packagename=version", eg. "aptitude install xserver-xorg-video-intel=2:2.4.1-1ubuntu10". Doing what Pablo Marchant suggested will probably end up uninstalling a lot of other stuff that you do not want to remove.

I am curious which backports repository is being used, exactly, and what driver version is being installed, since I have always enabled the intrepid-backports repository and the latest offered driver version is still 2.4.1-1ubuntu10, which has horrendous performance, at least on Q45.

Luciano Ziegler (emaildoluc) wrote :

I printed the screen from the proprieties of my driver, as you can see, I'm using the one from the backport & proposed

Wesley Velroij (velroy1) wrote :

Before kernel and xserver-xorg-intel update

wesley@Grimmjow:~$ glxgears
2903 frames in 5.0 seconds = 580.517 FPS
3350 frames in 5.0 seconds = 669.953 FPS
3429 frames in 5.0 seconds = 685.756 FPS
2341 frames in 5.0 seconds = 467.711 FPS
598 frames in 5.0 seconds = 119.512 FPS
602 frames in 5.0 seconds = 120.228 FPS
603 frames in 5.0 seconds = 120.501 FPS
582 frames in 5.0 seconds = 116.398 FPS
603 frames in 5.0 seconds = 120.507 FPS
602 frames in 5.0 seconds = 120.286 FPS
602 frames in 5.0 seconds = 120.212 FPS
605 frames in 5.0 seconds = 120.896 FPS
505 frames in 5.0 seconds = 100.930 FPS
XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 55128 requests (52428 known processed) with 0 events remaining.
wesley@Grimmjow:~$

After

wesley@Grimmjow:~$ glxgears
3101 frames in 5.0 seconds = 620.138 FPS
3436 frames in 5.0 seconds = 687.034 FPS
3425 frames in 5.0 seconds = 684.990 FPS
3430 frames in 5.0 seconds = 685.871 FPS
3447 frames in 5.0 seconds = 689.320 FPS
3063 frames in 5.0 seconds = 612.520 FPS
3159 frames in 5.0 seconds = 631.686 FPS
3069 frames in 5.0 seconds = 613.686 FPS
3382 frames in 5.0 seconds = 676.239 FPS
3371 frames in 5.0 seconds = 674.154 FPS
3363 frames in 5.0 seconds = 672.417 FPS
3368 frames in 5.0 seconds = 673.412 FPS
3378 frames in 5.0 seconds = 675.446 FPS
3371 frames in 5.0 seconds = 674.160 FPS
3341 frames in 5.0 seconds = 668.143 FPS
3371 frames in 5.0 seconds = 674.172 FPS
2607 frames in 5.0 seconds = 521.044 FPS
609 frames in 5.0 seconds = 121.715 FPS
611 frames in 5.0 seconds = 122.173 FPS
614 frames in 5.0 seconds = 122.713 FPS
613 frames in 5.0 seconds = 122.515 FPS
613 frames in 5.0 seconds = 122.477 FPS
612 frames in 5.0 seconds = 122.314 FPS
2857 frames in 5.0 seconds = 570.843 FPS
XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 188800 requests (178372 known processed) with 0 events remaining.
wesley@Grimmjow:~$

If you ask me thats the same, so please tell me what I did wrong ( Kubuntu doesn't have a option to select manual drivers )

Wesley Velroij (velroy1) wrote :

It seems i didnt upgrade right, kernel 26-6-11 isnt showing at grub, will try later a test again.

Rafal Zawadzki (bluszcz) wrote :

The same problem here, Dell XPS M1330.

bluszcz@margherita:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 02)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
03:01.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
03:01.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
03:01.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)
09:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5906M Fast Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g (rev 01)
bluszcz@margherita:~$

Confirmed, also very slow video performance and Firefox scrolling is really slow.

Ubuntu is not very usable in the current state :(

Dell 6400 GM945

Michael Monreal (mimox) wrote :

Subscribing...

OK. Tested NEW updates of INTEL video drivers (NO COMPILING) on ACER ASPIRE 5315. First, It's NOT a kernel issue. It is indeed in the layer & assembly of graphics at certain frequencies & speeds. It is a communication mismatch between compiz & intel video. However, after updating & correcting a few things here it is. I ran Ubuntu 8.10 Kernel 2.6.27-11-generic. Then I turned OFF ALL graphic enhancements; System>Preferences>Appearances>Visual Effects>None. In Synaptic Package Manager add search for; RESTRICTED, BACKPORTS, HEADERS for your current generic Kernel. Restart. Then I opened a terminal to verify increase in FPS. (GLXGEARS). Increased from 600fps to 910fps. I tested Open Arena, Star Trek HM, Unreal Tournament 2004, Chromium & Star Wars Jedi Knight 2 (WINE). ALL fine! Graphics worked well at 640x480 & 800x600. I've tried this on two machines. Please let me know if this IS INDEED working for anyone else. Thank You, Jay

tictactoe (xavier-garel) wrote :

I have a DELL E6400 with Intel GM45
I just tried to run with daily build live Jaunty i386 (20090124), with :
- linux-image-2.6.28-5-generic 2.6.28-5.15
- xserver-xorg-core 2:1.5.99.901-1ubuntu1
- xserver-xorg-video-intel 2:2.6.1-1ubuntu1
Here is what i get with glxinfo :
"OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset GEM 20090114 x86/MMX/SSE2"
Here is output of lspci :
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 RAID bus controller: Intel Corporation Mobile 82801 SATA RAID Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 04)
03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 21)
03:01.2 SD Host controller: Ricoh Co Ltd R5C843 MMC Host Controller (rev 11)
0c:00.0 Network controller: Intel Corporation Wireless WiFi Link 5100

Here is my result for glxgears : 299 frames in 5.0 seconds = 59.742 FPS !!

It's worst than before with Intrepid (kernel 2.6.27 and intel 2.4.1) : ~ 200 FPS

I think this laptop should get more than 1000 FPS ?

I hope I will get better perf with the final release of Jaunty and my DELL E6400 (Intel GMA 4500 MHD)

Or may be it could be a specific DELL problem with this model ?

Download full text (3.8 KiB)

tictactoe, I believe those frame rates suggests that vsync is enabled,
limiting the rendering to the refresh rate of your screen. The same happens
here. Unfortunately, though, 3D and 2D graphics don't seem to be synced to
vblank, since I still notice tearing.

I'm using the same setup with you (Jaunty with latest updates), except that
my video card is a Intel X3100 on a Dell Inspiron 1525.

On Sat, Jan 24, 2009 at 5:44 PM, tictactoe <email address hidden> wrote:

> I have a DELL E6400 with Intel GM45
> I just tried to run with daily build live Jaunty i386 (20090124), with :
> - linux-image-2.6.28-5-generic 2.6.28-5.15
> - xserver-xorg-core 2:1.5.99.901-1ubuntu1
> - xserver-xorg-video-intel 2:2.6.1-1ubuntu1
> Here is what i get with glxinfo :
> "OpenGL renderer string: Mesa DRI Mobile Intel(R) GM45 Express Chipset GEM
> 20090114 x86/MMX/SSE2"
> Here is output of lspci :
> 00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory
> Controller Hub (rev 07)
> 00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series
> Chipset Integrated Graphics Controller (rev 07)
> 00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset
> Integrated Graphics Controller (rev 07)
> 00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network
> Connection (rev 03)
> 00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #4 (rev 03)
> 00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #5 (rev 03)
> 00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #6 (rev 03)
> 00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
> Controller #2 (rev 03)
> 00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio
> Controller (rev 03)
> 00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port
> 1 (rev 03)
> 00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port
> 2 (rev 03)
> 00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port
> 3 (rev 03)
> 00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port
> 4 (rev 03)
> 00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #1 (rev 03)
> 00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #2 (rev 03)
> 00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #3 (rev 03)
> 00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
> Controller #1 (rev 03)
> 00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
> 00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev
> 03)
> 00:1f.2 RAID bus controller: Intel Corporation Mobile 82801 SATA RAID
> Controller (rev 03)
> 00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev
> 03)
> 03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev
> 04)
> 03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host
> Adapter (rev 21)
> 03:01.2 SD Host controller: Ricoh Co Ltd R5C843 MMC Host Contro...

Read more...

OK Roberto Cássio Jr,

indeed, I tried to run 'vblank_mode=0 glxgears' then here are the results :
4233 frames in 5.0 seconds = 846.448 FPS
4223 frames in 5.0 seconds = 844.406 FPS
4221 frames in 5.0 seconds = 844.062 FPS
4199 frames in 5.0 seconds = 839.759 FPS
4192 frames in 5.0 seconds = 838.397 FPS
4135 frames in 5.0 seconds = 826.932 FPS

It's pretty good enough !
So I am going to test it with Intrepid ...

Could someone explain us the risk if we setup vblank_mode=0 permanently with driconf utility ?

thks,

Richard Guo (rfguo) wrote :

Phoronix has done a report/comparison of the latest driver. Bryce, this should serve as good solid evidence in actual applications rather than just "glxgears feels slow."

http://www.phoronix.com/scan.php?page=article&item=ubuntu_904_intel&num=1

Bryce Harrington (bryce) wrote :

Richard, yes those bar charts indicate there is performance regressions, but that's nothing we don't already know. Unfortunately the author didn't gather Xorg.0.log, glxinfo, xdpyinfo, or other data which could help in investigating the problem.

For those of you looking at glxgears fps, you're going to get a rude shock pretty soon. You've heard that glxgears is not a benchmark. It measures the blitting speed of writing a pixmap to the graphics buffer. Well, video monitors display that data at a limited rate (your refresh rate in fact). Most monitors display at a rate of 60-100 Hz (essentially 60-100 fps). So when you see glxgears saying it is writing frames at 800 FPS, well probably 700 of those frames never even get to the monitor, and thus are just a waste of electricity. Cleverly, upstream is now synchronizing the blitting speed to the monitor's refresh rate, so that it writes only as fast as the monitor can display. So you should see your glxgears FPS values drop down to something nearly equaling your monitor refresh rate. ;-)

description: updated
Bryce Harrington (bryce) on 2009-01-28
description: updated
Bryce Harrington (bryce) wrote :

Okay, it's not hard to scratch around upstream and see there's a bunch of known performance regressions for various combinations of hardware, e.g.:
https://bugs.freedesktop.org/show_bug.cgi?id=16835

Sergiy Zuban (s-zuban) wrote :

Bryce, what benchmark tool reflect real video performance?

I believe that in the past, Bryce has stated that 3D applications that
report frame-rates will do. Such as Tux Racer. In order for this to be
useful though, you have to be careful to capture your system
configuration: XXorg.0.log, glxinfo, xdpyinfo,, etc.

Phoronix also has a test suite that does similar things.

Hans

JoseLVG (josvazg) wrote :

The problem with this is that you started testing glxgears because, for
instance, GoogleEarth started to crown when in the previous Linux version it
flyed (my case, good GE performance with Xandros on my eee and unsuable GE
on ubuntu 8.10).

You end up with some idea of the performance loss when they say that Ubuntu
7.04 could make glxgears achieve 1500FPS and now it done only 50FPS.

The question now is, how are we going to know if the performance of later
versions is enhanced or not if we don't measure it with the same tools? Does
anyone have numbers FPS on Tremulous or some other 3D intensive app as far
as Ubuntu 7.04 so we can compare with 9.04 (without the vblank sync thing
that makes numbers up)?

(The vblank sync that reduces Jaunty FPS might be a clever thing for normal
use and energy-wise, but is it not very useful when comparing different
driver versions for performance)

Jose

2009/1/28 Hans <email address hidden>

> I believe that in the past, Bryce has stated that 3D applications that
> report frame-rates will do. Such as Tux Racer. In order for this to be
> useful though, you have to be careful to capture your system
> configuration: XXorg.0.log, glxinfo, xdpyinfo,, etc.
>
> Phoronix also has a test suite that does similar things.
>
> Hans
>
> --
> MASTER: Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hans (hfairchi) wrote :

To answer "the question":

You can't. And what Bryce was saying was, "You never really could".
The glxgears score was never anything more than a rough metric for 3D
performance.

The solution is to move to new tools, and test previous versions with
those new tools, and then test later versions with those same new tools.
   (this is what Phoronix does). I do this regularly. I do this by
maintaining different distribution versions at the same time. I happen
to use USB Keys to do this, but others use multiple partitions on a
single (or multiple) hard drives.

I have 8.04, 8.10, 8.10 with backports, and 9.04 on different USB keys
and test them periodically (when I have the time).

Its a bit of a pain, but I feel it is a way I can contribute.

Hans

JoseLVG wrote:
> The problem with this is that you started testing glxgears because, for
> instance, GoogleEarth started to crown when in the previous Linux version it
> flyed (my case, good GE performance with Xandros on my eee and unsuable GE
> on ubuntu 8.10).
>
> You end up with some idea of the performance loss when they say that Ubuntu
> 7.04 could make glxgears achieve 1500FPS and now it done only 50FPS.
>
> The question now is, how are we going to know if the performance of later
> versions is enhanced or not if we don't measure it with the same tools? Does
> anyone have numbers FPS on Tremulous or some other 3D intensive app as far
> as Ubuntu 7.04 so we can compare with 9.04 (without the vblank sync thing
> that makes numbers up)?
>
> (The vblank sync that reduces Jaunty FPS might be a clever thing for normal
> use and energy-wise, but is it not very useful when comparing different
> driver versions for performance)
>
> Jose
>
> 2009/1/28 Hans <email address hidden>
>
>> I believe that in the past, Bryce has stated that 3D applications that
>> report frame-rates will do. Such as Tux Racer. In order for this to be
>> useful though, you have to be careful to capture your system
>> configuration: XXorg.0.log, glxinfo, xdpyinfo,, etc.
>>
>> Phoronix also has a test suite that does similar things.
>>
>> Hans
>>
>> --
>> MASTER: Poor graphics performance on Intel
>> https://bugs.launchpad.net/bugs/252094
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>

Sergiy Zuban (s-zuban) wrote :

About 2 months ago I was able to get the same performance as it was in Hardy by the following steps:

> 1. install a 2.6.28 kernel (I got the current one from jaunty).
> 2. from the xorg-edgers ppa, install the mesa an required packages, and xserver-xorg-video-intel 2:2.4.97.0+git20081129

Today I've decided (I blame myself for that) to upgrade from xorg-edgers ppa and hope to get more stable driver and some rendering issues fixed, but unexpectedly got 45% regression:

glxgears: 1100fps -> 600fps
Planet Penguin Racer (ppracer): 40fps -> 22fps on 1440x900x32

So since I'm running on GEM-enabled kernel/driver/xserver why we again get huge regression after several months of work?
What exactly doesn't allow to keep performance at least on xserver-xorg-video-intel 2:2.4.97.0+git20081129 level?

Alter attempt to upgrade video-related packages to Jaunty versions things become more horrible:
glxgears: 600fps -> 50fps

I even didn't try to run ppracer, since regression in compiz performance was eye-sensible (I had to wait 5-7 sec to switch between windows via Ring/Shift Switcher plugins). Maybe it's due to turned on/off vblank_mode, but I don't know how to change it globally for all programs, including compiz.

PS.
I can't downgrade to xserver-xorg-video-intel 2:2.4.97.0+git20081129.
Log of upgraded packages (with versions) attached.

Ivan Stetsenko (stetzen) wrote :

  Sergiy Zuban wrote 49 minutes ago: (permalink)
<...>

So since I'm running on GEM-enabled kernel/driver/xserver why we again get huge regression after several months of work?
<...>

GEM is not used by intel drivers by default yes. As for now, it need to be enabled manually by adding line
Option "AccelMethod" "UXA"

to the device section of xorg.conf. It does not work perfectly yet, but you'll get reasonable performance (about 400 fps on glxgears) and working DRI2. There are some painful bugs with it (ctrl-alt-f* console does not work, and suspend/hibernate is broken, plus some minor problems with compiz), but it is better (IMHO) than jaunty EXA acceleration (50 fps, no suspend/hibernate, no DRI2) and there is still some work going, so the things will be improving. There is some kernel work going as well, so 2.6.29 kernel should work better with intel video.

There are major architecture changes going within a whole graphics system, so yes, things are broken. Hope this period of chaos is moving to its end :)

whwi (whitewindow) wrote :

ubuntu 8.10
xserver-xorg-video-intel 2:2.4.1-1ubuntu10.3
xserver-xorg 1:7.4~5ubuntu3
Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller

glxgears
1012 frames in 5.0 seconds = 202.331 FPS
965 frames in 5.0 seconds = 192.797 FPS

after delete my VirtualScreen in /etc/X11/xorg.conf
all works better
delete this
        SubSection "Display"
                Virtual 2560 1568
        EndSubSection
glxgears
5378 frames in 5.0 seconds = 1075.537 FPS
5280 frames in 5.0 seconds = 1055.875 FPS
after restart x

best regards

Pablo Estigarribia (pablodav) wrote :

I had many many issues with this intel gm965/gl960 video card before (with ubuntu 8.04 and 8.10)

*It didn't support opengl 2.1
*lot of graphics errors on it's interface
*Google earth worked really bad, windows "collapsed" and things strange

With ubuntu 9.04 now I can work with opengl 2.1 but in it's default installation, it still had error 2 and 3 and also I experienced some performance issues.
With it's default installation glxgears gives me only 60 FPS in my laptop (Too bad).

After add Option "AccelMethod" "UXA" in my xorg.conf file glxgears starts working arround 400 FPS (more than 4 times improved the speed) and all errors before are fixed.
I don't know exactly why it happens, but when I added Option "AccelMethod" "UXA" to my xorg.conf everything seems to be working fine and google earth works great!

Is it a fix for this issue or just a work arround?

Owais Lone (loneowais) wrote :

Same here..Still running hardy though.

I could never get this card to work with cedega(3d test fails) & the compiz water plugin.

Jason Feldstein (fieldstone) wrote :

I'm having this problem also on an eee PC 1000 with Intel 945GME graphics adapter.

On Intrepid, my glxgears score was around 650 - 750. On Hardy, it could get as high as 1350. On Jaunty, the highest I can get is about 250, and that's with UXA enabled - with EXA, it topped out around 80.

Sander Smid (s-smid) wrote :

I recently upgraded to 9.04 due the intel driver issues. When I run glxgears I get pretty okay FPS (420-480) when using UXA. Google Earth also works pretty well!

But there is a downside, I haven't been able to play any openGL game. They're all complaining that they can't load the OpenGL subsystem or that the X11 driver is not configured with OpenGL (something along those lines).

I tried OpenArena, Warzone2100, Chromium and PlanetPinguinRacer.

It would be cool to actually use the 3D capabilities of the card ^_^

Martin Olsson (mnemo) wrote :

Sander Smid: the issue you are mentioning are not relevant to this bug report. It's a known issue though (and technically its not all openGL apps since glxgears etc work, its just all libsdl apps that use open GL), see this bug:
https://bugs.launchpad.net/ubuntu/+source/libsdl1.2/+bug/328932

I just upgraded to jaunty and I can NOT confirm any speed improvements over older versions. Googleearth is slower than ever and window effects also have comparable (slow) framerates to the 8.10 version.
Even the small glitches and artifacts on the desktop like open-gl windows being overdrown by the windows behind them and similar things everything is still as bad as it was before... sorry to say that. this bug slowly but steadily really starts to annoy me :).

I have an intel 965gm chipset on a dell vostro 1310 laptop with 2 GHz.

I will be out of the office until March 2nd but will respond to your email as quickly as possible when I return.
Thank you for your patience,
Dan

Clemens Eisserer (linuxhippy) wrote :

I see the same problems, on Ubuntu as well as Fedora systems (which I use more frequently).
I saw some regression with Intel-2.5 and Fedora9, but it went really bad when switching to Intel-2.6.1 - I had best 2D performance with Intel-2.4, but OpenGL has always been 3x slower than on Windows.

How can they release a driver of that quality as stable? Are quarterly results really that important?
The consequence is a lot of people are receiving that broken stuff marked as "stable" by using stable distributions.

unggnu (unggnu) wrote :

Just read http://bugs.freedesktop.org/show_bug.cgi?id=19635 .

I guess it is because the Intel devs don't care. They don't use their own driver without patches or need no functions except of 2D to write code or just use another card/driver.

But of course it is not only an Intel problem. The whole Xorg development is a little bit weird. The don't really have a stable tree imho and push new "features" with every release which breaks something else. I guess devs like more to add new features instead of fixing bugs especially if they do it for fun. That's why you can't really ship Xorg without tons of patches.

And last but not least they live in the future. They seem to see Linux as a long term investment which doesn't need to work right now but needs to blow you away with later releases.
The only problem is that nearly no normal user cares what is under the hood as long as it does the job.

On a fresh 8.10 installation the performace on my T60 with a 945GM is terrible.
I did the changes to xorg.conf on an earlier post and it has helped. however, it's still extremely slow.

Does anyone have a proper fix for this or any idea when it'll be fixed?

Robert Entner (robertentner) wrote :

I experimented with Jaunty the other day, when enabling UXA I get significantly improved performance. This is especially important for viewing full-screen flash videos (youtube). This was not possible before and the CPU load while viewing dramatically decreased. At Openarena I get 51fps instead of Intrepids 37fps.

Here is my benchmark setup for openarena:
http://www.entner.net/blog/dell-latitude-e6400-with-ubuntu-intrepid-ibex-810-english

unggnu (unggnu) wrote :

It has some improvements but UXA is disabled in 9.04 because of stability reasons.

@aussiebuddha
If you are lucky with 9.10 performance should be better and maybe textured video doesn't tear anymore.

psst (basurazero) wrote :

As aussiebuddha said, 8.10 is extremely slow (with my 945GM).
You can't even watch some videos that could be watched perfectly in 8.04.
And you only have to try to ALT+TAB to change windows. Super slow.
Or changing from terminal tabs (ctrl+av pag) is super slow too.
I hope this is fixed soon.

Luciano Ziegler (emaildoluc) wrote :

ok ok ok... it is going to sound really weird... look what I did...

I was getting really bad fps on glxgears, around 150fps... I wasted all day long trying to figure out how to fix it. I tried to install some new driver... the intel 2.5 and the fps got even worst, around 70fps.

So I tried to compile a brand new kernel 2.6.28.7, no success, also add the repository deb http://ppa.launchpad.net/xorg-edgers/ubuntu jaunty main and updated everything, no success neither...

when I was almost giving up, I tried to run the glxgears using: sudo glxgears and I got:

3733 frames in 5.0 seconds = 746.500 FPS

Ok, it not perfect, but comparing with 150fps, it is awesome. So I figured out that it could be a problem with the user. I went toe the users settings clicked on my user -> properties -> user privileges tab and I found a check box that says capture video from tv and webcam and use 3d acceleration. It was unchecked, so I just checked, log off and log on again, finally everything was working again. My screen savers, 3d games, scroll down on the web browser... it was awesome...

My computer specifications are attached. I'm using linux mint 6, but I'm pretty sure it is going to work on ubuntu too since both distributions are the same thing.

bingo (stefandrude) wrote :

Finally some good news. I tested ubuntu 9.04 alpha-6, and the results are back to where I would like to see them.

Bryce, to reflect your comments, I tested with flightgear and got frame rates between 15 and 23 fps depending on the scenary with the on-board graphics subsystem, i.e. the X3000 graphics processor. This is a significant improvement over the 1-2 fps frame rate seen previously.

For those testing with glxgears, my figures are back to around 1350 frames per second. The Xorg.log file states that EXA acceleration method is being used.

It seems that all the development work has finally been converging, thank you. I have attached the xorg.log file for your reference.

Bingo

Have you tried GoogleEarth?
Does it work again?

Jose

2009/3/15 bingo <email address hidden>

> Finally some good news. I tested ubuntu 9.04 alpha-6, and the results
> are back to where I would like to see them.
>
> Bryce, to reflect your comments, I tested with flightgear and got frame
> rates between 15 and 23 fps depending on the scenary with the on-board
> graphics subsystem, i.e. the X3000 graphics processor. This is a
> significant improvement over the 1-2 fps frame rate seen previously.
>
> For those testing with glxgears, my figures are back to around 1350
> frames per second. The Xorg.log file states that EXA acceleration method
> is being used.
>
> It seems that all the development work has finally been converging,
> thank you. I have attached the xorg.log file for your reference.
>
> Bingo
>
> ** Attachment added: "Xorg.0.log"
> http://launchpadlibrarian.net/23874068/Xorg.0.log
>
> --
> MASTER: Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

mrkenvesta (mrkenvesta) wrote :

I have an ACER 7720 running Ubuntu 8.10 and Google Earth is poo.

I just installed the Alpha 6 release into a Sun VirtualBox on the same PC, and Google Earth works much better.

Massive improvement.

kelvie (kelvie) wrote :

On my GM965 (on an x61 thinkpad) using the latest Ubuntu Jaunty, I still get very crappy performance. My brother's GM945 runs games like Starcraft and Warcraft III flawlessly in Wine, while this (much faster) laptop is unable to run them at a decent framerate.

glxgears reports rates of around 400 fps.

JoseLVG (josvazg) wrote :

Latest Jaunty tested on an Asus eee901 (945GME I think)

Results:
- glxgears arround 600fps (not very spectacular)
- SAME RENDERING ERRORS as usual when moving the glxgears window arround
(compiz effects on)

I think Jaunty will still have this problems.
(If it takes them so much time to stabilize this code... maybe this driver
rewrite was not good idea at all)

Jose

Ivan Stetsenko (stetzen) wrote :

 JoseLVG, are you using UXA acceleration? It is not enabled by default, you need to enable it manually by editing your xorg.conf (add

Option "AccelMethod" "UXA"

to the Device section of the xorg.conf).. With UXA your rendering problems should go away, but there is some amount of instability (that's why UXA is not used by default) and some little colour corruption as well. But you'll definitely need to give it a try.

JoseLVG (josvazg) wrote :

Wonderful! ... now is so slow it takes 30seconds to display a key when I
type it!

Its great this UXA DECELERATION METHOD! Shuld be renamed UXD!

After 10minutes of a completely irresponsible GUI I could type glxgears to
see number below 300fps... but I could NOT see them moving they where just
fixed... and I could NOT test the rendering problems as it was imposible to
drag the window to move it arround. It's completely unusable... and the eee
901 is quite apopular machine!!

Isn't Ubuntu trying to get into the netbook market? With drivers such as
this one thats is IMPOSIBLE!

Jose

2009/3/19 Ivan Stetsenko <email address hidden>

> JoseLVG, are you using UXA acceleration? It is not enabled by default,
> you need to enable it manually by editing your xorg.conf (add
>
> Option "AccelMethod" "UXA"
>
> to the Device section of the xorg.conf).. With UXA your rendering
> problems should go away, but there is some amount of instability (that's
> why UXA is not used by default) and some little colour corruption as
> well. But you'll definitely need to give it a try.
>
> --
> MASTER: Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Ivan Stetsenko (stetzen) wrote :

Can you check that " Sync to Vblank" checkbox is UNchecked in the compiz settings -> general -> Display settings?

JoseLVG (josvazg) wrote :

With Sync Vblank unchecked... (and AFTER installing a universe or multiverse
package NOT enabled by default...)

- glxgears 230fps!!!! (great!! amazing!)
- BUT NO RENDERING ERRORS

I am still very unimpressed. If I want to use the full capabilities of this
eee 901 graphics hardware the only way is to install WinXP!! (what a crap!)
Seriuosly! I don't care if more or less Windosers switch to Linux... but why
should WE (the linuxers) suffer worse performance and CRAPY graphics drivers
like these!
Do they do (Intel) it on purpose? Why can't they do drivers that compare
with their own windows ones? Is it that much difficult in linux?

Jose

2009/3/19 Ivan Stetsenko <email address hidden>

> Can you check that " Sync to Vblank" checkbox is UNchecked in the compiz
> settings -> general -> Display settings?
>
> --
> MASTER: Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

JoseLVG (josvazg) wrote :

I forgot!
The system freezes with UXA after a while.

Good luck to Ubuntu in the Netbook market, they are going to need it!

Jose

2009/3/19 Jose Luis Vazquez <email address hidden>

> With Sync Vblank unchecked... (and AFTER installing a universe or
> multiverse package NOT enabled by default...)
>
> - glxgears 230fps!!!! (great!! amazing!)
> - BUT NO RENDERING ERRORS
>
> I am still very unimpressed. If I want to use the full capabilities of this
> eee 901 graphics hardware the only way is to install WinXP!! (what a crap!)
> Seriuosly! I don't care if more or less Windosers switch to Linux... but
> why should WE (the linuxers) suffer worse performance and CRAPY graphics
> drivers like these!
> Do they do (Intel) it on purpose? Why can't they do drivers that compare
> with their own windows ones? Is it that much difficult in linux?
>
> Jose
>
> 2009/3/19 Ivan Stetsenko <email address hidden>
>
>> Can you check that " Sync to Vblank" checkbox is UNchecked in the compiz
>>
>> settings -> general -> Display settings?
>>
>> --
>> MASTER: Poor graphics performance on Intel
>> https://bugs.launchpad.net/bugs/252094
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>

Marek Aaron Sapota (maarons) wrote :

> Do they do (Intel) it on purpose?

Yes, they are changing the driver architecture - for the better. The problem is not with the drivers, but with distributions that package drivers, that are known not to work, without any alternative. Unfortunately every newer Ubuntu release seems less stable - super new suff included, but no one seems to care if the new stuff works.

Actually with intel driver 2.6.3, xorg 1.5.3 and linux 2.6.28 it performs well (with UXA) without hangups or something (compiled from source using gentoo ebuilds). I think that for full performance you should have xorg 1.6 (already released) and linux 2.6.29. I'm curious if they will package working xorg(+gem enabled linux) set for jaunty...

Sudip Natekar (sudip-n) wrote :

I have been following this thread for a while hoping for a solution to the poor performance of Intel GMA965 X3100 on Intrepid 8.10 64bit. Compiz was always stuttering, scrolling was laggy, and slight tearing with videos.
So I was reading this other bug (https://bugs.launchpad.net/xserver-xorg-video-intel/+bug/177492), and right at the beginning, someone suggested adding the following line to the Device section of xorg.conf.

Option "AccelMethod" "XAA"

Well, that's what I did, and now compiz is very smooth and videos are not tearing anymore.
I did have a problem initially with VLC crashing when I clicked on any video file, but that was resolved after I changed the default video output to "X11 video output" in VLC's preferences.

Hope this helps someone.

OK on a T60 with 945GM I installed a clean 9.04 beta.
glxgears where around 250fps tearing and extremely slow.
I change xorg.conf and added the option for UXA
glxgears has now jumped to 450fps, still not right, but it's an improvement.

Had anyone gone further?
Any fixes yet?

Do we have any of the ubuntu devs participating in this discussion, or is it only users?

Jacob Peddicord (jpeddicord) wrote :

Ofir:

The patch you are referring to does not disable GEM support, it only provides an option to turn it on or off at build time. According to that, it's on by default (and I think that's how it should be -- GEM is the "right way" to go about memory management, it just isn't completely supported by all drivers yet).

Please don't spam this report with "Windows is better, I'm going back" comments.

Bruce: what?
Jacob: I believe that patch gives the ability to disable GEM in the drm module, at load-time of the module. This way people who don't yet have stable GEM support can disable it.

I have not tested the patch, but it seems like it may work. The same bug upstream also submitted the first half of the full patch.

Re: Marek in #276: Can anyone from the 9.04 team confirm that either
a) all the required updates will be in place at release time to kill the nasty performance problems (I think that means another minor kernel rev., newer X and intel X driver ?)
or
b) decide these new parts of X/intel driver are too new and shop the old, working fine, ones until 9.10 (or later, if needed) ?

I vote for b) at this point personally.

Feistybird (bryanjen-tw) wrote :

The bug below has been fixed in the most recent patch (xserver-xorg-video-intel 2:2.6.3-0ubuntu8)

"Some users of Intel i8x5 video chipsets are unable to load X, getting an error message of "Fatal server error: Couldn't bind memory for BO front buffer". As a workaround, use the VESA driver by logging into a text console, running "sudo nano /etc/X11/xorg.conf", and adding the line Driver "vesa" to the Device section. An alternative (experimental) workaround is to use the UXA acceleration method (see below). If in doubt, please do not upgrade to Ubuntu 9.04 Beta yet. 304871" [ https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/304871?comments=all ]

Thank you VERY MUCH for your hard work!

However, there are still some other problems probably related to this performance issue; the graphic rendering in some of the java-applet & web pages are broken. Please refer to the attached screenshots.

(II) Module intel: vendor="X.Org Foundation"
 compiled for 1.6.0, module version = 2.6.3
 Module class: X.Org Video Driver
 ABI class: X.Org Video Driver, version 5.0
-PCI Devices-
VGA compatible controller : Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device

/etc/X11/xorg.conf:

Section "Device"
 Identifier "Configured Video Device"
 Driver "intel
 VideoRAM 131072 ## Enable/Disable this option makes no difference
        Option "Legacy3D" "false" ## Either true of false makes no difference
# Option "AccelMethod" "XAA" ## GDM won't start once enabled.
# Option "UseFBDev" "false" ## true or false makes no difference
# Optoin "DRI" "false" ## true or false makes no difference
EndSection

Hope this can also be fixed soon.

Thanks!

Bryce Harrington (bryce) on 2009-04-08
description: updated

I also have a fall-back in performance, I can't play xmoto, so this is a serious bug for me!:)

stone@skynet:~$ glxinfo | grep render
Failed to initialize GEM. Falling back to classic.
direct rendering: Yes
OpenGL renderer string: Mesa DRI Intel(R) G33 20090326 2009Q1 RC2 x86/MMX/SSE2

stone@skynet:~$ lspci |grep VGA
00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 02)

If I add the Option "AccelMethod" "uxa", I don't even get to gdm.

I also attached my Xorg.0.log.

I hope, this report helps somehow.

Geir Ove Myhr (gomyhr) wrote :

> I hope, this report helps somehow.

I'm sorry, but this information in this place won't help. If you file
a new bug report, attach Xorg.0.log, the output of `lspci -vvnn` and
the information above, it may help. If you use the ubuntu-bug program,
it will attach a lot of useful information to the bug report. Be sure
to check https://wiki.ubuntu.com/X/Troubleshooting/IntelPerformance
and tell if any of those problems can explain your peformance issues
(I know this is what you did, but this is the wrong place).

In this bug report there are lots of different unrelated performance
issues, most without sufficient information, and it is just way to
messy to start analyzing anything here.

Jordan Wilberding (diginux) wrote :

I am also having troubles with the intel driver and jaunty glxgears is slow, playback is slow, typing is not as responsive..

I have an intel G45 card.

I tried:

Option "AccelMethod" "XAA"

In my xorg.conf, but that just makes xorg crash.

Matthias Himber (nomar) wrote :

On Saturday 11 April 2009 17:15:13 Jordan Wilberding wrote:
> [snip]
>
> I tried:
> Option "AccelMethod" "XAA"
> In my xorg.conf, but that just makes xorg crash.

Same here. I also have a GM45 (Lenovo Thinkpad T500).

On my notebook Toshiba U205 S5034 - with Intel VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03), I fix the performance issue by a change into xorg.conf:

Section "Device"
 Identifier "Configured Video Device"

 # It turns off disabling pipa A by a driver after while.
 # Its 100 % working workaround.
  Option "ForceEnablePipeA" "true"

 # restore COMPIZ performance
 Option "AccelMethod" "UXA"

 # Option "FramebufferCompression" "off"
EndSection

JoseLVG (josvazg) wrote :

On Jaunty or Ibex?

I tried it (ForceEnablePipeA + UXA) on a eee 901 with 8.10 Intrepid Ibex and
it did not fix anything.

My eee 901 has an Intel 945GME, no one else has this chipset?

Jose

2009/4/12 andrehsiqueira <email address hidden>

> On my notebook Toshiba U205 S5034 - with Intel VGA compatible
> controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express
> Integrated Graphics Controller (rev 03), I fix the performance issue by
> a change into xorg.conf:
>
> Section "Device"
> Identifier "Configured Video Device"
>
> # It turns off disabling pipa A by a driver after while.
> # Its 100 % working workaround.
> Option "ForceEnablePipeA" "true"
>
> # restore COMPIZ performance
> Option "AccelMethod" "UXA"
>
> # Option "FramebufferCompression" "off"
> EndSection
>
> --
> MASTER: Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Geir Ove Myhr (gomyhr) wrote :

> My eee 901 has an Intel 945GME, no one else has this chipset?

There are many who have that chipset. Some of them have reported
various bugs related to it and some of those bugs have even been
tagged as such:

https://launchpad.net/ubuntu/+bugs?field.tag=945gme

I would guess that for issues related to performance, the issues would
be similar to the on the 945GM chipset:

https://launchpad.net/ubuntu/+bugs?field.tag=945gm

On Jaunty 9.04 beta.

Atenciosamente

André Henrique de Siqueira

====================
"O mundo precisa mais de atitudes
do que de lamentações."

2009/4/12 JoseLVG <email address hidden>

> On Jaunty or Ibex?
>
> I tried it (ForceEnablePipeA + UXA) on a eee 901 with 8.10 Intrepid Ibex
> and
> it did not fix anything.
>
> My eee 901 has an Intel 945GME, no one else has this chipset?
>
> Jose
>
> 2009/4/12 andrehsiqueira <email address hidden>
>
> > On my notebook Toshiba U205 S5034 - with Intel VGA compatible
> > controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express
> > Integrated Graphics Controller (rev 03), I fix the performance issue by
> > a change into xorg.conf:
> >
> > Section "Device"
> > Identifier "Configured Video Device"
> >
> > # It turns off disabling pipa A by a driver after while.
> > # Its 100 % working workaround.
> > Option "ForceEnablePipeA" "true"
> >
> > # restore COMPIZ performance
> > Option "AccelMethod" "UXA"
> >
> > # Option "FramebufferCompression" "off"
> > EndSection
> >
> > --
> > MASTER: Poor graphics performance on Intel
> > https://bugs.launchpad.net/bugs/252094
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
> --
> MASTER: Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

strav (strav) wrote :

Note to eee pc users.

From what I've gathered, the intel driver now defaults to the EXA acceleration method which relies on the GEM memory manager. That should be fine and dandy however note that GEM is not part of the 2.6.27 kernel. So if by any chance you got your kernel from array.org and did not upgraded to 2.6.28 (from stock ubuntu), beside having an awful fps in most 3d apps, glxgears will tell you that it cannot use GEM and this means: switch to 2.6.28, your problems will be solved.

p.s.: https://wiki.ubuntu.com/X/Troubleshooting/IntelPerformance <-- is a good thing.

Jordan Wilberding (diginux) wrote :
Download full text (3.6 KiB)

When I try to enable UXA, startx just freezes during startup.

I have also noticed, when I run glxgears, it says "Failed to initialize
GEM." Could this because I am using the 2.6.28 *server* version of the
kernel?

On Sun, Apr 12, 2009 at 3:44 PM, andrehsiqueira <email address hidden>wrote:

> On my notebook Toshiba U205 S5034 - with Intel VGA compatible
> controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express
> Integrated Graphics Controller (rev 03), I fix the performance issue by
> a change into xorg.conf:
>
> Section "Device"
> Identifier "Configured Video Device"
>
> # It turns off disabling pipa A by a driver after while.
> # Its 100 % working workaround.
> Option "ForceEnablePipeA" "true"
>
> # restore COMPIZ performance
> Option "AccelMethod" "UXA"
>
> # Option "FramebufferCompression" "off"
> EndSection
>
> --
> MASTER: Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.org xf86-video-intel: Confirmed
> Status in “linux” source package in Ubuntu: New
> Status in “xserver-xorg-video-intel” source package in Ubuntu: In Progress
>
> Bug description:
> I experience significant performance loss with ubuntu 8.10 alpha 3 with my
> Intel DG965WH based system and SVDO/ADD2 video card. Actually, the
> performance loss started with ubuntu 8.04.1; I upgraded to see if there was
> any performance gain with the new version. While "glxgears" produced values
> between 1580 fps and 1496 fps with ubuntu 7.04 and 7.10, respectively, now I
> can only achieve something like 445 fps with ubuntu 8.10 alpha 3. I get an
> error message when starting glxgears that "TTM" was not available and
> classic mode would be used. Similary, the flight simulator "flightgear"
> achieves frames rates of 1-2 fps only.
> My suspicion is that some of the hardware acceleration features of the
> X3000 system are not being used, and I don't know how to activate them with
> the new xorg.conf structure and the underlying automatic configuration
> approach.
> I would like to see the graphics performance go back to the values achieved
> in ubuntu 7.04 and 7.10.
> Your help / comment is greatly appreciated.
> Bingo
>
> [Update]
> Intel upstream has been in a multi-year effort to rearchitect X and the
> Intel 2D and 3D driver to provide better performance. While this work is
> underway, people are seeing variations in performance levels from version to
> version, for a variety of reasons. There are probably multiple unrelated
> bugs being reported in the comments here.
>
> It is important to note and remember that glxgears is *not* a benchmark
> tool. It simply measures how fast the driver writes images to the screen,
> whereas most 3D applications are limited by render speed, not merely blit
> speed. Instead use a 3D game (flightgear, tremulous, etc.) that has a real
> rendering workload to make comparisons.
>
> If you're definitely seeing performance problems and are able to narrow it
> to a specific cause, please do not comment onto this bug report - it's too
> lengthy and rambling ...

Read more...

JoseLVG (josvazg) wrote :

Tried ForceEnablePipeA + UXA on Juanty beta over an eee 901. Results:

- Rendering errors on Compiz went away.
- Glxgears FPSs dro from 600 to 150.
- GoogleEarth crash due to libssl 0.9.8 error (couldn't test performance)
- Planetpenguin racer: not very smooth 3-4 fps at 1024x600
- Tremulous didn't start either. (Maybe because testing jaunty on a
pendrive?)

Not very impressive performance after all.

Jose

Things were working fine on 8.10 until the updates released around April 3rd. Problem persists on Jaunty.
Got an Intel 965 (PCIID: 8086:2a02).
This bug is related: https://bugs.launchpad.net/ubuntu/karmic/+source/xserver-xorg-video-intel/+bug/359392

Bryce Harrington (bryce) wrote :
Download full text (4.4 KiB)

Thank you everyone who has contributed towards analyzing this bug for Jaunty. As many of you know, the Intel performance issues were not completely fixed for the Jaunty release, and I understand you are probably as frustrated as I am that it remains an issue for so many people. To those who have remained patient through this process, it is especially appreciated.

For the background behind why all this regression happened to begin with, I'd best refer you to Keith Packard himself (you may want to skip down to the "Pick One From Each Column" section, if you're not so interested in the technical stuff):

    http://keithp.com/blogs/Sharpening_the_Intel_Driver_Focus/

It is unfortunate that Jaunty (and Intrepid, to a lesser degree) hit in the midst of this major rearchitecturing work, and suffered the consequences as a result.

One thing that is important to note is that not everyone sees the performance regression. Some have no problem whatsoever. Some see it only with compiz, and are fine sticking with 2D. Some see a slight regression but not so bad that it affects their workflow. This is not to trivialize the importance of having good performance with compiz (since we ship it on by default). As well, there are a sizable number of people who have significant performance problems both with 2D and 3D.

Given all the construction work being done upstream, the obvious question is why not to keep Ubuntu to an older, more stable version of the -intel driver such as 2.4 or 2.2. There are four reasons. First, it would undo fixes that were gained in 2.6 to bugs that were even worse than this performance problem. Second, some newer Intel hardware was enabled in 2.6, which would be lost if we moved to an older driver. Third, it would inhibit our ability to work with upstream to gain real fixes to the problem. And fourth, it is the wrong thing to do.

The right thing to do is to figure out what causes the problem, and fix it, and that is what many of us have been quietly working on the past couple months.

Let me explain what we have done to date, the current status, and the plan going forward.

In our testing, we've uncovered a lot of different ways to work around the problem. Sadly, there is no single workaround which solves the issue for everyone across the board. In some cases there has been sufficient consistency (such as a workaround that worked for particular families of chipsets) that we were able to roll out the change. In most cases, however, our testing found the workaround only seemed to solve the problem for some cases, and caused new problems (corruption, freezes, crashes...) for other cases randomly.

I generally consider stability to be higher up on the priority list than performance, so where we have an option that would give performance at the expense of stability I've opted to pass it by. Because the driver seems to be so sensitive to changes, we're being very deliberate in doing thorough testing; last thing we want is to rush some change out that causes more damage than it solves.

However, since these workarounds do in fact help people in some cases, I've capturing them in the Ubuntu-X wiki. My feeling is that even if...

Read more...

Cheers for the update Bryce, I'm sure, even if the tone is heated at times everyone appreciates that someone, somewhere, is at least working on it !
I worry, however, about two things
a) the information about how to fix any issues wasn't included in the release notes. To me, it felt like Ubuntu was ignoring the problem, or worse trying to hide it.
b) any changes are so major (new kernel rev., for instance) that they won't ever be back ported into 9.04 from 9.10

For the record, I would prefer newer hardware plain didn't work till post-9.04 than saddle 'a sizable number' of existing users with a horribly bad (but working as you same) system... at least you can just say 'the latest Intel FooBar cards are not supported yet (and weren't in any previous version either)' and it's all very clear what is going on.

Bryce Harrington (bryce) wrote :

> a) the information about how to fix any issues wasn't included in the release notes. To me, it felt like Ubuntu was ignoring the problem, or worse trying to hide it.

Actually the information was included here:
http://www.ubuntu.com/getubuntu/releasenotes/904#Performance regressions on Intel graphics cards

> b) any changes are so major (new kernel rev., for instance) that they won't ever be back ported into 9.04 from 9.10

Currently the plan is to identify the specific kernel patches from the new kernel version that are felt to help the performance issue, and backport just those fixes. Whether this can be done without causing side effects remains to be seen in testing.

Bryce: The notice was yup, the link to page with step-by-steps for new X, kernel and MTRR wasn't, and should have been, ideal world permitting.

Bryce Harrington (bryce) wrote :

On Thu, Apr 30, 2009 at 06:26:46AM -0000, Tom Chiverton wrote:
> Bryce: The notice was yup, the link to page with step-by-steps for new
> X, kernel and MTRR wasn't, and should have been, ideal world permitting.

In the future, I hope we'll have your help in drafting release note
entries for remaining X issues in Ubuntu. For many developers, the
final weeks of the release are a mess of bugs and making the release
notes complete often falls to a secondary task, so having people who can
devote attention to them can make a big difference.

Download full text (3.2 KiB)

Bryce,

Thanks for the update, very informative. You mentioned in your post several reasons for not reverting to an older, more stable version of the -intel driver. And I agree that this would probably be counter-productive, in my experience the -intel driver has never really been stable on older chipsets. So my guess is that people would still be highly unsatisfied with the driver quality, the only difference would be that the bug reports would be against an old version and would no longer useful.

But, have you considered supplying a package with an older version of xserver that could run the i810 driver? Please note that I am not suggesting that Ubuntu rollback its xserver, just that it supply something like a xserver-xorg-legacy package that could replace the default xserver with an older version (one that supported i810) for users with older intel chipsets. Perhaps a little installation magic could pick the legacy driver depending on the detected hardware. I know that this is an ugly solution, and I recognize that simply fixing the bugs in the -intel driver is a more elegant approach. But, it has been over a year since Ubuntu stopped working properly on these chipsets. The most recent driver has rendered my system (and many others) completely and utterly unusable. And in all likelihood it will take many many more months before the regressions introduced by the -intel driver start to be pared down You asked for patience, but I think that the community has already been very patient. I think the most important thing at this point is to get things working again. And, ugly as it may be, this would restore basic functionality to many of the above users instantaneously (I just installed xserver 1.4.2, and my system has never worked better).

In your post, you suggested that releasing an older version "would inhibit our ability to work with upstream to gain real fixes to the problem" In fact, I would argue that releasing a legacy driver would only allow for a more sane release plan. Reading the notes by Keith Packard that you have cited above, it seems that Xorg is essentially treating -intel as a beta. Beta software is fine for early adopters who are willing to track down bugs and take the time to file intelligent bug reports, but it is counterproductive to distribute beta software at large. It does not produce more information, it simply infuriates individuals that have become unwilling beta-testers (see some of the above comments) and produces a large number of uninformed bug reports (see some of the duplicates). I think the best way to get to a working driver is to relieve some of the presure from the Xorg team by pushing out a legacy driver that gets normal users working systems, and then let the early adopters slowly work through the bugs in the -intel driver.

In your post, you also mentioned that releasing an outdated version "is the wrong thing to do." Well, it certainly doesn't feel right. And if everything was as it should, every version would improve upon the previous and releasing old versions would never be necessary. But alas, this does not seem to be the case. I think the right thing to do at this point is t...

Read more...

@Bryce: Well, many people, myself included, wrote in the beta and RC wiki'ed release notes about it, but it seemed each new release reset the list of release notes, rather than engaging the people from the previous release and asking them if it was fixed or not. You'll see I've poped into the forums and offered my help there (using boot.local, for instance, to apply the MTRR fix to at least the first start of X).

Bryce Harrington (bryce) wrote :

On Thu, Apr 30, 2009 at 12:45:14PM -0000, James Strother wrote:
> But, have you considered supplying a package with an older version of
> xserver that could run the i810 driver?

To be honest, we're stretched pretty thin already just maintaining one
version of X.org. At over 180 separate packages, totally almost 2000
bugs[1], we've got a lot of work cut out for us.

I say "us" because while there is only one paid X.org maintenance
position, there are about a dozen volunteers who contribute a lot of
time maintaining various bits and pieces of the stack, without which
your X would be much worse.

Within a given Ubuntu release, all of the 180 X packages are tested to
work with the version of the xserver included in that release. Each
version of xserver provides a different ABI, that all X.org packages
have to be built against. Including a second version of xserver would
necessitate testing those packages against that version as well, and in
some cases providing two versions of those packages in order to account
for the ABI differences. For instance, even if we only supported a
single video driver with that second xserver, we'd need to package and
support two versions of each of the couple dozen input drivers, and
probably two sets of packages for xorg, xrandr, xinit, xauth, and on and
on. A LOT of work.

I don't think any OEMs shipping 8xx purchased support contracts with
Canonical that would help us justify putting resources into supporting
these older chips. But let's imagine that they did. In this case,
wouldn't it make more sense rather than pouring all that time and effort
into an xserver backport, to instead fund making the -intel driver work
better with the 8xx chips directly?

Now, given the large amount of bugs against 8xx, you might conclude
Ubuntu is not giving any attention to this chip. In fact that's not the
case[2], but getting proper support for it depends a lot on community
involvement. I can help by doing packaging, liaising with Intel,
giving coding advice, and even coordinating efforts, but I'm just one
guy and can't take on responsibility for supporting the chipset alone.
But I would love to help you and others like you in forming a
i810 development community[3] to get support that this chip deserves.

Bryce

1: https://bugs.edge.launchpad.net/~ubuntu-x-swat/+packagebugs
2: https://lists.ubuntu.com/archives/ubuntu-x/2009-April/thread.html
3: https://bugs.edge.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/6270/comments/72

unggnu (unggnu) wrote :

Or maybe if there are many i81x users out there you could write a petition or similar to Intel. As soon as the whole UXA, KMS operation is stabilized it should them safe a lot of work (http://keithp.com/blogs/Sharpening_the_Intel_Driver_Focus/) so maybe they have some spare time for older chips. Especially if i81x users are forced to use Vesa with newer Linux releases.

Bartek (tschew) wrote :

Hi,

I did some more or less systematic benchmarks using the current 2.6 driver and the backported 2.4 driver (Reinhard Tartler's) on the i915, G35 and GM965 chipsets. I thought I'd share them, maybe they can be of use.

https://www.hackerspace.lu/wiki/Tracking_intel_performance_regression

unggnu (unggnu) wrote :

Btw. I guess most of this problems should be fixed in Karmic. I have tested -intel 2.7.0 with Kernel 2.6.30, UXA and KMS and it is very fast on my i915. All Compiz animations seems smoth and doesn't lag. Even textured video seems to be fast.
Glxgears shows still ~300 frames but as we all know it is no real benchmark. If textured video gets rid of the tearing before release the Linux driver will be better than the windows one because Aero doesn't run with i915 and finally Compiz will run without penalties (no blue borders, no not moveable 3D outputs and no flickering with 3d).

I can confirm: installing both 2.7.99 intel driver from xorg-edgers AND linux kernel 2.6.30-rc2 has solved performance issues (at least with compiz) and image corruptions with opengl. Now I'm checking for UXA desktop freeze, and will report after night or two of notebook working.

PS: MSI Wind U100, Intel GM945.
PPS: Wireless became broken after 2.6.30-rc2 install, but this is another issue ;-)

No need for any newer intel driver! Kernel 2.6.30-rc4 fixes the issue by itself! At least for my [8086:27a2] (rev 03) using EXA.

(http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30-rc4/linux-image-2.6.30-020630rc4-generic_2.6.30-020630rc4_i386.deb)

kernel 2.6.30-020630rc4-generic:

    * 1276 FPS for xserver-xorg-video-intel version 2.6.3-0ubuntu9
    * 885 FPS for xserver-xorg-video-intel-2.4 version 2.4.1-1ubuntu11~ppa1

kernel 2.6.28-11-generic:

    * 177 FPS for xserver-xorg-video-intel version 2.6.3-0ubuntu9
    * 420 FPS for xserver-xorg-video-intel-2.4 version 2.4.1-1ubuntu11~ppa1

As you can see, with the default Jaunty kernel, reverting to the Intel video driver 2.4 improves the performance from 177 to 420 FPS (for 2D, you can tell it by playing a Flash in full screen), but the 2.6.30 kernel has two surprising effects:

    * improves the performance of the 2.4 driver from 420 to 885 FPS, so roughly 2 times…
    * …but the performance of the default 2.6 driver is boosted from 177 to 1276, so more than 7 times!

http://beranger.org/v3/wordpress/2009/05/04/jaunty-kernel-2630-fixes-the-intel-video/

@Radu: Please post numbers based on ppracer, if you can- glxgears only shows how quickly the screen gets blanked (ish), so it's not a good guide to real world performance.

For instance, I get ~5 frames/sec extra in ppracer using rc4 over the stock Jaunty kernel (using UXA)

Using EXA (and no other options in XOrg), I get a slightly higher peak in ppracer, with less fall off when more stuff is on screen. However Xorg now eats ~20% of CPU time so I'm going back to UXA.

@Tom: I don't want to start a flamewar, but:

§1: I have never used GPU-intensive games in DOS and Windows (were Commander Keen, Pushover and Many Faces of Go... GPU-intensive?), I have never used GPU-intensive games in Linux (unless gnotravex and quarry + gnugo + grhino qualify for that), and I WILL NEVER INSTALL NOR USE "TRUE GAMES" EVER!

Computers were not invented for this kind of games (now, chess is another story). I don't tolerate "true" computer games in my sight. GAMES ARE *NOT* A VALID BENCHMARK, except for gamers!

And I don't trust the IQ of hardcore gamers. Sorry to the offended guys.

§2: Yes, glxgears is *not* a benchmark. OK, instead if just counting how many times you can rotate some gears on the screen, it might actually count the number of frames, because of the call to glutSwapBuffers(); in gears.c, in the function draw(). From the doc:"The update typically takes place during the vertical retrace of the monitor, rather than immediately after glutSwapBuffers is called. ... Subsequent OpenGL commands can be issued immediately after calling glutSwapBuffers, but are not executed until the buffer exchange is completed."

However, please note that this is not normal to have the frame refresh rate *severely* changed by a KERNEL update, while using a same version of the video driver!

§3: Performance regressions can be seen in full-screen Flash too, and regressions are unacceptable. Watching a video or a Flash is not like gaming, yet it's necessary for a desktop/laptop usage.

§4: EXA, EXA, EXA. The bug report is not about UXA. UXA is "not ready", therefore it does not exist.

UXA is noted here as a possible solution for EXA issues. What's wrong?

Test result for kernel-2.6.30rc2 + intel-2.7.0-1 (AccelMethod=UXA) on MSI Wind (Intel GM945):

Everything works stable, desktop doesn't freeze for almost 20 hours of work (earlier it was freezing every 1-3-5 hours).

There are no visual corruptions when moving or overlaying windows with compositing enabled (was fixed with very first UXA appearance indeed, and that is why only UXA is acceptable).

Compiz effects work subjectively smooth and fast, there are no such a lags as they were with kernel-2.6.28 with UXA enabled.

Fullscreen video plays normal, no lags.

So, it seems to me that problem was almost solved, except for this solution being "release candidate".

Lionel Dricot (ploum) wrote :

Just trying to be constructive :

It is said that "glxgears is not a benchmark".

Would it be hard to make a glxgear that would be one with reproducible results ? If running ppracer is considered as a benchmark, why not have a glxgear that does everything like a game (including some artificial computations) ?

If such a tool exists, it deserves to be known a bit more. If not, it derserves to be done.

@Serghei:

#define _solved FALSE

The problem is 3-fold:
(1) updating to intel-2.7.0-1 is useless unless a major kernel update is made too;
(2) updating to intel-2.7.0-1 is *not* necessary as long as simply updating the kernel to 2.6.30rc{2,3,4} fixes the issue for intel-2.6.3 (which is the official one in jaunty);
(3) getting a 2.6.30 kernel in jaunty-updates is as probable as the pigs flying.

@Lionel:

You're right, there is a need for a "glxgears-that-counts-gears-not-screens", or even better.

But why doing it "like a game"? Compiz is not a game. Flash is not a game. Totem/VLC/MPlayer/Gxine are not games. CAD/CAM/CAE OpenGL applications are not games.

If video performance in Linux is only needed "because of the games", then you'll make of Linux "just another Windows". OS/2 tried that once...

@Radu: Like it or not, most people prefer the ppracer frame rate as an indicator, you don't have to play the game, and can even uninstall it after doing the tests- but it's generally a better 'real world' indicator, and easier to get a FPS number from than Compiz or KDE4.

"GAMES ARE NOT A VALID BENCHMARK, except for gamers!"
I'm afraid in this case in particular, that's just wrong. There are many reports that show glxgears frame rate going down, but both subjective 'feel' and ppracer frame rate improving.

"this is not normal to have the frame refresh rate severely changed by a KERNEL update"
Actually, it's increasingly common, because a whole lot of what used to be in video drivers, or X itself, is now in the kernel, so called 'kernel mode setting' for one thing.

"full-screen Flash "
A good subjective test, but you can't get any numbers out of it, because Flash frame rate is limited by the plugin.

@Radu:

Ok, let me paraphrase. The problem seems to be solved algorithmically, architecturally, and conceptually. And those very concerned users CAN, AT LAST, AFTER SUCH A LONG TIME, fix it by just installing some software pieces/versions.

For not so concerned or experienced users -- yes, the solution surely wont be available until Karmic; maybe they will release kernel-2.6.30-release in proposed updates, but who knows when there will be such a "release".

PS: I had not tested with default driver, since didnt find any easy way to rollback driver version without deleting a lot of other packages. But I believe you say truth about intel-2.6.3 :-) Will check much later.

Gnurou (gnurou) wrote :

Just to confirm #310, installing 2.6.30 and enabling EXA made performances very good. Desktop effects very smooth, so it ppracer. In addition it seems to be stable. Unfortunately, my wifi is not working with that kernel. :(

Now we just need to make pigs fly and put that into Jaunty updates.

I really find that ironic that I am already installing unsupported packages on my brand new Jaunty less than 2 weeks after its release. Usually I start messing with these things one month before the next release is due. Guess we just have to wait two more weeks before the user experience on Karmic becomes better than Jaunty's.

@Gnurou: No one will put _release_candiate_ kernel into any updates. So there are two ways:
1) Wait until linux 2.6.30 release (when?)
2) Backport those patches, which solved the problem.

People say Mandriva 2009.1 has intel-2.7.0, and this whole issue solved. And I'm sure they didn't put R.C. into distribution ;-) And that means solution is somehow back-portable.

It is their luck that they have released two week after Jaunty, and got that solution working, I think...

@320-321:

Unfortunately, 2.6.30rc4 broke fatally suspend-to-disk (can't resume at all if previously hibernated), despite suspend-to-ram working, so I had to drop it.

As we were officially advised against UXA, I have not tried it, but I've just added it to xorg.conf, and, for kernel 2.6.28-11 with intel 2.6.3, glxgears suddenly raised (from 177 FPS with EXA) to 457 FPS, but I am puzzled by the following message: "Running synchronized to the vertical refresh. The framerate should be approximately 1/39 the monitor refresh rate."

I'll keep trying on UXA (default kernel, default xserver-xorg-video-intel), to see if it's stable on my i945 [8086:27a2] (rev 03). So far, it works.

Gnurou (gnurou) wrote :

@Radu: UXA (at least on vanilla Jaunty) is known to be unstable for
some configurations (including mine). Your mileage may vary, but in no
way this could be considered a fix.

@Gnurou : C'est tout à fait correct. Even if it doesn't freeze nor crash, UXA breaks hibernation: upon resuming, the screen is black and dead. I can switch to other VT, but not to restore the X session.

OTOH, all the reports concerning "Intel blabla [8086:27a2] (rev 03)" are almost useless: there are way too many different mobo architectures using the same chip ID, yet each of them behaves differently -- some work better, some work worse, some crash.

Seems that hibernation is broken because of intel driver too.

I've just tested it on my MSI Wind U100, and system hibernates and resumes normally only after deleting "splash" kernel option from /boot/grub/menu.lst for 2.6.30-rc2 kernel (option "quiet" has no matter). With "splash" option system freezes in text mode; AltF1 allows to see few strange messages; but nothing happens then.

This issue does not relate to X performance and corruptions directly, of course, but splash screens use video mode switching somehow. And, as I know, they try to implement seamless graphical booting with use of KMS in new kernels. Maybe that's it.

Bartek (tschew) wrote :

In addition, the xorg-edgers packages and the rc4 kernel break acceleration on i915 chipsets completey.

DSHR (s-heuer) wrote :

My results on an Thinkpad X60 - everything is back to normal with Kernel 2.6.30:

Ubuntu 9.04, kernel 2.6.30-020630rc3-generic:
EXA: pp-racer ~100 FPS, glxgears 1577 FPS equiv to intrepid with INTEL_BATCH=1
no hangs, suspend/resume works fine, console switching works fine googleearth usable but menus do not properly overlay the map pane - really good performance
UXA: pp-racer ~25 FPS, glgears 430 FPS, freezes after short time googleearth 5 visually perfect

Same system with Kernel 2.6.28:
UXA: pp-racer ~ 18 FPS, glxgears 358 FPS, Compiz usable but much slower googleearth OK Stable?
EXA: pp-racer ~ 10 FPS, glxgears 212 FPS, Compiz usable but slow googleearth menus not OK, Map incorrectly redrawn during ALT-Tab switching

LANG=C apt-cache policy xserver-xorg-video-intel linux-image-2.6.30-020630rc3-generic linux-image-2.6.28-11-generic
xserver-xorg-video-intel:
  Installed: 2:2.6.3-0ubuntu9.1
  Candidate: 2:2.6.3-0ubuntu9.1
  Version table:
 *** 2:2.6.3-0ubuntu9.1 0
        500 http://de.archive.ubuntu.com jaunty-proposed/main Packages
        100 /var/lib/dpkg/status
     2:2.6.3-0ubuntu9 0
        500 http://de.archive.ubuntu.com jaunty/main Packages
linux-image-2.6.30-020630rc3-generic:
  Installed: 2.6.30-020630rc3
  Candidate: 2.6.30-020630rc3
  Version table:
 *** 2.6.30-020630rc3 0
        100 /var/lib/dpkg/status
linux-image-2.6.28-11-generic:
  Installed: 2.6.28-11.42
  Candidate: 2.6.28-11.42
  Version table:
 *** 2.6.28-11.42 0
        500 http://de.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

JoseLVG (josvazg) wrote :

Jaunty results on a eee 901 with 'out-of-thebox' configuration.

*NO COMPIZ: glxgears 600fps+ NO rendering errors, GoogleEarth smooth (sun &
atmosphere off) ppracer 18fps

COMPIZ ON: glxgears 570fps + rendering erros when moving the window,
GoogleEarth less smooth (sun & atmosphere off) ppracer 18fps
*
In my particular case *(eee 901 Intel 965GME)* performance seems better for
Jaunty 9.04 than for Ibex 8.10 (for instance, I could not use GoogleEarth in
Ibex at all)

[How can I check whether my out of the box config is using EXA or UXA?]

Jose

Andy Whitcroft (apw) wrote :

One of the specific issues that has been identified on Intel graphics, is that we no longer have an MTRR for the AGP aperture. We look to have isolated the issue there, and have produced test kernels. For those of you with Intel graphics on Jaunty perhaps you could test the kernels listed on bug #314928.

Andy, it's not helpful for me, the kernel from http://people.ubuntu.com/~apw/lp314928-jaunty/ .

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03)

xserver-xorg-video-intel = 2.6.3-0ubuntu9

1). 2.6.28-11-generic:

GtkPerf: 17.85 seconds
glxgears: ~175 FPS

2). 2.6.28-13.44~lp314928apw1:

GtkPerf: 16.45 seconds
glxgears: ~170 FPS

Bryce Harrington (bryce) on 2009-05-06
tags: added: performance
wirechief (wirechief) wrote :

Why not contact MichaelLaurable at phoronix and have a standard testing suite made for intel graphics performance, something generic enough that all who use it will have something more reliable to report on than glxgears then benchmarking of good vs bad performance would be easier..

linux-2.6.30-rc(ANY) solves the problem with speed, but still freezes in a few (10-20-30) minutes of work in UXA mode. And this time it freezes not only X desktop, but the whole system -- it's not possible to switch into console anymore (and yes, DontZap=false).

Upgrading from xorg-edgers (in addition to linux-2.6.30) solves the freezes. Upgrading from ubuntu-x-swat doesn't help, but I think it is some library (libdrm or mesa) that solves the freezes, not the intel driver itself, because upgrading from xorg-edgers (with intel-2.7.99) and then rolling back to intel-2.7.0 from ubuntu-x-swat also solves the freezes.

I've described step-by-step process of solving this problem for MSI Wind: http://nolar.info/linux/ubuntu/msi_wind_u100_compiz (russian only, sorry).

salemboot (salemboot) wrote :

My performance gains reverted after I allowed updates.
I did see that one was xf86-intel-2.6.4 or something to that nature.
I had no freezing on my 945GM. This is a Sony Vaio laptop so for those that
are interested.
It's was a clean Kubuntu 9.04 install with only the kernel added in.
I'm not sure if I was using UXA or EXA. I didn't change the xorg.conf.
I've advised everyone I know to avoid 9.04 and use 8.10 and below.

Hi there,

I've the same problems with kubuntu and jaunty on a minimac with 945G. After googling around I found different proposals. To get some solutions to work I opened a file with 'sudo kate' from konsole. Kate was starting but I got an error-message like this 'Could not start ksmserver. Check your installation.'. After clicking OK to that message kdm (xorg?) is doing a restart. After logging in back everything is going smooth. glxgears makes 1100 fps (former 400fps) and all the dasktop effects and 3d-games are working well. If I restart the machine I've again the slow and sluggish desktop. I reproduced this behaviour serveral times. I didn't touch any configuration files.

Richard Guo (rfguo) wrote :

Performance is now drastically higher using libdrm 2.4.9 and intel driver 2.7.1 in UXA mode on a GM965 (PPA: https://launchpad.net/~xorg-edgers/+archive/ppa). Though glxgears is hovering around 600 fps now (see reason: http://qa-rockstar.livejournal.com/7869.html), actual 2D rendering speeds and 3D performance in games are much higher. Games in wine that were previously unplayable in 2.6 or 2.4 are now running at ~30 fps (War3 in opengl mode). UT2004 is around 20 fps (1280x800 res, medium settings). I'm getting speeds that are higher than I would get in windows (using friend's almost identical PC for comparison).

salemboot (salemboot) wrote :
Download full text (3.9 KiB)

Sounds like the kde session manager may have crashed, stalled and another
copy got loaded.
I'm not experienced enough with the internals of KDE to give you a deffinate
hypothesis.
A lot has changed from 3.5 up to 4.2.

Buntu is starting to become more like Slackware.

On Tue, May 19, 2009 at 6:38 PM, Ralf Philipp <email address hidden> wrote:

> Hi there,
>
> I've the same problems with kubuntu and jaunty on a minimac with 945G.
> After googling around I found different proposals. To get some solutions
> to work I opened a file with 'sudo kate' from konsole. Kate was starting
> but I got an error-message like this 'Could not start ksmserver. Check
> your installation.'. After clicking OK to that message kdm (xorg?) is
> doing a restart. After logging in back everything is going smooth.
> glxgears makes 1100 fps (former 400fps) and all the dasktop effects and
> 3d-games are working well. If I restart the machine I've again the slow
> and sluggish desktop. I reproduced this behaviour serveral times. I
> didn't touch any configuration files.
>
> --
> MASTER: Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in X.org xf86-video-intel: Confirmed
> Status in “linux” source package in Ubuntu: New
> Status in “xserver-xorg-video-intel” source package in Ubuntu: In Progress
> Status in linux in Ubuntu Karmic: New
> Status in xserver-xorg-video-intel in Ubuntu Karmic: In Progress
>
> Bug description:
> I experience significant performance loss with ubuntu 8.10 alpha 3 with my
> Intel DG965WH based system and SVDO/ADD2 video card. Actually, the
> performance loss started with ubuntu 8.04.1; I upgraded to see if there was
> any performance gain with the new version. While "glxgears" produced values
> between 1580 fps and 1496 fps with ubuntu 7.04 and 7.10, respectively, now I
> can only achieve something like 445 fps with ubuntu 8.10 alpha 3. I get an
> error message when starting glxgears that "TTM" was not available and
> classic mode would be used. Similary, the flight simulator "flightgear"
> achieves frames rates of 1-2 fps only.
> My suspicion is that some of the hardware acceleration features of the
> X3000 system are not being used, and I don't know how to activate them with
> the new xorg.conf structure and the underlying automatic configuration
> approach.
> I would like to see the graphics performance go back to the values achieved
> in ubuntu 7.04 and 7.10.
> Your help / comment is greatly appreciated.
> Bingo
>
> [Update]
> Intel upstream has been in a multi-year effort to rearchitect X and the
> Intel 2D and 3D driver to provide better performance. While this work is
> underway, people are seeing variations in performance levels from version to
> version, for a variety of reasons. There are probably multiple unrelated
> bugs being reported in the comments here.
>
> It is important to note and remember that glxgears is *not* a benchmark
> tool. It simply measures how fast the driver writes images to the screen,
> whereas most 3D applications are limited by render speed, not merely blit
> speed. Instead use a...

Read more...

bouazza (sbouazza) wrote :

Hello !

@Richard Guo : Are you getting those good performances only using libdrm and intel driver packages from Xorg Edgers ? Sounds really good !

What about crashes ? I mean, those who freeze the entire system ( not possible to switch to console mode ), are they still present ?

NB (n4xxx) wrote :

After I followed this HOW TO, I'm getting good performances:
http://ubuntuforums.org/showthread.php?t=1130582
On my case (I'm using a 945) I had to upgrate the kernel to 2.6.30 rc

bouazza (sbouazza) wrote :

@NB : What do you mean with "good performances" ? Good scores which can compete with Windows XP ?

bouazza (sbouazza) wrote :

Well, I installed the 2.6.30rc7 kernel, libdrm/libdrm2 and the intel driver from xorg-edgers .

The rendering errors with Compiz are corrected, I don't even see crashes now, but still no performances improvements ...

I have an Intel X3100 card, do I need to install another package ? Do I have to install also the mesa packages from xorg-edgers ?

Richard Guo (rfguo) wrote :

@bouazza: Yes, I still have crashes, but they're much more infrequent now (once every 2 days). I did a dist-upgrade after adding the PPA, so there may have been other packages (most likely mesa) fetched as well. How are you measuring performance improvement?

NB (n4xxx) wrote :

@bouazza: I means that Tux Racer now runs at 25-35 FPS instead of 1-2 in Jaunty. Just by adding UXA it was only 10-25 FPS. I followed ALL the "Bleeding-Edge Configuration" steps in the guide, else the performances was almost unchanged; but the configuration and the result may depend on your graphic card.
In default Jaunty some games under Wine are unplayable: even enabling UXA didn't help. Of course I don't mean to play current 3D Windows games on a little i945 and I don't expect to get the same performances under Wine. Anyway that guide made them playable again. I don't remember the exact Wine performances on Hardy, but Jaunty with this changes seem faster. Tux Racer is faster for sure (it was around 15 FPS). Compiz effects are no longer choppy and the 2D is also OK (it don't looks slower than Windows), so I no longer miss Hardy.

bouazza (sbouazza) wrote :

Well, when I measure performance improvement, I usually use PPRacer, but even if the FPS goes from ~5 to ~20~30 ( Intel X3100 card ), I still think that there's no improvement ...

We have to compare to the Intel graphics performances under Windows XP ( my brother's PC with its Intel 8XX card runs games much faster on Windows ... ), and not to those under previous versions of Ubuntu ( people here compare to Hardy I think, which itself has poor graphics performances than Windows ) .

NB (n4xxx) wrote :

I would call a 4-6X improvement an HUGE improvement. However it was Jaunty (and Intrepid) that showed a big drop in performances, so with that guide I can use Compiz and some Wine games again as I did on Hardy. And that is why people compare Jaunty to Hardy. The modified Jaunty performs better than Hardy on my hardware: Extreme Tux Racer is 2 times faster as I said before, so there is an improvement. But you are right: Hardy was slow, compared to Windows and there is still room for more improvements. I'm not saying I'm totally satisfied.
I'm not sure if I can directly compare Exrteme Tux Racer to the Windows port, anyway Extreme Tux Racer for Windows hits 50-60 FPS, a lot more than that "Bleeding-Edge Configuration" for Jaunty.

bouazza (sbouazza) wrote :

The reason I'm not satisfied with this "improvement" is that we are just back to the Hardy performances, so nearly 0% loss and gain on graphics performances ...

But even on Hardy, Windows games that were smoothly playable under Windows Vista are totally unplayable now, even with these "improvements" ...

We can talk about improvements only if we can really compete with Windows, also, if this goal will be achieved, then Ubuntu will really rule the notebook market ( since 90% of notebooks are based on Intel graphics ) .

@bouazza: we're not quite there yet. In fact, we haven't even begun talking about catching up to windows. The main reason is that the graphics drivers for intel are currently (relatively) unstable. If you read the bug description, intel is doing a major rework of their linux drivers.

In particular the two outcomes of this are two new driver components: GEM and Gallium3D. GEM has been introduced into the release, and most of the performance decreases from hardy were due to GEM being unstable (ie failing on certain hardware). The next step would be to move the Mesa Gallium3D driver into ubuntu, and i am 95% sure it's not happening until karmic. Then we can talk about catching up to windows, since as of now intel drivers crash on anything more than glxgears (GLSL makes them cry).

For an example of current developments in the intel linux graphics world - EXA support was recently removed, so we're moving closer to a single stable intel backend driver (on UXA only). But this is not making it into jaunty since it requires the new kernel. Bottom line - you probably shouldn't expect "improved" (as you define it) intel performance on jaunty without manual tweaking. Or you could just update to the karmic alpha :).

my 2c

J.P. (mackdieselx27) wrote :

FWIW my ThinkPad R61i had a drastic improvement after upgrading the kernel to the 2.6.29 line following the 'optimal' config per this HOWTO:
http://ubuntuforums.org/showthread.php?t=1130582

Unfortunately, the text will garble up after suspending/hibernating or switching users. Restarting X solves the issue. Others have reported the issue in the above thread as well, including Karmic testers.

Mark (mark-wege) wrote :

I can confirm both: drastic improvement as well as problems after returning from suspension on my R50e. But it could/should still be faster and there are still some "minor" glichtes in the screen without having used suspension.

Ace Suares (acesuares) wrote :

J.P. wrote:
> FWIW my ThinkPad R61i had a drastic improvement after upgrading the kernel to the 2.6.29 line following the 'optimal' config per this HOWTO:
> http://ubuntuforums.org/showthread.php?t=1130582
>
> Unfortunately, the text will garble up after suspending/hibernating or
> switching users. Restarting X solves the issue. Others have reported
> the issue in the above thread as well, including Karmic testers.
>

After the most recent update, hibernate works as expected, i.e. it's not
giving a black screen after waking up anymore. thx.

I'm closing this bug because, as described in comments #26 and #27, analysis showed that the problems existed in the OpenSuSE Beta but not in the latest versions of the driver, (potentially including kernel components).

If there are separate issues discussed here that people are still interested in, I'm not trying to ignore them. But we need separate bug reports for those so that we can track them better. So please feel free to open new bugs for any outstanding issues.

Thanks for your understanding,

-Carl

Changed in xserver-xorg-video-intel:
status: Confirmed → Invalid
Zack Evans (zevans23) wrote :

OK. Can't try the current (20090603) xorg-edgers build for performance because it just plain won't run games, but I believe this is a known problem.

Meanwhile, on the latest Jaunty proposed versions UXA is about half the speed of EXA on a couple of games. Which bug are you using to track UXA performance regression - I'd like to test the versions recommended there and see how far off the best EXA performance we are now...

In other words if this is now an invalid bug, where's the valid one, or would you like me to file a more structured bug report anew?

Benjamin Drung (bdrung) wrote :

Zack, please file a new bug report and add all relevant information. This bug report is too long and not specific enough.

Dear Benjamin MOTU,

Whatever is needed to be "specific" about this bug is written in the Ubuntu 9.04 Release Notes, right here:
http://www.ubuntu.com/getubuntu/releasenotes/904#Performance%20regressions%20on%20Intel%20graphics%20cards

"Users of Intel video chipsets have reported performance regressions in Ubuntu 8.10 compared with previous releases (252094). Many of the issues have been resolved in Ubuntu 9.04, but some remain."

By declaring this bug as "Invalid", you're suggesting that the Ubuntu Release Notes are LYING. Next you should probably deny that the Holocaust ever existed.

The Internet is full of THOUSANDS of proofs that recent versions of xserver-xorg-video-intel/ is SCREWED. This is very specific, and people with Intel video can experience this regression in Mandriva 2009.1, in Fedora 11, in openSUSE 11.2-M2/Factory, and so on.

Mark Shuttleworth should simply send you to the garbage bin. You're undermining Ubuntu's reputation (if any of it left after shipping a release with Intel performance dropped to 10%).

Bryce Harrington (bryce) wrote :

Radu, your comments are inappropriate, please remain civil. Remember many of the people assisting with people's bugs are volunteers, and expressing your frustration here (while valid) does not help move things towards a solution.

In this case Benjamin is correct, and is simply repeating information already provided earlier in the bug report.

I am closing the Karmic task because the causes of the performance issues on Jaunty are no longer valid on Karmic. There are still some performance issues being tracked, but they're particular to Karmic and due to unrelated reasons; we expect all performance issues should be resolved by Karmic Alpha-3 or Alpha-4.

The causes for performance issues in Jaunty have already been well characterized in other bug reports, and kernel patches are being tracked for potential SRU into Jaunty, if they do not expose other regressions.

Changed in linux (Ubuntu Karmic):
status: New → Fix Released
Benjamin Drung (bdrung) wrote :

Radu, please respect the Code of Conduct. The bug status for xf86-video-intel was set by the Bug Watch Updater to invalid, because the freedesktop bug #18389 was closed. As you wrote, this bug is well known. I never said, that this bug does not exist. I am affected of this bug, too. To solve this problem I have updated the Intel driver (provided by a PPA), the kernel to version 2.6.30-7 (grabbed from Karmic) and use UXA now.

BTW, I am not a MOTU (yet).

1. The freedesktop bug #18389 was closed with NOTOURBUG, which does NOT solve it.

2. The freedesktop bug #18389 was opened for openSUSE, so this does NOT solve Ubuntu's bug.

3. As long as Jaunty is affected by this bug, the bug status can NOT be Invalid!

I stop using Ubuntu effective now, and I am shredding all the Ubuntu CDs I own. This is unacceptable. You're not using your brains. Jaunty is severely affected and can't be fixed with the *official* packages for 9.04 (kernel, xf86-video-intel), and you are playing with "freedesktop closed, Karmic apparently fixed", etc.

you should try windows 7, it's very neat, been using it since ubuntu started having issues with video.
The only times I boot back into ubuntu now, are to try and fix the video.

2009/6/5 Radu Cristian Fotescu <email address hidden>:
> 1. The freedesktop bug #18389 was closed with NOTOURBUG, which does NOT
> solve it.
>
> 2. The freedesktop bug #18389 was opened for openSUSE, so this does NOT
> solve Ubuntu's bug.
>
> 3. As long as Jaunty is affected by this bug, the bug status can NOT be
> Invalid!
>

There are a lot of reports of improved performance with using 2.6.30rc
kernels in combination with newer versions of intel drivers from the
x-org edgers PPA's in Jaunty and Karmic.

> I stop using Ubuntu effective now, and I am shredding all the Ubuntu CDs
> I own. This is unacceptable. You're not using your brains. Jaunty is

Keep it cool, eh?!

> severely affected and can't be fixed with the *official* packages for
> 9.04 (kernel, xf86-video-intel), and you are playing with "freedesktop
> closed, Karmic apparently fixed", etc.
>

It was affected on the day of the release, packages from karmic are
*official* and have been backported via PPA and do fix the problem.
Right now it's the waiting time to decided what will qualify for SRU.
It is Ubuntu policy not to include new versions of software after the
release.

Noone forced you to upgrade to Jaunty. Hardy is LTS and still
supported. If you want stable and long-term machine use LTS releases.
If you upgrade on day of the Release well you should expect that not
everything will work as *you* wish it to work. Look how KDE 4.0 worked
out and you have installed Jaunty 9.04.0 - point 0 version!

--
With best regards

Dmitrijs Ledkovs (for short Dima),
Ледков Дмитрий Юрьевич

Bryce Harrington (bryce) wrote :

I think we can close this one now. The issue is largely resolved in Karmic, and the commentary on this bug seems to have degenerated past usefulness. Other bug reports are tracking kernel patches and other fixes proposed for Jaunty.

Changed in xserver-xorg-video-intel (Ubuntu Karmic):
status: In Progress → Fix Released
JoseLVG (josvazg) wrote :

Last time I tested with last intel, X and kernel 2.6.30 (rc7?) versions
available the results were poor and not stable.
Has anyone got it working fine? (no render errors and good fps on
googleearth and tux racer?)
Has anyone got it working fine on a eee 901?

Jose

2009/6/28 Bryce Harrington <email address hidden>

> I think we can close this one now. The issue is largely resolved in
> Karmic, and the commentary on this bug seems to have degenerated past
> usefulness. Other bug reports are tracking kernel patches and other
> fixes proposed for Jaunty.
>
>
> ** Changed in: xserver-xorg-video-intel (Ubuntu Karmic)
> Status: In Progress => Fix Released
>
> --
> MASTER: Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Ofir Klinger (klinger-ofir) wrote :

I updated my system to the latest drivers and X, and it works fine (better then before to be sure).

No screen flicker. However, when I try to change the brightness through the shortcut keys on my laptop keyboard, or through the brightness applet in gnome, the screen flicker and CPU get high, but after 5 sec it reaches the desired level and stops. It is the most annoying when trying to change brightness to maximum.

salemboot (salemboot) wrote :
Download full text (3.7 KiB)

I updated 9.10 again today
A new kernel and Intel driver got installed.
2.6.30-10 has lowered performance considerably.
The new upgrades to Xorg have a few issues with external LCD's.

Stepping back to 2.6.30-9 stablized things as long as I didn't push past the
resolution of my laptop's
onboard display. It's probably about the best speeds I've seen in games.

On Mon, Jun 29, 2009 at 5:56 PM, Ofir Klinger <email address hidden>wrote:

> I updated my system to the latest drivers and X, and it works fine
> (better then before to be sure).
>
> No screen flicker. However, when I try to change the brightness through
> the shortcut keys on my laptop keyboard, or through the brightness
> applet in gnome, the screen flicker and CPU get high, but after 5 sec it
> reaches the desired level and stops. It is the most annoying when trying
> to change brightness to maximum.
>
> --
> MASTER: Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in X.org xf86-video-intel: Invalid
> Status in “linux” package in Ubuntu: Fix Released
> Status in “xserver-xorg-video-intel” package in Ubuntu: Fix Released
> Status in linux in Ubuntu Karmic: Fix Released
> Status in xserver-xorg-video-intel in Ubuntu Karmic: Fix Released
>
> Bug description:
> I experience significant performance loss with ubuntu 8.10 alpha 3 with my
> Intel DG965WH based system and SVDO/ADD2 video card. Actually, the
> performance loss started with ubuntu 8.04.1; I upgraded to see if there was
> any performance gain with the new version. While "glxgears" produced values
> between 1580 fps and 1496 fps with ubuntu 7.04 and 7.10, respectively, now I
> can only achieve something like 445 fps with ubuntu 8.10 alpha 3. I get an
> error message when starting glxgears that "TTM" was not available and
> classic mode would be used. Similary, the flight simulator "flightgear"
> achieves frames rates of 1-2 fps only.
> My suspicion is that some of the hardware acceleration features of the
> X3000 system are not being used, and I don't know how to activate them with
> the new xorg.conf structure and the underlying automatic configuration
> approach.
> I would like to see the graphics performance go back to the values achieved
> in ubuntu 7.04 and 7.10.
> Your help / comment is greatly appreciated.
> Bingo
>
> [Update]
> Intel upstream has been in a multi-year effort to rearchitect X and the
> Intel 2D and 3D driver to provide better performance. While this work is
> underway, people are seeing variations in performance levels from version to
> version, for a variety of reasons. There are probably multiple unrelated
> bugs being reported in the comments here.
>
> It is important to note and remember that glxgears is *not* a benchmark
> tool. It simply measures how fast the driver writes images to the screen,
> whereas most 3D applications are limited by render speed, not merely blit
> speed. Instead use a 3D game (flightgear, tremulous, etc.) that has a real
> rendering workload to make comparisons.
>
> If you're definitely seeing performance problems and are able to narrow it
...

Read more...

Störm Poorun (subs-olan) wrote :

Just for info:

Intel Linux Graphics On Ubuntu Still Flaky
http://www.phoronix.com/scan.php?page=article&item=intel_q309_flakes&num=3

Quote from Storm's URL : " within Mesa there are regressions where we could not even complete OpenGL tests with the current Karmic stack that had run fine under Ubuntu 9.04". Although it says the stack has less glitches, which is at least some improvement.

salemboot (salemboot) wrote :
Download full text (4.5 KiB)

http://anholt.livejournal.com/41306.html
()_- [ We do use ut2004. It does stutter with 2.6.31rc (unstable code)
due to a performance improvement that requires a Mesa fix to avoid the
stuttering. The Mesa fix has been undergoing review.]-_()
}-._
He never mentions the fix. I haven't had time to look through the
intel forums to find the thread with the discussion.

Observations-_
Use of the rc kernels is a bad idea. You risk loosing functionality.
Best practice would be to use 2.6.29 and back-port all the GEM revisions.
( compare the two kernels and copy source files from one to the other )
I used to do this a lot. To me 2.6.24 was the best so I'd port back
all the junk I liked in the newer kernels. It's time consuming but
worth it if you want to keep everything going. Think Red Hat here.

Below is what I have:
1.mesa-git/glew-git
2.linux-2.6.31rc5
3.xf86-video-intel-2.8.0

Not much of an improvement.

-- "it's worst than that he's dead jim, dead jim dead jim." Bones
looking at the intel driver.

On 8/4/09, Tom Chiverton <email address hidden> wrote:
> Quote from Storm's URL : " within Mesa there are regressions where we
> could not even complete OpenGL tests with the current Karmic stack that
> had run fine under Ubuntu 9.04". Although it says the stack has less
> glitches, which is at least some improvement.
>
> --
> MASTER: Poor graphics performance on Intel
> https://bugs.launchpad.net/bugs/252094
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in X.org xf86-video-intel: Invalid
> Status in “linux” package in Ubuntu: Fix Released
> Status in “xserver-xorg-video-intel” package in Ubuntu: Fix Released
> Status in linux in Ubuntu Karmic: Fix Released
> Status in xserver-xorg-video-intel in Ubuntu Karmic: Fix Released
>
> Bug description:
> I experience significant performance loss with ubuntu 8.10 alpha 3 with my
> Intel DG965WH based system and SVDO/ADD2 video card. Actually, the
> performance loss started with ubuntu 8.04.1; I upgraded to see if there was
> any performance gain with the new version. While "glxgears" produced values
> between 1580 fps and 1496 fps with ubuntu 7.04 and 7.10, respectively, now I
> can only achieve something like 445 fps with ubuntu 8.10 alpha 3. I get an
> error message when starting glxgears that "TTM" was not available and
> classic mode would be used. Similary, the flight simulator "flightgear"
> achieves frames rates of 1-2 fps only.
> My suspicion is that some of the hardware acceleration features of the X3000
> system are not being used, and I don't know how to activate them with the
> new xorg.conf structure and the underlying automatic configuration approach.
> I would like to see the graphics performance go back to the values achieved
> in ubuntu 7.04 and 7.10.
> Your help / comment is greatly appreciated.
> Bingo
>
> [Update]
> Intel upstream has been in a multi-year effort to rearchitect X and the
> Intel 2D and 3D driver to provide better performance. While this work is
> underway, people are seeing variations in performance levels from version to
> version, for a variety of reasons. There are probably multiple unrelat...

Read more...

salemboot (salemboot) wrote :
Download full text (5.3 KiB)

Figured I'd make an update.

Mesa git fixed some issues for me.
unreal tournament isn't hoping around anymore.
Actually is pretty smooth now.

Blender's latest available build still renders outside the container
window but some of the glitches were fixed. You still can't see the
selection window.

L ate r

On 8/4/09, Jerry McCarthy <email address hidden> wrote:
> http://anholt.livejournal.com/41306.html
> ()_- [ We do use ut2004. It does stutter with 2.6.31rc (unstable code)
> due to a performance improvement that requires a Mesa fix to avoid the
> stuttering. The Mesa fix has been undergoing review.]-_()
> }-._
> He never mentions the fix. I haven't had time to look through the
> intel forums to find the thread with the discussion.
>
>
> Observations-_
> Use of the rc kernels is a bad idea. You risk loosing functionality.
> Best practice would be to use 2.6.29 and back-port all the GEM revisions.
> ( compare the two kernels and copy source files from one to the other )
> I used to do this a lot. To me 2.6.24 was the best so I'd port back
> all the junk I liked in the newer kernels. It's time consuming but
> worth it if you want to keep everything going. Think Red Hat here.
>
>
>
> Below is what I have:
> 1.mesa-git/glew-git
> 2.linux-2.6.31rc5
> 3.xf86-video-intel-2.8.0
>
> Not much of an improvement.
>
> -- "it's worst than that he's dead jim, dead jim dead jim." Bones
> looking at the intel driver.
>
> On 8/4/09, Tom Chiverton <email address hidden> wrote:
>> Quote from Storm's URL : " within Mesa there are regressions where we
>> could not even complete OpenGL tests with the current Karmic stack that
>> had run fine under Ubuntu 9.04". Although it says the stack has less
>> glitches, which is at least some improvement.
>>
>> --
>> MASTER: Poor graphics performance on Intel
>> https://bugs.launchpad.net/bugs/252094
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in X.org xf86-video-intel: Invalid
>> Status in “linux” package in Ubuntu: Fix Released
>> Status in “xserver-xorg-video-intel” package in Ubuntu: Fix Released
>> Status in linux in Ubuntu Karmic: Fix Released
>> Status in xserver-xorg-video-intel in Ubuntu Karmic: Fix Released
>>
>> Bug description:
>> I experience significant performance loss with ubuntu 8.10 alpha 3 with
>> my
>> Intel DG965WH based system and SVDO/ADD2 video card. Actually, the
>> performance loss started with ubuntu 8.04.1; I upgraded to see if there
>> was
>> any performance gain with the new version. While "glxgears" produced
>> values
>> between 1580 fps and 1496 fps with ubuntu 7.04 and 7.10, respectively, now
>> I
>> can only achieve something like 445 fps with ubuntu 8.10 alpha 3. I get
>> an
>> error message when starting glxgears that "TTM" was not available and
>> classic mode would be used. Similary, the flight simulator "flightgear"
>> achieves frames rates of 1-2 fps only.
>> My suspicion is that some of the hardware acceleration features of the
>> X3000
>> system are not being used, and I don't know how to activate them with the
>> new xorg.conf structure and the underlying automatic configuration
>> approach.
>> I wo...

Read more...

john (no2498) wrote :

this is not only for intel drivers
804.3 hardy
 lspci|grep VGA
01:00.0 VGA compatible controller: VIA Technologies, Inc. UniChrome Pro IGP (rev 01)

this just hit me over the last week
webcam is giving me 1.2 fps

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Dmitrijs Ledkovs

Dmitrijs Ledkovs
Student at The University of Hull
United Kingdom

Confirm that you know Dmitrijs Ledkovs
https://www.linkedin.com/e/isd/1067430355/atgqGcaI/

------
(c) 2010, LinkedIn Corporation

JemsRoker (bithy1991) wrote :

Hi friend it’s looking a nice informative post in this blog . Thanks and like to share my thought here.
<a href="http://www.xigmapro.com/e-commerce-website-design-and-development/">Ecommerce Website Design Company</a>

Changed in xserver-xorg-video-intel:
importance: Unknown → High
status: Invalid → Won't Fix

This page was last modified on 20 May 2009, at 14:08.

2-Year old page bro! Even the radeon driver has matured significatly since
then.

On Mon, Jan 17, 2011 at 12:31 AM, actionparsnip <
<email address hidden>> wrote:

> I'd just like to add:
> http://wiki.cchtml.com/index.php/Glxgears_is_not_a_Benchmark--
>
Without fear we must walk forward and without doubt we must not look back.

Changed in xserver-xorg-video-intel:
importance: High → Unknown
Changed in xserver-xorg-video-intel:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.